# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.0.2] - 2025-06-20

- Converted to `SpecRestApi` because `@aws-solutions-constructs/aws-openapigateway-lambda` is not compatible with `Role.customizeRoles`

## [1.0.0] - 2025-06-18

### Added

- Initial NPM package release of @cxbuilder/flow-config
- AWS CDK constructs for Amazon Connect FlowConfig infrastructure
- InfrastructureStack for deploying serverless architecture
- Lambda functions for CRUD operations on flow configurations
- DynamoDB integration for configuration storage
- API Gateway with OpenAPI specification
- VPC endpoints for secure access
- Integration with Amazon Polly for text-to-speech preview
- React frontend with CloudScape Design System
- TypeScript definitions and API models
- Comprehensive documentation and examples

### Features

- Serverless architecture with AWS Lambda and DynamoDB
- Multi-language prompt support
- Real-time speech preview functionality
- Secure authentication with Amazon Connect and Cognito
- Variable and prompt management interface
