import { CustomResource } from 'aws-cdk-lib';
import { Construct } from 'constructs';
interface SecurityProfileProviderProps {
    existingRoleArn?: string;
    connectInstanceArn: string;
}
/**
 * Custom resource for updating Connect security profiles
 */
export declare class SecurityProfileProvider extends Construct {
    private readonly props;
    private readonly role?;
    private readonly handler;
    private readonly provider;
    constructor(scope: Construct, id: string, props: SecurityProfileProviderProps);
    /**
     * Grant a security profile access to a 3P application namespace
     * At this time, the only permission available on the SDK is 'ACCESS'. ibliskavka 2024-10-31
     */
    allowApplication(id: string, securityProfileName: string, namespace: string, permissions?: string[]): CustomResource;
}
export {};
