import { Function, FunctionProps } from 'aws-cdk-lib/aws-lambda';
import { ITopic } from 'aws-cdk-lib/aws-sns';
import { Construct } from 'constructs';
interface CreateLambdaProps<TEnv> extends Omit<FunctionProps, 'handler' | 'environment' | 'code' | 'runtime'> {
    environment?: TEnv;
    /**
     * Notify someone when your lambda fails!
     */
    alertTopic?: ITopic;
}
/**
 * Utility function for creating a log group and lambda with app defaults.
 * Enforces environment variables via generic parameter TEnv
 */
export declare function createLambda<TEnv>(scope: Construct, id: string, props: CreateLambdaProps<TEnv>): Function;
export {};
