import { createAggregatedClient } from "@smithy/smithy-client";
import { ActivateEvaluationFormCommand, } from "./commands/ActivateEvaluationFormCommand";
import { AssociateAnalyticsDataSetCommand, } from "./commands/AssociateAnalyticsDataSetCommand";
import { AssociateApprovedOriginCommand, } from "./commands/AssociateApprovedOriginCommand";
import { AssociateBotCommand, } from "./commands/AssociateBotCommand";
import { AssociateDefaultVocabularyCommand, } from "./commands/AssociateDefaultVocabularyCommand";
import { AssociateFlowCommand, } from "./commands/AssociateFlowCommand";
import { AssociateInstanceStorageConfigCommand, } from "./commands/AssociateInstanceStorageConfigCommand";
import { AssociateLambdaFunctionCommand, } from "./commands/AssociateLambdaFunctionCommand";
import { AssociateLexBotCommand, } from "./commands/AssociateLexBotCommand";
import { AssociatePhoneNumberContactFlowCommand, } from "./commands/AssociatePhoneNumberContactFlowCommand";
import { AssociateQueueQuickConnectsCommand, } from "./commands/AssociateQueueQuickConnectsCommand";
import { AssociateRoutingProfileQueuesCommand, } from "./commands/AssociateRoutingProfileQueuesCommand";
import { AssociateSecurityKeyCommand, } from "./commands/AssociateSecurityKeyCommand";
import { AssociateTrafficDistributionGroupUserCommand, } from "./commands/AssociateTrafficDistributionGroupUserCommand";
import { AssociateUserProficienciesCommand, } from "./commands/AssociateUserProficienciesCommand";
import { BatchAssociateAnalyticsDataSetCommand, } from "./commands/BatchAssociateAnalyticsDataSetCommand";
import { BatchDisassociateAnalyticsDataSetCommand, } from "./commands/BatchDisassociateAnalyticsDataSetCommand";
import { BatchGetAttachedFileMetadataCommand, } from "./commands/BatchGetAttachedFileMetadataCommand";
import { BatchGetFlowAssociationCommand, } from "./commands/BatchGetFlowAssociationCommand";
import { BatchPutContactCommand, } from "./commands/BatchPutContactCommand";
import { ClaimPhoneNumberCommand, } from "./commands/ClaimPhoneNumberCommand";
import { CompleteAttachedFileUploadCommand, } from "./commands/CompleteAttachedFileUploadCommand";
import { CreateAgentStatusCommand, } from "./commands/CreateAgentStatusCommand";
import { CreateContactCommand, } from "./commands/CreateContactCommand";
import { CreateContactFlowCommand, } from "./commands/CreateContactFlowCommand";
import { CreateContactFlowModuleCommand, } from "./commands/CreateContactFlowModuleCommand";
import { CreateContactFlowVersionCommand, } from "./commands/CreateContactFlowVersionCommand";
import { CreateEmailAddressCommand, } from "./commands/CreateEmailAddressCommand";
import { CreateEvaluationFormCommand, } from "./commands/CreateEvaluationFormCommand";
import { CreateHoursOfOperationCommand, } from "./commands/CreateHoursOfOperationCommand";
import { CreateHoursOfOperationOverrideCommand, } from "./commands/CreateHoursOfOperationOverrideCommand";
import { CreateInstanceCommand, } from "./commands/CreateInstanceCommand";
import { CreateIntegrationAssociationCommand, } from "./commands/CreateIntegrationAssociationCommand";
import { CreateParticipantCommand, } from "./commands/CreateParticipantCommand";
import { CreatePersistentContactAssociationCommand, } from "./commands/CreatePersistentContactAssociationCommand";
import { CreatePredefinedAttributeCommand, } from "./commands/CreatePredefinedAttributeCommand";
import { CreatePromptCommand, } from "./commands/CreatePromptCommand";
import { CreatePushNotificationRegistrationCommand, } from "./commands/CreatePushNotificationRegistrationCommand";
import { CreateQueueCommand } from "./commands/CreateQueueCommand";
import { CreateQuickConnectCommand, } from "./commands/CreateQuickConnectCommand";
import { CreateRoutingProfileCommand, } from "./commands/CreateRoutingProfileCommand";
import { CreateRuleCommand } from "./commands/CreateRuleCommand";
import { CreateSecurityProfileCommand, } from "./commands/CreateSecurityProfileCommand";
import { CreateTaskTemplateCommand, } from "./commands/CreateTaskTemplateCommand";
import { CreateTrafficDistributionGroupCommand, } from "./commands/CreateTrafficDistributionGroupCommand";
import { CreateUseCaseCommand, } from "./commands/CreateUseCaseCommand";
import { CreateUserCommand } from "./commands/CreateUserCommand";
import { CreateUserHierarchyGroupCommand, } from "./commands/CreateUserHierarchyGroupCommand";
import { CreateViewCommand } from "./commands/CreateViewCommand";
import { CreateViewVersionCommand, } from "./commands/CreateViewVersionCommand";
import { CreateVocabularyCommand, } from "./commands/CreateVocabularyCommand";
import { DeactivateEvaluationFormCommand, } from "./commands/DeactivateEvaluationFormCommand";
import { DeleteAttachedFileCommand, } from "./commands/DeleteAttachedFileCommand";
import { DeleteContactEvaluationCommand, } from "./commands/DeleteContactEvaluationCommand";
import { DeleteContactFlowCommand, } from "./commands/DeleteContactFlowCommand";
import { DeleteContactFlowModuleCommand, } from "./commands/DeleteContactFlowModuleCommand";
import { DeleteContactFlowVersionCommand, } from "./commands/DeleteContactFlowVersionCommand";
import { DeleteEmailAddressCommand, } from "./commands/DeleteEmailAddressCommand";
import { DeleteEvaluationFormCommand, } from "./commands/DeleteEvaluationFormCommand";
import { DeleteHoursOfOperationCommand, } from "./commands/DeleteHoursOfOperationCommand";
import { DeleteHoursOfOperationOverrideCommand, } from "./commands/DeleteHoursOfOperationOverrideCommand";
import { DeleteInstanceCommand, } from "./commands/DeleteInstanceCommand";
import { DeleteIntegrationAssociationCommand, } from "./commands/DeleteIntegrationAssociationCommand";
import { DeletePredefinedAttributeCommand, } from "./commands/DeletePredefinedAttributeCommand";
import { DeletePromptCommand, } from "./commands/DeletePromptCommand";
import { DeletePushNotificationRegistrationCommand, } from "./commands/DeletePushNotificationRegistrationCommand";
import { DeleteQueueCommand } from "./commands/DeleteQueueCommand";
import { DeleteQuickConnectCommand, } from "./commands/DeleteQuickConnectCommand";
import { DeleteRoutingProfileCommand, } from "./commands/DeleteRoutingProfileCommand";
import { DeleteRuleCommand } from "./commands/DeleteRuleCommand";
import { DeleteSecurityProfileCommand, } from "./commands/DeleteSecurityProfileCommand";
import { DeleteTaskTemplateCommand, } from "./commands/DeleteTaskTemplateCommand";
import { DeleteTrafficDistributionGroupCommand, } from "./commands/DeleteTrafficDistributionGroupCommand";
import { DeleteUseCaseCommand, } from "./commands/DeleteUseCaseCommand";
import { DeleteUserCommand } from "./commands/DeleteUserCommand";
import { DeleteUserHierarchyGroupCommand, } from "./commands/DeleteUserHierarchyGroupCommand";
import { DeleteViewCommand } from "./commands/DeleteViewCommand";
import { DeleteViewVersionCommand, } from "./commands/DeleteViewVersionCommand";
import { DeleteVocabularyCommand, } from "./commands/DeleteVocabularyCommand";
import { DescribeAgentStatusCommand, } from "./commands/DescribeAgentStatusCommand";
import { DescribeAuthenticationProfileCommand, } from "./commands/DescribeAuthenticationProfileCommand";
import { DescribeContactCommand, } from "./commands/DescribeContactCommand";
import { DescribeContactEvaluationCommand, } from "./commands/DescribeContactEvaluationCommand";
import { DescribeContactFlowCommand, } from "./commands/DescribeContactFlowCommand";
import { DescribeContactFlowModuleCommand, } from "./commands/DescribeContactFlowModuleCommand";
import { DescribeEmailAddressCommand, } from "./commands/DescribeEmailAddressCommand";
import { DescribeEvaluationFormCommand, } from "./commands/DescribeEvaluationFormCommand";
import { DescribeHoursOfOperationCommand, } from "./commands/DescribeHoursOfOperationCommand";
import { DescribeHoursOfOperationOverrideCommand, } from "./commands/DescribeHoursOfOperationOverrideCommand";
import { DescribeInstanceAttributeCommand, } from "./commands/DescribeInstanceAttributeCommand";
import { DescribeInstanceCommand, } from "./commands/DescribeInstanceCommand";
import { DescribeInstanceStorageConfigCommand, } from "./commands/DescribeInstanceStorageConfigCommand";
import { DescribePhoneNumberCommand, } from "./commands/DescribePhoneNumberCommand";
import { DescribePredefinedAttributeCommand, } from "./commands/DescribePredefinedAttributeCommand";
import { DescribePromptCommand, } from "./commands/DescribePromptCommand";
import { DescribeQueueCommand, } from "./commands/DescribeQueueCommand";
import { DescribeQuickConnectCommand, } from "./commands/DescribeQuickConnectCommand";
import { DescribeRoutingProfileCommand, } from "./commands/DescribeRoutingProfileCommand";
import { DescribeRuleCommand, } from "./commands/DescribeRuleCommand";
import { DescribeSecurityProfileCommand, } from "./commands/DescribeSecurityProfileCommand";
import { DescribeTrafficDistributionGroupCommand, } from "./commands/DescribeTrafficDistributionGroupCommand";
import { DescribeUserCommand, } from "./commands/DescribeUserCommand";
import { DescribeUserHierarchyGroupCommand, } from "./commands/DescribeUserHierarchyGroupCommand";
import { DescribeUserHierarchyStructureCommand, } from "./commands/DescribeUserHierarchyStructureCommand";
import { DescribeViewCommand, } from "./commands/DescribeViewCommand";
import { DescribeVocabularyCommand, } from "./commands/DescribeVocabularyCommand";
import { DisassociateAnalyticsDataSetCommand, } from "./commands/DisassociateAnalyticsDataSetCommand";
import { DisassociateApprovedOriginCommand, } from "./commands/DisassociateApprovedOriginCommand";
import { DisassociateBotCommand, } from "./commands/DisassociateBotCommand";
import { DisassociateFlowCommand, } from "./commands/DisassociateFlowCommand";
import { DisassociateInstanceStorageConfigCommand, } from "./commands/DisassociateInstanceStorageConfigCommand";
import { DisassociateLambdaFunctionCommand, } from "./commands/DisassociateLambdaFunctionCommand";
import { DisassociateLexBotCommand, } from "./commands/DisassociateLexBotCommand";
import { DisassociatePhoneNumberContactFlowCommand, } from "./commands/DisassociatePhoneNumberContactFlowCommand";
import { DisassociateQueueQuickConnectsCommand, } from "./commands/DisassociateQueueQuickConnectsCommand";
import { DisassociateRoutingProfileQueuesCommand, } from "./commands/DisassociateRoutingProfileQueuesCommand";
import { DisassociateSecurityKeyCommand, } from "./commands/DisassociateSecurityKeyCommand";
import { DisassociateTrafficDistributionGroupUserCommand, } from "./commands/DisassociateTrafficDistributionGroupUserCommand";
import { DisassociateUserProficienciesCommand, } from "./commands/DisassociateUserProficienciesCommand";
import { DismissUserContactCommand, } from "./commands/DismissUserContactCommand";
import { GetAttachedFileCommand, } from "./commands/GetAttachedFileCommand";
import { GetContactAttributesCommand, } from "./commands/GetContactAttributesCommand";
import { GetCurrentMetricDataCommand, } from "./commands/GetCurrentMetricDataCommand";
import { GetCurrentUserDataCommand, } from "./commands/GetCurrentUserDataCommand";
import { GetEffectiveHoursOfOperationsCommand, } from "./commands/GetEffectiveHoursOfOperationsCommand";
import { GetFederationTokenCommand, } from "./commands/GetFederationTokenCommand";
import { GetFlowAssociationCommand, } from "./commands/GetFlowAssociationCommand";
import { GetMetricDataCommand, } from "./commands/GetMetricDataCommand";
import { GetMetricDataV2Command, } from "./commands/GetMetricDataV2Command";
import { GetPromptFileCommand, } from "./commands/GetPromptFileCommand";
import { GetTaskTemplateCommand, } from "./commands/GetTaskTemplateCommand";
import { GetTrafficDistributionCommand, } from "./commands/GetTrafficDistributionCommand";
import { ImportPhoneNumberCommand, } from "./commands/ImportPhoneNumberCommand";
import { ListAgentStatusesCommand, } from "./commands/ListAgentStatusesCommand";
import { ListAnalyticsDataAssociationsCommand, } from "./commands/ListAnalyticsDataAssociationsCommand";
import { ListAnalyticsDataLakeDataSetsCommand, } from "./commands/ListAnalyticsDataLakeDataSetsCommand";
import { ListApprovedOriginsCommand, } from "./commands/ListApprovedOriginsCommand";
import { ListAssociatedContactsCommand, } from "./commands/ListAssociatedContactsCommand";
import { ListAuthenticationProfilesCommand, } from "./commands/ListAuthenticationProfilesCommand";
import { ListBotsCommand } from "./commands/ListBotsCommand";
import { ListContactEvaluationsCommand, } from "./commands/ListContactEvaluationsCommand";
import { ListContactFlowModulesCommand, } from "./commands/ListContactFlowModulesCommand";
import { ListContactFlowsCommand, } from "./commands/ListContactFlowsCommand";
import { ListContactFlowVersionsCommand, } from "./commands/ListContactFlowVersionsCommand";
import { ListContactReferencesCommand, } from "./commands/ListContactReferencesCommand";
import { ListDefaultVocabulariesCommand, } from "./commands/ListDefaultVocabulariesCommand";
import { ListEvaluationFormsCommand, } from "./commands/ListEvaluationFormsCommand";
import { ListEvaluationFormVersionsCommand, } from "./commands/ListEvaluationFormVersionsCommand";
import { ListFlowAssociationsCommand, } from "./commands/ListFlowAssociationsCommand";
import { ListHoursOfOperationOverridesCommand, } from "./commands/ListHoursOfOperationOverridesCommand";
import { ListHoursOfOperationsCommand, } from "./commands/ListHoursOfOperationsCommand";
import { ListInstanceAttributesCommand, } from "./commands/ListInstanceAttributesCommand";
import { ListInstancesCommand, } from "./commands/ListInstancesCommand";
import { ListInstanceStorageConfigsCommand, } from "./commands/ListInstanceStorageConfigsCommand";
import { ListIntegrationAssociationsCommand, } from "./commands/ListIntegrationAssociationsCommand";
import { ListLambdaFunctionsCommand, } from "./commands/ListLambdaFunctionsCommand";
import { ListLexBotsCommand } from "./commands/ListLexBotsCommand";
import { ListPhoneNumbersCommand, } from "./commands/ListPhoneNumbersCommand";
import { ListPhoneNumbersV2Command, } from "./commands/ListPhoneNumbersV2Command";
import { ListPredefinedAttributesCommand, } from "./commands/ListPredefinedAttributesCommand";
import { ListPromptsCommand } from "./commands/ListPromptsCommand";
import { ListQueueQuickConnectsCommand, } from "./commands/ListQueueQuickConnectsCommand";
import { ListQueuesCommand } from "./commands/ListQueuesCommand";
import { ListQuickConnectsCommand, } from "./commands/ListQuickConnectsCommand";
import { ListRealtimeContactAnalysisSegmentsV2Command, } from "./commands/ListRealtimeContactAnalysisSegmentsV2Command";
import { ListRoutingProfileQueuesCommand, } from "./commands/ListRoutingProfileQueuesCommand";
import { ListRoutingProfilesCommand, } from "./commands/ListRoutingProfilesCommand";
import { ListRulesCommand } from "./commands/ListRulesCommand";
import { ListSecurityKeysCommand, } from "./commands/ListSecurityKeysCommand";
import { ListSecurityProfileApplicationsCommand, } from "./commands/ListSecurityProfileApplicationsCommand";
import { ListSecurityProfilePermissionsCommand, } from "./commands/ListSecurityProfilePermissionsCommand";
import { ListSecurityProfilesCommand, } from "./commands/ListSecurityProfilesCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { ListTaskTemplatesCommand, } from "./commands/ListTaskTemplatesCommand";
import { ListTrafficDistributionGroupsCommand, } from "./commands/ListTrafficDistributionGroupsCommand";
import { ListTrafficDistributionGroupUsersCommand, } from "./commands/ListTrafficDistributionGroupUsersCommand";
import { ListUseCasesCommand, } from "./commands/ListUseCasesCommand";
import { ListUserHierarchyGroupsCommand, } from "./commands/ListUserHierarchyGroupsCommand";
import { ListUserProficienciesCommand, } from "./commands/ListUserProficienciesCommand";
import { ListUsersCommand } from "./commands/ListUsersCommand";
import { ListViewsCommand } from "./commands/ListViewsCommand";
import { ListViewVersionsCommand, } from "./commands/ListViewVersionsCommand";
import { MonitorContactCommand, } from "./commands/MonitorContactCommand";
import { PauseContactCommand, } from "./commands/PauseContactCommand";
import { PutUserStatusCommand, } from "./commands/PutUserStatusCommand";
import { ReleasePhoneNumberCommand, } from "./commands/ReleasePhoneNumberCommand";
import { ReplicateInstanceCommand, } from "./commands/ReplicateInstanceCommand";
import { ResumeContactCommand, } from "./commands/ResumeContactCommand";
import { ResumeContactRecordingCommand, } from "./commands/ResumeContactRecordingCommand";
import { SearchAgentStatusesCommand, } from "./commands/SearchAgentStatusesCommand";
import { SearchAvailablePhoneNumbersCommand, } from "./commands/SearchAvailablePhoneNumbersCommand";
import { SearchContactFlowModulesCommand, } from "./commands/SearchContactFlowModulesCommand";
import { SearchContactFlowsCommand, } from "./commands/SearchContactFlowsCommand";
import { SearchContactsCommand, } from "./commands/SearchContactsCommand";
import { SearchEmailAddressesCommand, } from "./commands/SearchEmailAddressesCommand";
import { SearchHoursOfOperationOverridesCommand, } from "./commands/SearchHoursOfOperationOverridesCommand";
import { SearchHoursOfOperationsCommand, } from "./commands/SearchHoursOfOperationsCommand";
import { SearchPredefinedAttributesCommand, } from "./commands/SearchPredefinedAttributesCommand";
import { SearchPromptsCommand, } from "./commands/SearchPromptsCommand";
import { SearchQueuesCommand, } from "./commands/SearchQueuesCommand";
import { SearchQuickConnectsCommand, } from "./commands/SearchQuickConnectsCommand";
import { SearchResourceTagsCommand, } from "./commands/SearchResourceTagsCommand";
import { SearchRoutingProfilesCommand, } from "./commands/SearchRoutingProfilesCommand";
import { SearchSecurityProfilesCommand, } from "./commands/SearchSecurityProfilesCommand";
import { SearchUserHierarchyGroupsCommand, } from "./commands/SearchUserHierarchyGroupsCommand";
import { SearchUsersCommand } from "./commands/SearchUsersCommand";
import { SearchVocabulariesCommand, } from "./commands/SearchVocabulariesCommand";
import { SendChatIntegrationEventCommand, } from "./commands/SendChatIntegrationEventCommand";
import { SendOutboundEmailCommand, } from "./commands/SendOutboundEmailCommand";
import { StartAttachedFileUploadCommand, } from "./commands/StartAttachedFileUploadCommand";
import { StartChatContactCommand, } from "./commands/StartChatContactCommand";
import { StartContactEvaluationCommand, } from "./commands/StartContactEvaluationCommand";
import { StartContactRecordingCommand, } from "./commands/StartContactRecordingCommand";
import { StartContactStreamingCommand, } from "./commands/StartContactStreamingCommand";
import { StartEmailContactCommand, } from "./commands/StartEmailContactCommand";
import { StartOutboundChatContactCommand, } from "./commands/StartOutboundChatContactCommand";
import { StartOutboundEmailContactCommand, } from "./commands/StartOutboundEmailContactCommand";
import { StartOutboundVoiceContactCommand, } from "./commands/StartOutboundVoiceContactCommand";
import { StartScreenSharingCommand, } from "./commands/StartScreenSharingCommand";
import { StartTaskContactCommand, } from "./commands/StartTaskContactCommand";
import { StartWebRTCContactCommand, } from "./commands/StartWebRTCContactCommand";
import { StopContactCommand } from "./commands/StopContactCommand";
import { StopContactRecordingCommand, } from "./commands/StopContactRecordingCommand";
import { StopContactStreamingCommand, } from "./commands/StopContactStreamingCommand";
import { SubmitContactEvaluationCommand, } from "./commands/SubmitContactEvaluationCommand";
import { SuspendContactRecordingCommand, } from "./commands/SuspendContactRecordingCommand";
import { TagContactCommand } from "./commands/TagContactCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { TransferContactCommand, } from "./commands/TransferContactCommand";
import { UntagContactCommand, } from "./commands/UntagContactCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { UpdateAgentStatusCommand, } from "./commands/UpdateAgentStatusCommand";
import { UpdateAuthenticationProfileCommand, } from "./commands/UpdateAuthenticationProfileCommand";
import { UpdateContactAttributesCommand, } from "./commands/UpdateContactAttributesCommand";
import { UpdateContactCommand, } from "./commands/UpdateContactCommand";
import { UpdateContactEvaluationCommand, } from "./commands/UpdateContactEvaluationCommand";
import { UpdateContactFlowContentCommand, } from "./commands/UpdateContactFlowContentCommand";
import { UpdateContactFlowMetadataCommand, } from "./commands/UpdateContactFlowMetadataCommand";
import { UpdateContactFlowModuleContentCommand, } from "./commands/UpdateContactFlowModuleContentCommand";
import { UpdateContactFlowModuleMetadataCommand, } from "./commands/UpdateContactFlowModuleMetadataCommand";
import { UpdateContactFlowNameCommand, } from "./commands/UpdateContactFlowNameCommand";
import { UpdateContactRoutingDataCommand, } from "./commands/UpdateContactRoutingDataCommand";
import { UpdateContactScheduleCommand, } from "./commands/UpdateContactScheduleCommand";
import { UpdateEmailAddressMetadataCommand, } from "./commands/UpdateEmailAddressMetadataCommand";
import { UpdateEvaluationFormCommand, } from "./commands/UpdateEvaluationFormCommand";
import { UpdateHoursOfOperationCommand, } from "./commands/UpdateHoursOfOperationCommand";
import { UpdateHoursOfOperationOverrideCommand, } from "./commands/UpdateHoursOfOperationOverrideCommand";
import { UpdateInstanceAttributeCommand, } from "./commands/UpdateInstanceAttributeCommand";
import { UpdateInstanceStorageConfigCommand, } from "./commands/UpdateInstanceStorageConfigCommand";
import { UpdateParticipantAuthenticationCommand, } from "./commands/UpdateParticipantAuthenticationCommand";
import { UpdateParticipantRoleConfigCommand, } from "./commands/UpdateParticipantRoleConfigCommand";
import { UpdatePhoneNumberCommand, } from "./commands/UpdatePhoneNumberCommand";
import { UpdatePhoneNumberMetadataCommand, } from "./commands/UpdatePhoneNumberMetadataCommand";
import { UpdatePredefinedAttributeCommand, } from "./commands/UpdatePredefinedAttributeCommand";
import { UpdatePromptCommand, } from "./commands/UpdatePromptCommand";
import { UpdateQueueHoursOfOperationCommand, } from "./commands/UpdateQueueHoursOfOperationCommand";
import { UpdateQueueMaxContactsCommand, } from "./commands/UpdateQueueMaxContactsCommand";
import { UpdateQueueNameCommand, } from "./commands/UpdateQueueNameCommand";
import { UpdateQueueOutboundCallerConfigCommand, } from "./commands/UpdateQueueOutboundCallerConfigCommand";
import { UpdateQueueOutboundEmailConfigCommand, } from "./commands/UpdateQueueOutboundEmailConfigCommand";
import { UpdateQueueStatusCommand, } from "./commands/UpdateQueueStatusCommand";
import { UpdateQuickConnectConfigCommand, } from "./commands/UpdateQuickConnectConfigCommand";
import { UpdateQuickConnectNameCommand, } from "./commands/UpdateQuickConnectNameCommand";
import { UpdateRoutingProfileAgentAvailabilityTimerCommand, } from "./commands/UpdateRoutingProfileAgentAvailabilityTimerCommand";
import { UpdateRoutingProfileConcurrencyCommand, } from "./commands/UpdateRoutingProfileConcurrencyCommand";
import { UpdateRoutingProfileDefaultOutboundQueueCommand, } from "./commands/UpdateRoutingProfileDefaultOutboundQueueCommand";
import { UpdateRoutingProfileNameCommand, } from "./commands/UpdateRoutingProfileNameCommand";
import { UpdateRoutingProfileQueuesCommand, } from "./commands/UpdateRoutingProfileQueuesCommand";
import { UpdateRuleCommand } from "./commands/UpdateRuleCommand";
import { UpdateSecurityProfileCommand, } from "./commands/UpdateSecurityProfileCommand";
import { UpdateTaskTemplateCommand, } from "./commands/UpdateTaskTemplateCommand";
import { UpdateTrafficDistributionCommand, } from "./commands/UpdateTrafficDistributionCommand";
import { UpdateUserHierarchyCommand, } from "./commands/UpdateUserHierarchyCommand";
import { UpdateUserHierarchyGroupNameCommand, } from "./commands/UpdateUserHierarchyGroupNameCommand";
import { UpdateUserHierarchyStructureCommand, } from "./commands/UpdateUserHierarchyStructureCommand";
import { UpdateUserIdentityInfoCommand, } from "./commands/UpdateUserIdentityInfoCommand";
import { UpdateUserPhoneConfigCommand, } from "./commands/UpdateUserPhoneConfigCommand";
import { UpdateUserProficienciesCommand, } from "./commands/UpdateUserProficienciesCommand";
import { UpdateUserRoutingProfileCommand, } from "./commands/UpdateUserRoutingProfileCommand";
import { UpdateUserSecurityProfilesCommand, } from "./commands/UpdateUserSecurityProfilesCommand";
import { UpdateViewContentCommand, } from "./commands/UpdateViewContentCommand";
import { UpdateViewMetadataCommand, } from "./commands/UpdateViewMetadataCommand";
import { ConnectClient } from "./ConnectClient";
const commands = {
    ActivateEvaluationFormCommand,
    AssociateAnalyticsDataSetCommand,
    AssociateApprovedOriginCommand,
    AssociateBotCommand,
    AssociateDefaultVocabularyCommand,
    AssociateFlowCommand,
    AssociateInstanceStorageConfigCommand,
    AssociateLambdaFunctionCommand,
    AssociateLexBotCommand,
    AssociatePhoneNumberContactFlowCommand,
    AssociateQueueQuickConnectsCommand,
    AssociateRoutingProfileQueuesCommand,
    AssociateSecurityKeyCommand,
    AssociateTrafficDistributionGroupUserCommand,
    AssociateUserProficienciesCommand,
    BatchAssociateAnalyticsDataSetCommand,
    BatchDisassociateAnalyticsDataSetCommand,
    BatchGetAttachedFileMetadataCommand,
    BatchGetFlowAssociationCommand,
    BatchPutContactCommand,
    ClaimPhoneNumberCommand,
    CompleteAttachedFileUploadCommand,
    CreateAgentStatusCommand,
    CreateContactCommand,
    CreateContactFlowCommand,
    CreateContactFlowModuleCommand,
    CreateContactFlowVersionCommand,
    CreateEmailAddressCommand,
    CreateEvaluationFormCommand,
    CreateHoursOfOperationCommand,
    CreateHoursOfOperationOverrideCommand,
    CreateInstanceCommand,
    CreateIntegrationAssociationCommand,
    CreateParticipantCommand,
    CreatePersistentContactAssociationCommand,
    CreatePredefinedAttributeCommand,
    CreatePromptCommand,
    CreatePushNotificationRegistrationCommand,
    CreateQueueCommand,
    CreateQuickConnectCommand,
    CreateRoutingProfileCommand,
    CreateRuleCommand,
    CreateSecurityProfileCommand,
    CreateTaskTemplateCommand,
    CreateTrafficDistributionGroupCommand,
    CreateUseCaseCommand,
    CreateUserCommand,
    CreateUserHierarchyGroupCommand,
    CreateViewCommand,
    CreateViewVersionCommand,
    CreateVocabularyCommand,
    DeactivateEvaluationFormCommand,
    DeleteAttachedFileCommand,
    DeleteContactEvaluationCommand,
    DeleteContactFlowCommand,
    DeleteContactFlowModuleCommand,
    DeleteContactFlowVersionCommand,
    DeleteEmailAddressCommand,
    DeleteEvaluationFormCommand,
    DeleteHoursOfOperationCommand,
    DeleteHoursOfOperationOverrideCommand,
    DeleteInstanceCommand,
    DeleteIntegrationAssociationCommand,
    DeletePredefinedAttributeCommand,
    DeletePromptCommand,
    DeletePushNotificationRegistrationCommand,
    DeleteQueueCommand,
    DeleteQuickConnectCommand,
    DeleteRoutingProfileCommand,
    DeleteRuleCommand,
    DeleteSecurityProfileCommand,
    DeleteTaskTemplateCommand,
    DeleteTrafficDistributionGroupCommand,
    DeleteUseCaseCommand,
    DeleteUserCommand,
    DeleteUserHierarchyGroupCommand,
    DeleteViewCommand,
    DeleteViewVersionCommand,
    DeleteVocabularyCommand,
    DescribeAgentStatusCommand,
    DescribeAuthenticationProfileCommand,
    DescribeContactCommand,
    DescribeContactEvaluationCommand,
    DescribeContactFlowCommand,
    DescribeContactFlowModuleCommand,
    DescribeEmailAddressCommand,
    DescribeEvaluationFormCommand,
    DescribeHoursOfOperationCommand,
    DescribeHoursOfOperationOverrideCommand,
    DescribeInstanceCommand,
    DescribeInstanceAttributeCommand,
    DescribeInstanceStorageConfigCommand,
    DescribePhoneNumberCommand,
    DescribePredefinedAttributeCommand,
    DescribePromptCommand,
    DescribeQueueCommand,
    DescribeQuickConnectCommand,
    DescribeRoutingProfileCommand,
    DescribeRuleCommand,
    DescribeSecurityProfileCommand,
    DescribeTrafficDistributionGroupCommand,
    DescribeUserCommand,
    DescribeUserHierarchyGroupCommand,
    DescribeUserHierarchyStructureCommand,
    DescribeViewCommand,
    DescribeVocabularyCommand,
    DisassociateAnalyticsDataSetCommand,
    DisassociateApprovedOriginCommand,
    DisassociateBotCommand,
    DisassociateFlowCommand,
    DisassociateInstanceStorageConfigCommand,
    DisassociateLambdaFunctionCommand,
    DisassociateLexBotCommand,
    DisassociatePhoneNumberContactFlowCommand,
    DisassociateQueueQuickConnectsCommand,
    DisassociateRoutingProfileQueuesCommand,
    DisassociateSecurityKeyCommand,
    DisassociateTrafficDistributionGroupUserCommand,
    DisassociateUserProficienciesCommand,
    DismissUserContactCommand,
    GetAttachedFileCommand,
    GetContactAttributesCommand,
    GetCurrentMetricDataCommand,
    GetCurrentUserDataCommand,
    GetEffectiveHoursOfOperationsCommand,
    GetFederationTokenCommand,
    GetFlowAssociationCommand,
    GetMetricDataCommand,
    GetMetricDataV2Command,
    GetPromptFileCommand,
    GetTaskTemplateCommand,
    GetTrafficDistributionCommand,
    ImportPhoneNumberCommand,
    ListAgentStatusesCommand,
    ListAnalyticsDataAssociationsCommand,
    ListAnalyticsDataLakeDataSetsCommand,
    ListApprovedOriginsCommand,
    ListAssociatedContactsCommand,
    ListAuthenticationProfilesCommand,
    ListBotsCommand,
    ListContactEvaluationsCommand,
    ListContactFlowModulesCommand,
    ListContactFlowsCommand,
    ListContactFlowVersionsCommand,
    ListContactReferencesCommand,
    ListDefaultVocabulariesCommand,
    ListEvaluationFormsCommand,
    ListEvaluationFormVersionsCommand,
    ListFlowAssociationsCommand,
    ListHoursOfOperationOverridesCommand,
    ListHoursOfOperationsCommand,
    ListInstanceAttributesCommand,
    ListInstancesCommand,
    ListInstanceStorageConfigsCommand,
    ListIntegrationAssociationsCommand,
    ListLambdaFunctionsCommand,
    ListLexBotsCommand,
    ListPhoneNumbersCommand,
    ListPhoneNumbersV2Command,
    ListPredefinedAttributesCommand,
    ListPromptsCommand,
    ListQueueQuickConnectsCommand,
    ListQueuesCommand,
    ListQuickConnectsCommand,
    ListRealtimeContactAnalysisSegmentsV2Command,
    ListRoutingProfileQueuesCommand,
    ListRoutingProfilesCommand,
    ListRulesCommand,
    ListSecurityKeysCommand,
    ListSecurityProfileApplicationsCommand,
    ListSecurityProfilePermissionsCommand,
    ListSecurityProfilesCommand,
    ListTagsForResourceCommand,
    ListTaskTemplatesCommand,
    ListTrafficDistributionGroupsCommand,
    ListTrafficDistributionGroupUsersCommand,
    ListUseCasesCommand,
    ListUserHierarchyGroupsCommand,
    ListUserProficienciesCommand,
    ListUsersCommand,
    ListViewsCommand,
    ListViewVersionsCommand,
    MonitorContactCommand,
    PauseContactCommand,
    PutUserStatusCommand,
    ReleasePhoneNumberCommand,
    ReplicateInstanceCommand,
    ResumeContactCommand,
    ResumeContactRecordingCommand,
    SearchAgentStatusesCommand,
    SearchAvailablePhoneNumbersCommand,
    SearchContactFlowModulesCommand,
    SearchContactFlowsCommand,
    SearchContactsCommand,
    SearchEmailAddressesCommand,
    SearchHoursOfOperationOverridesCommand,
    SearchHoursOfOperationsCommand,
    SearchPredefinedAttributesCommand,
    SearchPromptsCommand,
    SearchQueuesCommand,
    SearchQuickConnectsCommand,
    SearchResourceTagsCommand,
    SearchRoutingProfilesCommand,
    SearchSecurityProfilesCommand,
    SearchUserHierarchyGroupsCommand,
    SearchUsersCommand,
    SearchVocabulariesCommand,
    SendChatIntegrationEventCommand,
    SendOutboundEmailCommand,
    StartAttachedFileUploadCommand,
    StartChatContactCommand,
    StartContactEvaluationCommand,
    StartContactRecordingCommand,
    StartContactStreamingCommand,
    StartEmailContactCommand,
    StartOutboundChatContactCommand,
    StartOutboundEmailContactCommand,
    StartOutboundVoiceContactCommand,
    StartScreenSharingCommand,
    StartTaskContactCommand,
    StartWebRTCContactCommand,
    StopContactCommand,
    StopContactRecordingCommand,
    StopContactStreamingCommand,
    SubmitContactEvaluationCommand,
    SuspendContactRecordingCommand,
    TagContactCommand,
    TagResourceCommand,
    TransferContactCommand,
    UntagContactCommand,
    UntagResourceCommand,
    UpdateAgentStatusCommand,
    UpdateAuthenticationProfileCommand,
    UpdateContactCommand,
    UpdateContactAttributesCommand,
    UpdateContactEvaluationCommand,
    UpdateContactFlowContentCommand,
    UpdateContactFlowMetadataCommand,
    UpdateContactFlowModuleContentCommand,
    UpdateContactFlowModuleMetadataCommand,
    UpdateContactFlowNameCommand,
    UpdateContactRoutingDataCommand,
    UpdateContactScheduleCommand,
    UpdateEmailAddressMetadataCommand,
    UpdateEvaluationFormCommand,
    UpdateHoursOfOperationCommand,
    UpdateHoursOfOperationOverrideCommand,
    UpdateInstanceAttributeCommand,
    UpdateInstanceStorageConfigCommand,
    UpdateParticipantAuthenticationCommand,
    UpdateParticipantRoleConfigCommand,
    UpdatePhoneNumberCommand,
    UpdatePhoneNumberMetadataCommand,
    UpdatePredefinedAttributeCommand,
    UpdatePromptCommand,
    UpdateQueueHoursOfOperationCommand,
    UpdateQueueMaxContactsCommand,
    UpdateQueueNameCommand,
    UpdateQueueOutboundCallerConfigCommand,
    UpdateQueueOutboundEmailConfigCommand,
    UpdateQueueStatusCommand,
    UpdateQuickConnectConfigCommand,
    UpdateQuickConnectNameCommand,
    UpdateRoutingProfileAgentAvailabilityTimerCommand,
    UpdateRoutingProfileConcurrencyCommand,
    UpdateRoutingProfileDefaultOutboundQueueCommand,
    UpdateRoutingProfileNameCommand,
    UpdateRoutingProfileQueuesCommand,
    UpdateRuleCommand,
    UpdateSecurityProfileCommand,
    UpdateTaskTemplateCommand,
    UpdateTrafficDistributionCommand,
    UpdateUserHierarchyCommand,
    UpdateUserHierarchyGroupNameCommand,
    UpdateUserHierarchyStructureCommand,
    UpdateUserIdentityInfoCommand,
    UpdateUserPhoneConfigCommand,
    UpdateUserProficienciesCommand,
    UpdateUserRoutingProfileCommand,
    UpdateUserSecurityProfilesCommand,
    UpdateViewContentCommand,
    UpdateViewMetadataCommand,
};
export class Connect extends ConnectClient {
}
createAggregatedClient(commands, Connect);
