import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_AssociateAnalyticsDataSetCommand, se_AssociateAnalyticsDataSetCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class AssociateAnalyticsDataSetCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "AssociateAnalyticsDataSet", {})
    .n("ConnectClient", "AssociateAnalyticsDataSetCommand")
    .f(void 0, void 0)
    .ser(se_AssociateAnalyticsDataSetCommand)
    .de(de_AssociateAnalyticsDataSetCommand)
    .build() {
}
