import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { CreateContactRequestFilterSensitiveLog } from "../models/models_3";
import { de_CreateContactCommand, se_CreateContactCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class CreateContactCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "CreateContact", {})
    .n("ConnectClient", "CreateContactCommand")
    .f(CreateContactRequestFilterSensitiveLog, void 0)
    .ser(se_CreateContactCommand)
    .de(de_CreateContactCommand)
    .build() {
}
