import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_CreateContactFlowCommand, se_CreateContactFlowCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class CreateContactFlowCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "CreateContactFlow", {})
    .n("ConnectClient", "CreateContactFlowCommand")
    .f(void 0, void 0)
    .ser(se_CreateContactFlowCommand)
    .de(de_CreateContactFlowCommand)
    .build() {
}
