import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { CreateEmailAddressRequestFilterSensitiveLog, } from "../models/models_0";
import { de_CreateEmailAddressCommand, se_CreateEmailAddressCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class CreateEmailAddressCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "CreateEmailAddress", {})
    .n("ConnectClient", "CreateEmailAddressCommand")
    .f(CreateEmailAddressRequestFilterSensitiveLog, void 0)
    .ser(se_CreateEmailAddressCommand)
    .de(de_CreateEmailAddressCommand)
    .build() {
}
