import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { CreateViewRequestFilterSensitiveLog, CreateViewResponseFilterSensitiveLog, } from "../models/models_0";
import { de_CreateViewCommand, se_CreateViewCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class CreateViewCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "CreateView", {})
    .n("ConnectClient", "CreateViewCommand")
    .f(CreateViewRequestFilterSensitiveLog, CreateViewResponseFilterSensitiveLog)
    .ser(se_CreateViewCommand)
    .de(de_CreateViewCommand)
    .build() {
}
