import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { CreateViewVersionResponseFilterSensitiveLog, } from "../models/models_0";
import { de_CreateViewVersionCommand, se_CreateViewVersionCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class CreateViewVersionCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "CreateViewVersion", {})
    .n("ConnectClient", "CreateViewVersionCommand")
    .f(void 0, CreateViewVersionResponseFilterSensitiveLog)
    .ser(se_CreateViewVersionCommand)
    .de(de_CreateViewVersionCommand)
    .build() {
}
