import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DeleteTrafficDistributionGroupCommand, se_DeleteTrafficDistributionGroupCommand, } from "../protocols/Aws_restJson1";
export { $Command };
export class DeleteTrafficDistributionGroupCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "DeleteTrafficDistributionGroup", {})
    .n("ConnectClient", "DeleteTrafficDistributionGroupCommand")
    .f(void 0, void 0)
    .ser(se_DeleteTrafficDistributionGroupCommand)
    .de(de_DeleteTrafficDistributionGroupCommand)
    .build() {
}
