import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { DescribeContactResponseFilterSensitiveLog } from "../models/models_3";
import { de_DescribeContactCommand, se_DescribeContactCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class DescribeContactCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "DescribeContact", {})
    .n("ConnectClient", "DescribeContactCommand")
    .f(void 0, DescribeContactResponseFilterSensitiveLog)
    .ser(se_DescribeContactCommand)
    .de(de_DescribeContactCommand)
    .build() {
}
