import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { DescribeEmailAddressResponseFilterSensitiveLog, } from "../models/models_1";
import { de_DescribeEmailAddressCommand, se_DescribeEmailAddressCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class DescribeEmailAddressCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "DescribeEmailAddress", {})
    .n("ConnectClient", "DescribeEmailAddressCommand")
    .f(void 0, DescribeEmailAddressResponseFilterSensitiveLog)
    .ser(se_DescribeEmailAddressCommand)
    .de(de_DescribeEmailAddressCommand)
    .build() {
}
