import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { DescribeInstanceResponseFilterSensitiveLog, } from "../models/models_1";
import { de_DescribeInstanceCommand, se_DescribeInstanceCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class DescribeInstanceCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "DescribeInstance", {})
    .n("ConnectClient", "DescribeInstanceCommand")
    .f(void 0, DescribeInstanceResponseFilterSensitiveLog)
    .ser(se_DescribeInstanceCommand)
    .de(de_DescribeInstanceCommand)
    .build() {
}
