import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { DescribeUserResponseFilterSensitiveLog } from "../models/models_1";
import { de_DescribeUserCommand, se_DescribeUserCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class DescribeUserCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "DescribeUser", {})
    .n("ConnectClient", "DescribeUserCommand")
    .f(void 0, DescribeUserResponseFilterSensitiveLog)
    .ser(se_DescribeUserCommand)
    .de(de_DescribeUserCommand)
    .build() {
}
