import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_ListPhoneNumbersV2Command, se_ListPhoneNumbersV2Command } from "../protocols/Aws_restJson1";
export { $Command };
export class ListPhoneNumbersV2Command extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "ListPhoneNumbersV2", {})
    .n("ConnectClient", "ListPhoneNumbersV2Command")
    .f(void 0, void 0)
    .ser(se_ListPhoneNumbersV2Command)
    .de(de_ListPhoneNumbersV2Command)
    .build() {
}
