import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_ListRealtimeContactAnalysisSegmentsV2Command, se_ListRealtimeContactAnalysisSegmentsV2Command, } from "../protocols/Aws_restJson1";
export { $Command };
export class ListRealtimeContactAnalysisSegmentsV2Command extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "ListRealtimeContactAnalysisSegmentsV2", {})
    .n("ConnectClient", "ListRealtimeContactAnalysisSegmentsV2Command")
    .f(void 0, void 0)
    .ser(se_ListRealtimeContactAnalysisSegmentsV2Command)
    .de(de_ListRealtimeContactAnalysisSegmentsV2Command)
    .build() {
}
