import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { ListViewVersionsResponseFilterSensitiveLog, } from "../models/models_2";
import { de_ListViewVersionsCommand, se_ListViewVersionsCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class ListViewVersionsCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "ListViewVersions", {})
    .n("ConnectClient", "ListViewVersionsCommand")
    .f(void 0, ListViewVersionsResponseFilterSensitiveLog)
    .ser(se_ListViewVersionsCommand)
    .de(de_ListViewVersionsCommand)
    .build() {
}
