import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { ListViewsResponseFilterSensitiveLog } from "../models/models_2";
import { de_ListViewsCommand, se_ListViewsCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class ListViewsCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "ListViews", {})
    .n("ConnectClient", "ListViewsCommand")
    .f(void 0, ListViewsResponseFilterSensitiveLog)
    .ser(se_ListViewsCommand)
    .de(de_ListViewsCommand)
    .build() {
}
