import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { SearchContactsRequestFilterSensitiveLog, } from "../models/models_2";
import { de_SearchContactsCommand, se_SearchContactsCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class SearchContactsCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "SearchContacts", {})
    .n("ConnectClient", "SearchContactsCommand")
    .f(SearchContactsRequestFilterSensitiveLog, void 0)
    .ser(se_SearchContactsCommand)
    .de(de_SearchContactsCommand)
    .build() {
}
