import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { SearchEmailAddressesResponseFilterSensitiveLog } from "../models/models_2";
import { de_SearchEmailAddressesCommand, se_SearchEmailAddressesCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class SearchEmailAddressesCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "SearchEmailAddresses", {})
    .n("ConnectClient", "SearchEmailAddressesCommand")
    .f(void 0, SearchEmailAddressesResponseFilterSensitiveLog)
    .ser(se_SearchEmailAddressesCommand)
    .de(de_SearchEmailAddressesCommand)
    .build() {
}
