import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_SearchHoursOfOperationsCommand, se_SearchHoursOfOperationsCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class SearchHoursOfOperationsCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "SearchHoursOfOperations", {})
    .n("ConnectClient", "SearchHoursOfOperationsCommand")
    .f(void 0, void 0)
    .ser(se_SearchHoursOfOperationsCommand)
    .de(de_SearchHoursOfOperationsCommand)
    .build() {
}
