import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { SendOutboundEmailRequestFilterSensitiveLog, } from "../models/models_2";
import { de_SendOutboundEmailCommand, se_SendOutboundEmailCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class SendOutboundEmailCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "SendOutboundEmail", {})
    .n("ConnectClient", "SendOutboundEmailCommand")
    .f(SendOutboundEmailRequestFilterSensitiveLog, void 0)
    .ser(se_SendOutboundEmailCommand)
    .de(de_SendOutboundEmailCommand)
    .build() {
}
