import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { StartChatContactRequestFilterSensitiveLog } from "../models/models_3";
import { de_StartChatContactCommand, se_StartChatContactCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class StartChatContactCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "StartChatContact", {})
    .n("ConnectClient", "StartChatContactCommand")
    .f(StartChatContactRequestFilterSensitiveLog, void 0)
    .ser(se_StartChatContactCommand)
    .de(de_StartChatContactCommand)
    .build() {
}
