import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { StartEmailContactRequestFilterSensitiveLog } from "../models/models_3";
import { de_StartEmailContactCommand, se_StartEmailContactCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class StartEmailContactCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "StartEmailContact", {})
    .n("ConnectClient", "StartEmailContactCommand")
    .f(StartEmailContactRequestFilterSensitiveLog, void 0)
    .ser(se_StartEmailContactCommand)
    .de(de_StartEmailContactCommand)
    .build() {
}
