import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { StartOutboundEmailContactRequestFilterSensitiveLog, } from "../models/models_2";
import { de_StartOutboundEmailContactCommand, se_StartOutboundEmailContactCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class StartOutboundEmailContactCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "StartOutboundEmailContact", {})
    .n("ConnectClient", "StartOutboundEmailContactCommand")
    .f(StartOutboundEmailContactRequestFilterSensitiveLog, void 0)
    .ser(se_StartOutboundEmailContactCommand)
    .de(de_StartOutboundEmailContactCommand)
    .build() {
}
