import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { StartOutboundVoiceContactRequestFilterSensitiveLog, } from "../models/models_2";
import { de_StartOutboundVoiceContactCommand, se_StartOutboundVoiceContactCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class StartOutboundVoiceContactCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "StartOutboundVoiceContact", {})
    .n("ConnectClient", "StartOutboundVoiceContactCommand")
    .f(StartOutboundVoiceContactRequestFilterSensitiveLog, void 0)
    .ser(se_StartOutboundVoiceContactCommand)
    .de(de_StartOutboundVoiceContactCommand)
    .build() {
}
