import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { StartTaskContactRequestFilterSensitiveLog } from "../models/models_3";
import { de_StartTaskContactCommand, se_StartTaskContactCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class StartTaskContactCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "StartTaskContact", {})
    .n("ConnectClient", "StartTaskContactCommand")
    .f(StartTaskContactRequestFilterSensitiveLog, void 0)
    .ser(se_StartTaskContactCommand)
    .de(de_StartTaskContactCommand)
    .build() {
}
