import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { StartWebRTCContactRequestFilterSensitiveLog, StartWebRTCContactResponseFilterSensitiveLog, } from "../models/models_2";
import { de_StartWebRTCContactCommand, se_StartWebRTCContactCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class StartWebRTCContactCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "StartWebRTCContact", {})
    .n("ConnectClient", "StartWebRTCContactCommand")
    .f(StartWebRTCContactRequestFilterSensitiveLog, StartWebRTCContactResponseFilterSensitiveLog)
    .ser(se_StartWebRTCContactCommand)
    .de(de_StartWebRTCContactCommand)
    .build() {
}
