import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_SubmitContactEvaluationCommand, se_SubmitContactEvaluationCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class SubmitContactEvaluationCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "SubmitContactEvaluation", {})
    .n("ConnectClient", "SubmitContactEvaluationCommand")
    .f(void 0, void 0)
    .ser(se_SubmitContactEvaluationCommand)
    .de(de_SubmitContactEvaluationCommand)
    .build() {
}
