import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_UpdateContactFlowMetadataCommand, se_UpdateContactFlowMetadataCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class UpdateContactFlowMetadataCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "UpdateContactFlowMetadata", {})
    .n("ConnectClient", "UpdateContactFlowMetadataCommand")
    .f(void 0, void 0)
    .ser(se_UpdateContactFlowMetadataCommand)
    .de(de_UpdateContactFlowMetadataCommand)
    .build() {
}
