import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { UpdateEmailAddressMetadataRequestFilterSensitiveLog, } from "../models/models_2";
import { de_UpdateEmailAddressMetadataCommand, se_UpdateEmailAddressMetadataCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class UpdateEmailAddressMetadataCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "UpdateEmailAddressMetadata", {})
    .n("ConnectClient", "UpdateEmailAddressMetadataCommand")
    .f(UpdateEmailAddressMetadataRequestFilterSensitiveLog, void 0)
    .ser(se_UpdateEmailAddressMetadataCommand)
    .de(de_UpdateEmailAddressMetadataCommand)
    .build() {
}
