import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { UpdateParticipantAuthenticationRequestFilterSensitiveLog, } from "../models/models_2";
import { de_UpdateParticipantAuthenticationCommand, se_UpdateParticipantAuthenticationCommand, } from "../protocols/Aws_restJson1";
export { $Command };
export class UpdateParticipantAuthenticationCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "UpdateParticipantAuthentication", {})
    .n("ConnectClient", "UpdateParticipantAuthenticationCommand")
    .f(UpdateParticipantAuthenticationRequestFilterSensitiveLog, void 0)
    .ser(se_UpdateParticipantAuthenticationCommand)
    .de(de_UpdateParticipantAuthenticationCommand)
    .build() {
}
