import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { UpdateUserIdentityInfoRequestFilterSensitiveLog } from "../models/models_3";
import { de_UpdateUserIdentityInfoCommand, se_UpdateUserIdentityInfoCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class UpdateUserIdentityInfoCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "UpdateUserIdentityInfo", {})
    .n("ConnectClient", "UpdateUserIdentityInfoCommand")
    .f(UpdateUserIdentityInfoRequestFilterSensitiveLog, void 0)
    .ser(se_UpdateUserIdentityInfoCommand)
    .de(de_UpdateUserIdentityInfoCommand)
    .build() {
}
