import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { UpdateViewContentRequestFilterSensitiveLog, UpdateViewContentResponseFilterSensitiveLog, } from "../models/models_3";
import { de_UpdateViewContentCommand, se_UpdateViewContentCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class UpdateViewContentCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "UpdateViewContent", {})
    .n("ConnectClient", "UpdateViewContentCommand")
    .f(UpdateViewContentRequestFilterSensitiveLog, UpdateViewContentResponseFilterSensitiveLog)
    .ser(se_UpdateViewContentCommand)
    .de(de_UpdateViewContentCommand)
    .build() {
}
