import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { UpdateViewMetadataRequestFilterSensitiveLog, } from "../models/models_3";
import { de_UpdateViewMetadataCommand, se_UpdateViewMetadataCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class UpdateViewMetadataCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonConnectService", "UpdateViewMetadata", {})
    .n("ConnectClient", "UpdateViewMetadataCommand")
    .f(UpdateViewMetadataRequestFilterSensitiveLog, void 0)
    .ser(se_UpdateViewMetadataCommand)
    .de(de_UpdateViewMetadataCommand)
    .build() {
}
