import { SENSITIVE_STRING } from "@smithy/smithy-client";
import { UserIdentityInfoFilterSensitiveLog, ViewFilterSensitiveLog, ViewInputContentFilterSensitiveLog, } from "./models_0";
import { EmailAddressInfoFilterSensitiveLog, InboundAdditionalRecipientsFilterSensitiveLog, InboundEmailContentFilterSensitiveLog, } from "./models_2";
export var EvaluationFormItem;
(function (EvaluationFormItem) {
    EvaluationFormItem.visit = (value, visitor) => {
        if (value.Section !== undefined)
            return visitor.Section(value.Section);
        if (value.Question !== undefined)
            return visitor.Question(value.Question);
        return visitor._(value.$unknown[0], value.$unknown[1]);
    };
})(EvaluationFormItem || (EvaluationFormItem = {}));
export const UpdateUserIdentityInfoRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.IdentityInfo && { IdentityInfo: UserIdentityInfoFilterSensitiveLog(obj.IdentityInfo) }),
});
export const UpdateViewContentRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Content && { Content: ViewInputContentFilterSensitiveLog(obj.Content) }),
});
export const UpdateViewContentResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.View && { View: ViewFilterSensitiveLog(obj.View) }),
});
export const UpdateViewMetadataRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Name && { Name: SENSITIVE_STRING }),
});
export const CreateContactRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Name && { Name: SENSITIVE_STRING }),
    ...(obj.Description && { Description: SENSITIVE_STRING }),
});
export const StartChatContactRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.CustomerId && { CustomerId: SENSITIVE_STRING }),
});
export const StartEmailContactRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.FromEmailAddress && { FromEmailAddress: EmailAddressInfoFilterSensitiveLog(obj.FromEmailAddress) }),
    ...(obj.DestinationEmailAddress && { DestinationEmailAddress: SENSITIVE_STRING }),
    ...(obj.Description && { Description: SENSITIVE_STRING }),
    ...(obj.Name && { Name: SENSITIVE_STRING }),
    ...(obj.EmailMessage && { EmailMessage: InboundEmailContentFilterSensitiveLog(obj.EmailMessage) }),
    ...(obj.AdditionalRecipients && {
        AdditionalRecipients: InboundAdditionalRecipientsFilterSensitiveLog(obj.AdditionalRecipients),
    }),
    ...(obj.Attachments && { Attachments: SENSITIVE_STRING }),
});
export const StartTaskContactRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Name && { Name: SENSITIVE_STRING }),
    ...(obj.Description && { Description: SENSITIVE_STRING }),
});
export const UpdateContactRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Name && { Name: SENSITIVE_STRING }),
    ...(obj.Description && { Description: SENSITIVE_STRING }),
});
export const ContactFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Name && { Name: SENSITIVE_STRING }),
    ...(obj.Description && { Description: SENSITIVE_STRING }),
});
export const DescribeContactResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Contact && { Contact: ContactFilterSensitiveLog(obj.Contact) }),
});
