import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
  Provider,
} from "@smithy/types";
import { ConnectClientResolvedConfig } from "../ConnectClient";
export interface ConnectHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface ConnectHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    ConnectClientResolvedConfig,
    HandlerExecutionContext,
    ConnectHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultConnectHttpAuthSchemeParametersProvider: (
  config: ConnectClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<ConnectHttpAuthSchemeParameters>;
export interface ConnectHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<ConnectHttpAuthSchemeParameters> {}
export declare const defaultConnectHttpAuthSchemeProvider: ConnectHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  authSchemePreference?: string[] | Provider<string[]>;
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: ConnectHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly authSchemePreference: Provider<string[]>;
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: ConnectHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
