import { ExceptionOptionType as __ExceptionOptionType } from "@smithy/smithy-client";
import { ConnectServiceException as __BaseException } from "./ConnectServiceException";
import {
  AgentAvailabilityTimer,
  AgentConfig,
  AgentContactReference,
  AgentQualityMetrics,
  AgentsCriteria,
  AgentStatus,
  AgentStatusReference,
  AgentStatusSummary,
  AgentStatusType,
  AnalyticsDataAssociationResult,
  AudioQualityMetricsInfo,
  Channel,
  ContactFlowStatus,
  ContactFlowType,
  ContactInitiationMethod,
  ContactState,
  CreatedByInfo,
  DeviceInfo,
  DirectoryType,
  Distribution,
  EndpointType,
  FileStatusType,
  FileUseCaseType,
  FlowAssociationResourceType,
  FlowAssociationSummary,
  HoursOfOperationConfig,
  HoursOfOperationOverrideConfig,
  InstanceStorageConfig,
  InstanceStorageResourceType,
  IntegrationType,
  LexBot,
  LexV2Bot,
  ListFlowAssociationResourceType,
  MediaConcurrency,
  OutboundCallerConfig,
  OutboundEmailConfig,
  OverrideTimeSlice,
  ParticipantCapabilities,
  PredefinedAttributeValues,
  QueueReference,
  QuickConnectConfig,
  ReferenceStatus,
  ReferenceType,
  RoutingProfileQueueReference,
  RuleAction,
  RulePublishStatus,
  RuleTriggerEventSource,
  SourceType,
  StorageType,
  TaskTemplateConstraints,
  TaskTemplateDefaults,
  TaskTemplateField,
  TaskTemplateStatus,
  UserIdentityInfo,
  UserPhoneConfig,
  View,
  VocabularyLanguageCode,
  VocabularyState,
} from "./models_0";
export interface DeletePromptRequest {
  InstanceId: string | undefined;
  PromptId: string | undefined;
}
export interface DeletePushNotificationRegistrationRequest {
  InstanceId: string | undefined;
  RegistrationId: string | undefined;
  ContactId: string | undefined;
}
export interface DeletePushNotificationRegistrationResponse {}
export interface DeleteQueueRequest {
  InstanceId: string | undefined;
  QueueId: string | undefined;
}
export interface DeleteQuickConnectRequest {
  InstanceId: string | undefined;
  QuickConnectId: string | undefined;
}
export interface DeleteRoutingProfileRequest {
  InstanceId: string | undefined;
  RoutingProfileId: string | undefined;
}
export interface DeleteRuleRequest {
  InstanceId: string | undefined;
  RuleId: string | undefined;
}
export interface DeleteSecurityProfileRequest {
  InstanceId: string | undefined;
  SecurityProfileId: string | undefined;
}
export interface DeleteTaskTemplateRequest {
  InstanceId: string | undefined;
  TaskTemplateId: string | undefined;
}
export interface DeleteTaskTemplateResponse {}
export interface DeleteTrafficDistributionGroupRequest {
  TrafficDistributionGroupId: string | undefined;
}
export interface DeleteTrafficDistributionGroupResponse {}
export interface DeleteUseCaseRequest {
  InstanceId: string | undefined;
  IntegrationAssociationId: string | undefined;
  UseCaseId: string | undefined;
}
export interface DeleteUserRequest {
  InstanceId: string | undefined;
  UserId: string | undefined;
}
export interface DeleteUserHierarchyGroupRequest {
  HierarchyGroupId: string | undefined;
  InstanceId: string | undefined;
}
export interface DeleteViewRequest {
  InstanceId: string | undefined;
  ViewId: string | undefined;
}
export interface DeleteViewResponse {}
export interface DeleteViewVersionRequest {
  InstanceId: string | undefined;
  ViewId: string | undefined;
  ViewVersion: number | undefined;
}
export interface DeleteViewVersionResponse {}
export interface DeleteVocabularyRequest {
  InstanceId: string | undefined;
  VocabularyId: string | undefined;
}
export interface DeleteVocabularyResponse {
  VocabularyArn: string | undefined;
  VocabularyId: string | undefined;
  State: VocabularyState | undefined;
}
export interface DescribeAgentStatusRequest {
  InstanceId: string | undefined;
  AgentStatusId: string | undefined;
}
export interface DescribeAgentStatusResponse {
  AgentStatus?: AgentStatus | undefined;
}
export interface DescribeAuthenticationProfileRequest {
  AuthenticationProfileId: string | undefined;
  InstanceId: string | undefined;
}
export interface AuthenticationProfile {
  Id?: string | undefined;
  Arn?: string | undefined;
  Name?: string | undefined;
  Description?: string | undefined;
  AllowedIps?: string[] | undefined;
  BlockedIps?: string[] | undefined;
  IsDefault?: boolean | undefined;
  CreatedTime?: Date | undefined;
  LastModifiedTime?: Date | undefined;
  LastModifiedRegion?: string | undefined;
  PeriodicSessionDuration?: number | undefined;
  MaxSessionDuration?: number | undefined;
}
export interface DescribeAuthenticationProfileResponse {
  AuthenticationProfile?: AuthenticationProfile | undefined;
}
export interface DescribeContactRequest {
  InstanceId: string | undefined;
  ContactId: string | undefined;
}
export declare const AnsweringMachineDetectionStatus: {
  readonly AMD_ERROR: "AMD_ERROR";
  readonly AMD_NOT_APPLICABLE: "AMD_NOT_APPLICABLE";
  readonly AMD_UNANSWERED: "AMD_UNANSWERED";
  readonly AMD_UNRESOLVED: "AMD_UNRESOLVED";
  readonly ANSWERED: "ANSWERED";
  readonly ERROR: "ERROR";
  readonly FAX_MACHINE_DETECTED: "FAX_MACHINE_DETECTED";
  readonly HUMAN_ANSWERED: "HUMAN_ANSWERED";
  readonly SIT_TONE_BUSY: "SIT_TONE_BUSY";
  readonly SIT_TONE_DETECTED: "SIT_TONE_DETECTED";
  readonly SIT_TONE_INVALID_NUMBER: "SIT_TONE_INVALID_NUMBER";
  readonly UNDETECTED: "UNDETECTED";
  readonly VOICEMAIL_BEEP: "VOICEMAIL_BEEP";
  readonly VOICEMAIL_NO_BEEP: "VOICEMAIL_NO_BEEP";
};
export type AnsweringMachineDetectionStatus =
  (typeof AnsweringMachineDetectionStatus)[keyof typeof AnsweringMachineDetectionStatus];
export interface ContactDetails {
  Name?: string | undefined;
  Description?: string | undefined;
}
export declare const Status: {
  readonly COMPLETE: "COMPLETE";
  readonly DELETED: "DELETED";
  readonly IN_PROGRESS: "IN_PROGRESS";
};
export type Status = (typeof Status)[keyof typeof Status];
export interface ContactEvaluation {
  FormId?: string | undefined;
  EvaluationArn?: string | undefined;
  Status?: Status | undefined;
  StartTimestamp?: Date | undefined;
  EndTimestamp?: Date | undefined;
  DeleteTimestamp?: Date | undefined;
  ExportLocation?: string | undefined;
}
export interface Customer {
  DeviceInfo?: DeviceInfo | undefined;
  Capabilities?: ParticipantCapabilities | undefined;
}
export interface EndpointInfo {
  Type?: EndpointType | undefined;
  Address?: string | undefined;
  DisplayName?: string | undefined;
}
export interface CustomerVoiceActivity {
  GreetingStartTimestamp?: Date | undefined;
  GreetingEndTimestamp?: Date | undefined;
}
export interface DisconnectDetails {
  PotentialDisconnectIssue?: string | undefined;
}
export interface CustomerQualityMetrics {
  Audio?: AudioQualityMetricsInfo | undefined;
}
export interface QualityMetrics {
  Agent?: AgentQualityMetrics | undefined;
  Customer?: CustomerQualityMetrics | undefined;
}
export interface QueueInfo {
  Id?: string | undefined;
  EnqueueTimestamp?: Date | undefined;
}
export declare const MediaStreamType: {
  readonly AUDIO: "AUDIO";
  readonly VIDEO: "VIDEO";
};
export type MediaStreamType =
  (typeof MediaStreamType)[keyof typeof MediaStreamType];
export declare const ParticipantType: {
  readonly AGENT: "AGENT";
  readonly ALL: "ALL";
  readonly CUSTOMER: "CUSTOMER";
  readonly MANAGER: "MANAGER";
  readonly THIRDPARTY: "THIRDPARTY";
};
export type ParticipantType =
  (typeof ParticipantType)[keyof typeof ParticipantType];
export declare const RecordingStatus: {
  readonly AVAILABLE: "AVAILABLE";
  readonly DELETED: "DELETED";
};
export type RecordingStatus =
  (typeof RecordingStatus)[keyof typeof RecordingStatus];
export interface RecordingInfo {
  StorageType?: StorageType | undefined;
  Location?: string | undefined;
  MediaStreamType?: MediaStreamType | undefined;
  ParticipantType?: ParticipantType | undefined;
  FragmentStartNumber?: string | undefined;
  FragmentStopNumber?: string | undefined;
  StartTimestamp?: Date | undefined;
  StopTimestamp?: Date | undefined;
  Status?: RecordingStatus | undefined;
  DeletionReason?: string | undefined;
}
export interface Expiry {
  DurationInSeconds?: number | undefined;
  ExpiryTimestamp?: Date | undefined;
}
export interface MatchCriteria {
  AgentsCriteria?: AgentsCriteria | undefined;
}
export interface Range {
  MinProficiencyLevel?: number | undefined;
  MaxProficiencyLevel?: number | undefined;
}
export interface AttributeCondition {
  Name?: string | undefined;
  Value?: string | undefined;
  ProficiencyLevel?: number | undefined;
  Range?: Range | undefined;
  MatchCriteria?: MatchCriteria | undefined;
  ComparisonOperator?: string | undefined;
}
export declare const RoutingCriteriaStepStatus: {
  readonly ACTIVE: "ACTIVE";
  readonly EXPIRED: "EXPIRED";
  readonly INACTIVE: "INACTIVE";
  readonly JOINED: "JOINED";
};
export type RoutingCriteriaStepStatus =
  (typeof RoutingCriteriaStepStatus)[keyof typeof RoutingCriteriaStepStatus];
export interface WisdomInfo {
  SessionArn?: string | undefined;
}
export interface DescribeContactEvaluationRequest {
  InstanceId: string | undefined;
  EvaluationId: string | undefined;
}
export type EvaluationAnswerData =
  | EvaluationAnswerData.NotApplicableMember
  | EvaluationAnswerData.NumericValueMember
  | EvaluationAnswerData.StringValueMember
  | EvaluationAnswerData.$UnknownMember;
export declare namespace EvaluationAnswerData {
  interface StringValueMember {
    StringValue: string;
    NumericValue?: never;
    NotApplicable?: never;
    $unknown?: never;
  }
  interface NumericValueMember {
    StringValue?: never;
    NumericValue: number;
    NotApplicable?: never;
    $unknown?: never;
  }
  interface NotApplicableMember {
    StringValue?: never;
    NumericValue?: never;
    NotApplicable: boolean;
    $unknown?: never;
  }
  interface $UnknownMember {
    StringValue?: never;
    NumericValue?: never;
    NotApplicable?: never;
    $unknown: [string, any];
  }
  interface Visitor<T> {
    StringValue: (value: string) => T;
    NumericValue: (value: number) => T;
    NotApplicable: (value: boolean) => T;
    _: (name: string, value: any) => T;
  }
  const visit: <T>(value: EvaluationAnswerData, visitor: Visitor<T>) => T;
}
export interface EvaluationAnswerOutput {
  Value?: EvaluationAnswerData | undefined;
  SystemSuggestedValue?: EvaluationAnswerData | undefined;
}
export interface EvaluationScore {
  Percentage?: number | undefined;
  NotApplicable?: boolean | undefined;
  AutomaticFail?: boolean | undefined;
}
export interface EvaluationMetadata {
  ContactId: string | undefined;
  EvaluatorArn: string | undefined;
  ContactAgentId?: string | undefined;
  Score?: EvaluationScore | undefined;
}
export interface EvaluationNote {
  Value?: string | undefined;
}
export declare const EvaluationStatus: {
  readonly DRAFT: "DRAFT";
  readonly SUBMITTED: "SUBMITTED";
};
export type EvaluationStatus =
  (typeof EvaluationStatus)[keyof typeof EvaluationStatus];
export interface Evaluation {
  EvaluationId: string | undefined;
  EvaluationArn: string | undefined;
  Metadata: EvaluationMetadata | undefined;
  Answers: Record<string, EvaluationAnswerOutput> | undefined;
  Notes: Record<string, EvaluationNote> | undefined;
  Status: EvaluationStatus | undefined;
  Scores?: Record<string, EvaluationScore> | undefined;
  CreatedTime: Date | undefined;
  LastModifiedTime: Date | undefined;
  Tags?: Record<string, string> | undefined;
}
export declare class ContactFlowNotPublishedException extends __BaseException {
  readonly name: "ContactFlowNotPublishedException";
  readonly $fault: "client";
  Message?: string | undefined;
  constructor(
    opts: __ExceptionOptionType<
      ContactFlowNotPublishedException,
      __BaseException
    >
  );
}
export interface DescribeContactFlowRequest {
  InstanceId: string | undefined;
  ContactFlowId: string | undefined;
}
export declare const ContactFlowState: {
  readonly ACTIVE: "ACTIVE";
  readonly ARCHIVED: "ARCHIVED";
};
export type ContactFlowState =
  (typeof ContactFlowState)[keyof typeof ContactFlowState];
export interface ContactFlow {
  Arn?: string | undefined;
  Id?: string | undefined;
  Name?: string | undefined;
  Type?: ContactFlowType | undefined;
  State?: ContactFlowState | undefined;
  Status?: ContactFlowStatus | undefined;
  Description?: string | undefined;
  Content?: string | undefined;
  Tags?: Record<string, string> | undefined;
  FlowContentSha256?: string | undefined;
  Version?: number | undefined;
  VersionDescription?: string | undefined;
  LastModifiedTime?: Date | undefined;
  LastModifiedRegion?: string | undefined;
}
export interface DescribeContactFlowResponse {
  ContactFlow?: ContactFlow | undefined;
}
export interface DescribeContactFlowModuleRequest {
  InstanceId: string | undefined;
  ContactFlowModuleId: string | undefined;
}
export declare const ContactFlowModuleState: {
  readonly ACTIVE: "ACTIVE";
  readonly ARCHIVED: "ARCHIVED";
};
export type ContactFlowModuleState =
  (typeof ContactFlowModuleState)[keyof typeof ContactFlowModuleState];
export declare const ContactFlowModuleStatus: {
  readonly PUBLISHED: "PUBLISHED";
  readonly SAVED: "SAVED";
};
export type ContactFlowModuleStatus =
  (typeof ContactFlowModuleStatus)[keyof typeof ContactFlowModuleStatus];
export interface ContactFlowModule {
  Arn?: string | undefined;
  Id?: string | undefined;
  Name?: string | undefined;
  Content?: string | undefined;
  Description?: string | undefined;
  State?: ContactFlowModuleState | undefined;
  Status?: ContactFlowModuleStatus | undefined;
  Tags?: Record<string, string> | undefined;
}
export interface DescribeContactFlowModuleResponse {
  ContactFlowModule?: ContactFlowModule | undefined;
}
export interface DescribeEmailAddressRequest {
  InstanceId: string | undefined;
  EmailAddressId: string | undefined;
}
export interface DescribeEmailAddressResponse {
  EmailAddressId?: string | undefined;
  EmailAddressArn?: string | undefined;
  EmailAddress?: string | undefined;
  DisplayName?: string | undefined;
  Description?: string | undefined;
  CreateTimestamp?: string | undefined;
  ModifiedTimestamp?: string | undefined;
  Tags?: Record<string, string> | undefined;
}
export interface DescribeEvaluationFormRequest {
  InstanceId: string | undefined;
  EvaluationFormId: string | undefined;
  EvaluationFormVersion?: number | undefined;
}
export declare const EvaluationFormVersionStatus: {
  readonly ACTIVE: "ACTIVE";
  readonly DRAFT: "DRAFT";
};
export type EvaluationFormVersionStatus =
  (typeof EvaluationFormVersionStatus)[keyof typeof EvaluationFormVersionStatus];
export interface DescribeHoursOfOperationRequest {
  InstanceId: string | undefined;
  HoursOfOperationId: string | undefined;
}
export interface HoursOfOperation {
  HoursOfOperationId?: string | undefined;
  HoursOfOperationArn?: string | undefined;
  Name?: string | undefined;
  Description?: string | undefined;
  TimeZone?: string | undefined;
  Config?: HoursOfOperationConfig[] | undefined;
  Tags?: Record<string, string> | undefined;
  LastModifiedTime?: Date | undefined;
  LastModifiedRegion?: string | undefined;
}
export interface DescribeHoursOfOperationResponse {
  HoursOfOperation?: HoursOfOperation | undefined;
}
export interface DescribeHoursOfOperationOverrideRequest {
  InstanceId: string | undefined;
  HoursOfOperationId: string | undefined;
  HoursOfOperationOverrideId: string | undefined;
}
export interface HoursOfOperationOverride {
  HoursOfOperationOverrideId?: string | undefined;
  HoursOfOperationId?: string | undefined;
  HoursOfOperationArn?: string | undefined;
  Name?: string | undefined;
  Description?: string | undefined;
  Config?: HoursOfOperationOverrideConfig[] | undefined;
  EffectiveFrom?: string | undefined;
  EffectiveTill?: string | undefined;
}
export interface DescribeHoursOfOperationOverrideResponse {
  HoursOfOperationOverride?: HoursOfOperationOverride | undefined;
}
export interface DescribeInstanceRequest {
  InstanceId: string | undefined;
}
export declare const InstanceStatus: {
  readonly ACTIVE: "ACTIVE";
  readonly CREATION_FAILED: "CREATION_FAILED";
  readonly CREATION_IN_PROGRESS: "CREATION_IN_PROGRESS";
};
export type InstanceStatus =
  (typeof InstanceStatus)[keyof typeof InstanceStatus];
export interface InstanceStatusReason {
  Message?: string | undefined;
}
export interface Instance {
  Id?: string | undefined;
  Arn?: string | undefined;
  IdentityManagementType?: DirectoryType | undefined;
  InstanceAlias?: string | undefined;
  CreatedTime?: Date | undefined;
  ServiceRole?: string | undefined;
  InstanceStatus?: InstanceStatus | undefined;
  StatusReason?: InstanceStatusReason | undefined;
  InboundCallsEnabled?: boolean | undefined;
  OutboundCallsEnabled?: boolean | undefined;
  InstanceAccessUrl?: string | undefined;
  Tags?: Record<string, string> | undefined;
}
export declare const InstanceReplicationStatus: {
  readonly INSTANCE_REPLICATION_COMPLETE: "INSTANCE_REPLICATION_COMPLETE";
  readonly INSTANCE_REPLICATION_DELETION_FAILED: "INSTANCE_REPLICATION_DELETION_FAILED";
  readonly INSTANCE_REPLICATION_FAILED: "INSTANCE_REPLICATION_FAILED";
  readonly INSTANCE_REPLICATION_IN_PROGRESS: "INSTANCE_REPLICATION_IN_PROGRESS";
  readonly INSTANCE_REPLICA_DELETING: "INSTANCE_REPLICA_DELETING";
  readonly RESOURCE_REPLICATION_NOT_STARTED: "RESOURCE_REPLICATION_NOT_STARTED";
};
export type InstanceReplicationStatus =
  (typeof InstanceReplicationStatus)[keyof typeof InstanceReplicationStatus];
export interface ReplicationStatusSummary {
  Region?: string | undefined;
  ReplicationStatus?: InstanceReplicationStatus | undefined;
  ReplicationStatusReason?: string | undefined;
}
export interface ReplicationConfiguration {
  ReplicationStatusSummaryList?: ReplicationStatusSummary[] | undefined;
  SourceRegion?: string | undefined;
  GlobalSignInEndpoint?: string | undefined;
}
export interface DescribeInstanceResponse {
  Instance?: Instance | undefined;
  ReplicationConfiguration?: ReplicationConfiguration | undefined;
}
export declare const InstanceAttributeType: {
  readonly AUTO_RESOLVE_BEST_VOICES: "AUTO_RESOLVE_BEST_VOICES";
  readonly CONTACTFLOW_LOGS: "CONTACTFLOW_LOGS";
  readonly CONTACT_LENS: "CONTACT_LENS";
  readonly EARLY_MEDIA: "EARLY_MEDIA";
  readonly ENHANCED_CHAT_MONITORING: "ENHANCED_CHAT_MONITORING";
  readonly ENHANCED_CONTACT_MONITORING: "ENHANCED_CONTACT_MONITORING";
  readonly HIGH_VOLUME_OUTBOUND: "HIGH_VOLUME_OUTBOUND";
  readonly INBOUND_CALLS: "INBOUND_CALLS";
  readonly MULTI_PARTY_CHAT_CONFERENCE: "MULTI_PARTY_CHAT_CONFERENCE";
  readonly MULTI_PARTY_CONFERENCE: "MULTI_PARTY_CONFERENCE";
  readonly OUTBOUND_CALLS: "OUTBOUND_CALLS";
  readonly USE_CUSTOM_TTS_VOICES: "USE_CUSTOM_TTS_VOICES";
};
export type InstanceAttributeType =
  (typeof InstanceAttributeType)[keyof typeof InstanceAttributeType];
export interface DescribeInstanceAttributeRequest {
  InstanceId: string | undefined;
  AttributeType: InstanceAttributeType | undefined;
}
export interface Attribute {
  AttributeType?: InstanceAttributeType | undefined;
  Value?: string | undefined;
}
export interface DescribeInstanceAttributeResponse {
  Attribute?: Attribute | undefined;
}
export interface DescribeInstanceStorageConfigRequest {
  InstanceId: string | undefined;
  AssociationId: string | undefined;
  ResourceType: InstanceStorageResourceType | undefined;
}
export interface DescribeInstanceStorageConfigResponse {
  StorageConfig?: InstanceStorageConfig | undefined;
}
export interface DescribePhoneNumberRequest {
  PhoneNumberId: string | undefined;
}
export declare const PhoneNumberCountryCode: {
  readonly AD: "AD";
  readonly AE: "AE";
  readonly AF: "AF";
  readonly AG: "AG";
  readonly AI: "AI";
  readonly AL: "AL";
  readonly AM: "AM";
  readonly AN: "AN";
  readonly AO: "AO";
  readonly AQ: "AQ";
  readonly AR: "AR";
  readonly AS: "AS";
  readonly AT: "AT";
  readonly AU: "AU";
  readonly AW: "AW";
  readonly AZ: "AZ";
  readonly BA: "BA";
  readonly BB: "BB";
  readonly BD: "BD";
  readonly BE: "BE";
  readonly BF: "BF";
  readonly BG: "BG";
  readonly BH: "BH";
  readonly BI: "BI";
  readonly BJ: "BJ";
  readonly BL: "BL";
  readonly BM: "BM";
  readonly BN: "BN";
  readonly BO: "BO";
  readonly BR: "BR";
  readonly BS: "BS";
  readonly BT: "BT";
  readonly BW: "BW";
  readonly BY: "BY";
  readonly BZ: "BZ";
  readonly CA: "CA";
  readonly CC: "CC";
  readonly CD: "CD";
  readonly CF: "CF";
  readonly CG: "CG";
  readonly CH: "CH";
  readonly CI: "CI";
  readonly CK: "CK";
  readonly CL: "CL";
  readonly CM: "CM";
  readonly CN: "CN";
  readonly CO: "CO";
  readonly CR: "CR";
  readonly CU: "CU";
  readonly CV: "CV";
  readonly CW: "CW";
  readonly CX: "CX";
  readonly CY: "CY";
  readonly CZ: "CZ";
  readonly DE: "DE";
  readonly DJ: "DJ";
  readonly DK: "DK";
  readonly DM: "DM";
  readonly DO: "DO";
  readonly DZ: "DZ";
  readonly EC: "EC";
  readonly EE: "EE";
  readonly EG: "EG";
  readonly EH: "EH";
  readonly ER: "ER";
  readonly ES: "ES";
  readonly ET: "ET";
  readonly FI: "FI";
  readonly FJ: "FJ";
  readonly FK: "FK";
  readonly FM: "FM";
  readonly FO: "FO";
  readonly FR: "FR";
  readonly GA: "GA";
  readonly GB: "GB";
  readonly GD: "GD";
  readonly GE: "GE";
  readonly GG: "GG";
  readonly GH: "GH";
  readonly GI: "GI";
  readonly GL: "GL";
  readonly GM: "GM";
  readonly GN: "GN";
  readonly GQ: "GQ";
  readonly GR: "GR";
  readonly GT: "GT";
  readonly GU: "GU";
  readonly GW: "GW";
  readonly GY: "GY";
  readonly HK: "HK";
  readonly HN: "HN";
  readonly HR: "HR";
  readonly HT: "HT";
  readonly HU: "HU";
  readonly ID: "ID";
  readonly IE: "IE";
  readonly IL: "IL";
  readonly IM: "IM";
  readonly IN: "IN";
  readonly IO: "IO";
  readonly IQ: "IQ";
  readonly IR: "IR";
  readonly IS: "IS";
  readonly IT: "IT";
  readonly JE: "JE";
  readonly JM: "JM";
  readonly JO: "JO";
  readonly JP: "JP";
  readonly KE: "KE";
  readonly KG: "KG";
  readonly KH: "KH";
  readonly KI: "KI";
  readonly KM: "KM";
  readonly KN: "KN";
  readonly KP: "KP";
  readonly KR: "KR";
  readonly KW: "KW";
  readonly KY: "KY";
  readonly KZ: "KZ";
  readonly LA: "LA";
  readonly LB: "LB";
  readonly LC: "LC";
  readonly LI: "LI";
  readonly LK: "LK";
  readonly LR: "LR";
  readonly LS: "LS";
  readonly LT: "LT";
  readonly LU: "LU";
  readonly LV: "LV";
  readonly LY: "LY";
  readonly MA: "MA";
  readonly MC: "MC";
  readonly MD: "MD";
  readonly ME: "ME";
  readonly MF: "MF";
  readonly MG: "MG";
  readonly MH: "MH";
  readonly MK: "MK";
  readonly ML: "ML";
  readonly MM: "MM";
  readonly MN: "MN";
  readonly MO: "MO";
  readonly MP: "MP";
  readonly MR: "MR";
  readonly MS: "MS";
  readonly MT: "MT";
  readonly MU: "MU";
  readonly MV: "MV";
  readonly MW: "MW";
  readonly MX: "MX";
  readonly MY: "MY";
  readonly MZ: "MZ";
  readonly NA: "NA";
  readonly NC: "NC";
  readonly NE: "NE";
  readonly NG: "NG";
  readonly NI: "NI";
  readonly NL: "NL";
  readonly NO: "NO";
  readonly NP: "NP";
  readonly NR: "NR";
  readonly NU: "NU";
  readonly NZ: "NZ";
  readonly OM: "OM";
  readonly PA: "PA";
  readonly PE: "PE";
  readonly PF: "PF";
  readonly PG: "PG";
  readonly PH: "PH";
  readonly PK: "PK";
  readonly PL: "PL";
  readonly PM: "PM";
  readonly PN: "PN";
  readonly PR: "PR";
  readonly PT: "PT";
  readonly PW: "PW";
  readonly PY: "PY";
  readonly QA: "QA";
  readonly RE: "RE";
  readonly RO: "RO";
  readonly RS: "RS";
  readonly RU: "RU";
  readonly RW: "RW";
  readonly SA: "SA";
  readonly SB: "SB";
  readonly SC: "SC";
  readonly SD: "SD";
  readonly SE: "SE";
  readonly SG: "SG";
  readonly SH: "SH";
  readonly SI: "SI";
  readonly SJ: "SJ";
  readonly SK: "SK";
  readonly SL: "SL";
  readonly SM: "SM";
  readonly SN: "SN";
  readonly SO: "SO";
  readonly SR: "SR";
  readonly ST: "ST";
  readonly SV: "SV";
  readonly SX: "SX";
  readonly SY: "SY";
  readonly SZ: "SZ";
  readonly TC: "TC";
  readonly TD: "TD";
  readonly TG: "TG";
  readonly TH: "TH";
  readonly TJ: "TJ";
  readonly TK: "TK";
  readonly TL: "TL";
  readonly TM: "TM";
  readonly TN: "TN";
  readonly TO: "TO";
  readonly TR: "TR";
  readonly TT: "TT";
  readonly TV: "TV";
  readonly TW: "TW";
  readonly TZ: "TZ";
  readonly UA: "UA";
  readonly UG: "UG";
  readonly US: "US";
  readonly UY: "UY";
  readonly UZ: "UZ";
  readonly VA: "VA";
  readonly VC: "VC";
  readonly VE: "VE";
  readonly VG: "VG";
  readonly VI: "VI";
  readonly VN: "VN";
  readonly VU: "VU";
  readonly WF: "WF";
  readonly WS: "WS";
  readonly YE: "YE";
  readonly YT: "YT";
  readonly ZA: "ZA";
  readonly ZM: "ZM";
  readonly ZW: "ZW";
};
export type PhoneNumberCountryCode =
  (typeof PhoneNumberCountryCode)[keyof typeof PhoneNumberCountryCode];
export declare const PhoneNumberWorkflowStatus: {
  readonly Claimed: "CLAIMED";
  readonly Failed: "FAILED";
  readonly InProgress: "IN_PROGRESS";
};
export type PhoneNumberWorkflowStatus =
  (typeof PhoneNumberWorkflowStatus)[keyof typeof PhoneNumberWorkflowStatus];
export interface PhoneNumberStatus {
  Status?: PhoneNumberWorkflowStatus | undefined;
  Message?: string | undefined;
}
export declare const PhoneNumberType: {
  readonly DID: "DID";
  readonly SHARED: "SHARED";
  readonly SHORT_CODE: "SHORT_CODE";
  readonly THIRD_PARTY_DID: "THIRD_PARTY_DID";
  readonly THIRD_PARTY_TF: "THIRD_PARTY_TF";
  readonly TOLL_FREE: "TOLL_FREE";
  readonly UIFN: "UIFN";
};
export type PhoneNumberType =
  (typeof PhoneNumberType)[keyof typeof PhoneNumberType];
export interface ClaimedPhoneNumberSummary {
  PhoneNumberId?: string | undefined;
  PhoneNumberArn?: string | undefined;
  PhoneNumber?: string | undefined;
  PhoneNumberCountryCode?: PhoneNumberCountryCode | undefined;
  PhoneNumberType?: PhoneNumberType | undefined;
  PhoneNumberDescription?: string | undefined;
  TargetArn?: string | undefined;
  InstanceId?: string | undefined;
  Tags?: Record<string, string> | undefined;
  PhoneNumberStatus?: PhoneNumberStatus | undefined;
  SourcePhoneNumberArn?: string | undefined;
}
export interface DescribePhoneNumberResponse {
  ClaimedPhoneNumberSummary?: ClaimedPhoneNumberSummary | undefined;
}
export interface DescribePredefinedAttributeRequest {
  InstanceId: string | undefined;
  Name: string | undefined;
}
export interface PredefinedAttribute {
  Name?: string | undefined;
  Values?: PredefinedAttributeValues | undefined;
  LastModifiedTime?: Date | undefined;
  LastModifiedRegion?: string | undefined;
}
export interface DescribePredefinedAttributeResponse {
  PredefinedAttribute?: PredefinedAttribute | undefined;
}
export interface DescribePromptRequest {
  InstanceId: string | undefined;
  PromptId: string | undefined;
}
export interface Prompt {
  PromptARN?: string | undefined;
  PromptId?: string | undefined;
  Name?: string | undefined;
  Description?: string | undefined;
  Tags?: Record<string, string> | undefined;
  LastModifiedTime?: Date | undefined;
  LastModifiedRegion?: string | undefined;
}
export interface DescribePromptResponse {
  Prompt?: Prompt | undefined;
}
export interface DescribeQueueRequest {
  InstanceId: string | undefined;
  QueueId: string | undefined;
}
export declare const QueueStatus: {
  readonly DISABLED: "DISABLED";
  readonly ENABLED: "ENABLED";
};
export type QueueStatus = (typeof QueueStatus)[keyof typeof QueueStatus];
export interface Queue {
  Name?: string | undefined;
  QueueArn?: string | undefined;
  QueueId?: string | undefined;
  Description?: string | undefined;
  OutboundCallerConfig?: OutboundCallerConfig | undefined;
  OutboundEmailConfig?: OutboundEmailConfig | undefined;
  HoursOfOperationId?: string | undefined;
  MaxContacts?: number | undefined;
  Status?: QueueStatus | undefined;
  Tags?: Record<string, string> | undefined;
  LastModifiedTime?: Date | undefined;
  LastModifiedRegion?: string | undefined;
}
export interface DescribeQueueResponse {
  Queue?: Queue | undefined;
}
export interface DescribeQuickConnectRequest {
  InstanceId: string | undefined;
  QuickConnectId: string | undefined;
}
export interface QuickConnect {
  QuickConnectARN?: string | undefined;
  QuickConnectId?: string | undefined;
  Name?: string | undefined;
  Description?: string | undefined;
  QuickConnectConfig?: QuickConnectConfig | undefined;
  Tags?: Record<string, string> | undefined;
  LastModifiedTime?: Date | undefined;
  LastModifiedRegion?: string | undefined;
}
export interface DescribeQuickConnectResponse {
  QuickConnect?: QuickConnect | undefined;
}
export interface DescribeRoutingProfileRequest {
  InstanceId: string | undefined;
  RoutingProfileId: string | undefined;
}
export interface RoutingProfile {
  InstanceId?: string | undefined;
  Name?: string | undefined;
  RoutingProfileArn?: string | undefined;
  RoutingProfileId?: string | undefined;
  Description?: string | undefined;
  MediaConcurrencies?: MediaConcurrency[] | undefined;
  DefaultOutboundQueueId?: string | undefined;
  Tags?: Record<string, string> | undefined;
  NumberOfAssociatedQueues?: number | undefined;
  NumberOfAssociatedUsers?: number | undefined;
  AgentAvailabilityTimer?: AgentAvailabilityTimer | undefined;
  LastModifiedTime?: Date | undefined;
  LastModifiedRegion?: string | undefined;
  IsDefault?: boolean | undefined;
  AssociatedQueueIds?: string[] | undefined;
}
export interface DescribeRoutingProfileResponse {
  RoutingProfile?: RoutingProfile | undefined;
}
export interface DescribeRuleRequest {
  InstanceId: string | undefined;
  RuleId: string | undefined;
}
export interface Rule {
  Name: string | undefined;
  RuleId: string | undefined;
  RuleArn: string | undefined;
  TriggerEventSource: RuleTriggerEventSource | undefined;
  Function: string | undefined;
  Actions: RuleAction[] | undefined;
  PublishStatus: RulePublishStatus | undefined;
  CreatedTime: Date | undefined;
  LastUpdatedTime: Date | undefined;
  LastUpdatedBy: string | undefined;
  Tags?: Record<string, string> | undefined;
}
export interface DescribeRuleResponse {
  Rule: Rule | undefined;
}
export interface DescribeSecurityProfileRequest {
  SecurityProfileId: string | undefined;
  InstanceId: string | undefined;
}
export interface SecurityProfile {
  Id?: string | undefined;
  OrganizationResourceId?: string | undefined;
  Arn?: string | undefined;
  SecurityProfileName?: string | undefined;
  Description?: string | undefined;
  Tags?: Record<string, string> | undefined;
  AllowedAccessControlTags?: Record<string, string> | undefined;
  TagRestrictedResources?: string[] | undefined;
  LastModifiedTime?: Date | undefined;
  LastModifiedRegion?: string | undefined;
  HierarchyRestrictedResources?: string[] | undefined;
  AllowedAccessControlHierarchyGroupId?: string | undefined;
}
export interface DescribeSecurityProfileResponse {
  SecurityProfile?: SecurityProfile | undefined;
}
export interface DescribeTrafficDistributionGroupRequest {
  TrafficDistributionGroupId: string | undefined;
}
export declare const TrafficDistributionGroupStatus: {
  readonly ACTIVE: "ACTIVE";
  readonly CREATION_FAILED: "CREATION_FAILED";
  readonly CREATION_IN_PROGRESS: "CREATION_IN_PROGRESS";
  readonly DELETION_FAILED: "DELETION_FAILED";
  readonly PENDING_DELETION: "PENDING_DELETION";
  readonly UPDATE_IN_PROGRESS: "UPDATE_IN_PROGRESS";
};
export type TrafficDistributionGroupStatus =
  (typeof TrafficDistributionGroupStatus)[keyof typeof TrafficDistributionGroupStatus];
export interface TrafficDistributionGroup {
  Id?: string | undefined;
  Arn?: string | undefined;
  Name?: string | undefined;
  Description?: string | undefined;
  InstanceArn?: string | undefined;
  Status?: TrafficDistributionGroupStatus | undefined;
  Tags?: Record<string, string> | undefined;
  IsDefault?: boolean | undefined;
}
export interface DescribeTrafficDistributionGroupResponse {
  TrafficDistributionGroup?: TrafficDistributionGroup | undefined;
}
export interface DescribeUserRequest {
  UserId: string | undefined;
  InstanceId: string | undefined;
}
export interface User {
  Id?: string | undefined;
  Arn?: string | undefined;
  Username?: string | undefined;
  IdentityInfo?: UserIdentityInfo | undefined;
  PhoneConfig?: UserPhoneConfig | undefined;
  DirectoryUserId?: string | undefined;
  SecurityProfileIds?: string[] | undefined;
  RoutingProfileId?: string | undefined;
  HierarchyGroupId?: string | undefined;
  Tags?: Record<string, string> | undefined;
  LastModifiedTime?: Date | undefined;
  LastModifiedRegion?: string | undefined;
}
export interface DescribeUserResponse {
  User?: User | undefined;
}
export interface DescribeUserHierarchyGroupRequest {
  HierarchyGroupId: string | undefined;
  InstanceId: string | undefined;
}
export interface HierarchyGroupSummary {
  Id?: string | undefined;
  Arn?: string | undefined;
  Name?: string | undefined;
  LastModifiedTime?: Date | undefined;
  LastModifiedRegion?: string | undefined;
}
export interface HierarchyPath {
  LevelOne?: HierarchyGroupSummary | undefined;
  LevelTwo?: HierarchyGroupSummary | undefined;
  LevelThree?: HierarchyGroupSummary | undefined;
  LevelFour?: HierarchyGroupSummary | undefined;
  LevelFive?: HierarchyGroupSummary | undefined;
}
export interface HierarchyGroup {
  Id?: string | undefined;
  Arn?: string | undefined;
  Name?: string | undefined;
  LevelId?: string | undefined;
  HierarchyPath?: HierarchyPath | undefined;
  Tags?: Record<string, string> | undefined;
  LastModifiedTime?: Date | undefined;
  LastModifiedRegion?: string | undefined;
}
export interface DescribeUserHierarchyGroupResponse {
  HierarchyGroup?: HierarchyGroup | undefined;
}
export interface DescribeUserHierarchyStructureRequest {
  InstanceId: string | undefined;
}
export interface HierarchyLevel {
  Id?: string | undefined;
  Arn?: string | undefined;
  Name?: string | undefined;
  LastModifiedTime?: Date | undefined;
  LastModifiedRegion?: string | undefined;
}
export interface HierarchyStructure {
  LevelOne?: HierarchyLevel | undefined;
  LevelTwo?: HierarchyLevel | undefined;
  LevelThree?: HierarchyLevel | undefined;
  LevelFour?: HierarchyLevel | undefined;
  LevelFive?: HierarchyLevel | undefined;
}
export interface DescribeUserHierarchyStructureResponse {
  HierarchyStructure?: HierarchyStructure | undefined;
}
export interface DescribeViewRequest {
  InstanceId: string | undefined;
  ViewId: string | undefined;
}
export interface DescribeViewResponse {
  View?: View | undefined;
}
export interface DescribeVocabularyRequest {
  InstanceId: string | undefined;
  VocabularyId: string | undefined;
}
export interface Vocabulary {
  Name: string | undefined;
  Id: string | undefined;
  Arn: string | undefined;
  LanguageCode: VocabularyLanguageCode | undefined;
  State: VocabularyState | undefined;
  LastModifiedTime: Date | undefined;
  FailureReason?: string | undefined;
  Content?: string | undefined;
  Tags?: Record<string, string> | undefined;
}
export interface DescribeVocabularyResponse {
  Vocabulary: Vocabulary | undefined;
}
export interface DisassociateAnalyticsDataSetRequest {
  InstanceId: string | undefined;
  DataSetId: string | undefined;
  TargetAccountId?: string | undefined;
}
export interface DisassociateApprovedOriginRequest {
  InstanceId: string | undefined;
  Origin: string | undefined;
  ClientToken?: string | undefined;
}
export interface DisassociateBotRequest {
  InstanceId: string | undefined;
  LexBot?: LexBot | undefined;
  LexV2Bot?: LexV2Bot | undefined;
  ClientToken?: string | undefined;
}
export interface DisassociateFlowRequest {
  InstanceId: string | undefined;
  ResourceId: string | undefined;
  ResourceType: FlowAssociationResourceType | undefined;
}
export interface DisassociateFlowResponse {}
export interface DisassociateInstanceStorageConfigRequest {
  InstanceId: string | undefined;
  AssociationId: string | undefined;
  ResourceType: InstanceStorageResourceType | undefined;
  ClientToken?: string | undefined;
}
export interface DisassociateLambdaFunctionRequest {
  InstanceId: string | undefined;
  FunctionArn: string | undefined;
  ClientToken?: string | undefined;
}
export interface DisassociateLexBotRequest {
  InstanceId: string | undefined;
  BotName: string | undefined;
  LexRegion: string | undefined;
  ClientToken?: string | undefined;
}
export interface DisassociatePhoneNumberContactFlowRequest {
  PhoneNumberId: string | undefined;
  InstanceId: string | undefined;
}
export interface DisassociateQueueQuickConnectsRequest {
  InstanceId: string | undefined;
  QueueId: string | undefined;
  QuickConnectIds: string[] | undefined;
}
export interface DisassociateRoutingProfileQueuesRequest {
  InstanceId: string | undefined;
  RoutingProfileId: string | undefined;
  QueueReferences: RoutingProfileQueueReference[] | undefined;
}
export interface DisassociateSecurityKeyRequest {
  InstanceId: string | undefined;
  AssociationId: string | undefined;
  ClientToken?: string | undefined;
}
export interface DisassociateTrafficDistributionGroupUserRequest {
  TrafficDistributionGroupId: string | undefined;
  UserId: string | undefined;
  InstanceId: string | undefined;
}
export interface DisassociateTrafficDistributionGroupUserResponse {}
export interface UserProficiencyDisassociate {
  AttributeName: string | undefined;
  AttributeValue: string | undefined;
}
export interface DisassociateUserProficienciesRequest {
  InstanceId: string | undefined;
  UserId: string | undefined;
  UserProficiencies: UserProficiencyDisassociate[] | undefined;
}
export interface DismissUserContactRequest {
  UserId: string | undefined;
  InstanceId: string | undefined;
  ContactId: string | undefined;
}
export interface DismissUserContactResponse {}
export interface GetAttachedFileRequest {
  InstanceId: string | undefined;
  FileId: string | undefined;
  UrlExpiryInSeconds?: number | undefined;
  AssociatedResourceArn: string | undefined;
}
export interface DownloadUrlMetadata {
  Url?: string | undefined;
  UrlExpiry?: string | undefined;
}
export interface GetAttachedFileResponse {
  FileArn?: string | undefined;
  FileId?: string | undefined;
  CreationTime?: string | undefined;
  FileStatus?: FileStatusType | undefined;
  FileName?: string | undefined;
  FileSizeInBytes: number | undefined;
  AssociatedResourceArn?: string | undefined;
  FileUseCaseType?: FileUseCaseType | undefined;
  CreatedBy?: CreatedByInfo | undefined;
  DownloadUrlMetadata?: DownloadUrlMetadata | undefined;
  Tags?: Record<string, string> | undefined;
}
export interface GetContactAttributesRequest {
  InstanceId: string | undefined;
  InitialContactId: string | undefined;
}
export interface GetContactAttributesResponse {
  Attributes?: Record<string, string> | undefined;
}
export declare const CurrentMetricName: {
  readonly AGENTS_AFTER_CONTACT_WORK: "AGENTS_AFTER_CONTACT_WORK";
  readonly AGENTS_AVAILABLE: "AGENTS_AVAILABLE";
  readonly AGENTS_ERROR: "AGENTS_ERROR";
  readonly AGENTS_NON_PRODUCTIVE: "AGENTS_NON_PRODUCTIVE";
  readonly AGENTS_ONLINE: "AGENTS_ONLINE";
  readonly AGENTS_ON_CALL: "AGENTS_ON_CALL";
  readonly AGENTS_ON_CONTACT: "AGENTS_ON_CONTACT";
  readonly AGENTS_STAFFED: "AGENTS_STAFFED";
  readonly CONTACTS_IN_QUEUE: "CONTACTS_IN_QUEUE";
  readonly CONTACTS_SCHEDULED: "CONTACTS_SCHEDULED";
  readonly OLDEST_CONTACT_AGE: "OLDEST_CONTACT_AGE";
  readonly SLOTS_ACTIVE: "SLOTS_ACTIVE";
  readonly SLOTS_AVAILABLE: "SLOTS_AVAILABLE";
};
export type CurrentMetricName =
  (typeof CurrentMetricName)[keyof typeof CurrentMetricName];
export declare const Unit: {
  readonly COUNT: "COUNT";
  readonly PERCENT: "PERCENT";
  readonly SECONDS: "SECONDS";
};
export type Unit = (typeof Unit)[keyof typeof Unit];
export interface CurrentMetric {
  Name?: CurrentMetricName | undefined;
  Unit?: Unit | undefined;
}
export interface Filters {
  Queues?: string[] | undefined;
  Channels?: Channel[] | undefined;
  RoutingProfiles?: string[] | undefined;
  RoutingStepExpressions?: string[] | undefined;
}
export declare const Grouping: {
  readonly CHANNEL: "CHANNEL";
  readonly QUEUE: "QUEUE";
  readonly ROUTING_PROFILE: "ROUTING_PROFILE";
  readonly ROUTING_STEP_EXPRESSION: "ROUTING_STEP_EXPRESSION";
};
export type Grouping = (typeof Grouping)[keyof typeof Grouping];
export declare const SortOrder: {
  readonly ASCENDING: "ASCENDING";
  readonly DESCENDING: "DESCENDING";
};
export type SortOrder = (typeof SortOrder)[keyof typeof SortOrder];
export interface CurrentMetricSortCriteria {
  SortByMetric?: CurrentMetricName | undefined;
  SortOrder?: SortOrder | undefined;
}
export interface GetCurrentMetricDataRequest {
  InstanceId: string | undefined;
  Filters: Filters | undefined;
  Groupings?: Grouping[] | undefined;
  CurrentMetrics: CurrentMetric[] | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
  SortCriteria?: CurrentMetricSortCriteria[] | undefined;
}
export interface CurrentMetricData {
  Metric?: CurrentMetric | undefined;
  Value?: number | undefined;
}
export interface RoutingProfileReference {
  Id?: string | undefined;
  Arn?: string | undefined;
}
export interface Dimensions {
  Queue?: QueueReference | undefined;
  Channel?: Channel | undefined;
  RoutingProfile?: RoutingProfileReference | undefined;
  RoutingStepExpression?: string | undefined;
}
export interface CurrentMetricResult {
  Dimensions?: Dimensions | undefined;
  Collections?: CurrentMetricData[] | undefined;
}
export interface GetCurrentMetricDataResponse {
  NextToken?: string | undefined;
  MetricResults?: CurrentMetricResult[] | undefined;
  DataSnapshotTime?: Date | undefined;
  ApproximateTotalCount?: number | undefined;
}
export interface ContactFilter {
  ContactStates?: ContactState[] | undefined;
}
export interface UserDataFilters {
  Queues?: string[] | undefined;
  ContactFilter?: ContactFilter | undefined;
  RoutingProfiles?: string[] | undefined;
  Agents?: string[] | undefined;
  UserHierarchyGroups?: string[] | undefined;
}
export interface GetCurrentUserDataRequest {
  InstanceId: string | undefined;
  Filters: UserDataFilters | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface HierarchyGroupSummaryReference {
  Id?: string | undefined;
  Arn?: string | undefined;
}
export interface HierarchyPathReference {
  LevelOne?: HierarchyGroupSummaryReference | undefined;
  LevelTwo?: HierarchyGroupSummaryReference | undefined;
  LevelThree?: HierarchyGroupSummaryReference | undefined;
  LevelFour?: HierarchyGroupSummaryReference | undefined;
  LevelFive?: HierarchyGroupSummaryReference | undefined;
}
export interface UserReference {
  Id?: string | undefined;
  Arn?: string | undefined;
}
export interface UserData {
  User?: UserReference | undefined;
  RoutingProfile?: RoutingProfileReference | undefined;
  HierarchyPath?: HierarchyPathReference | undefined;
  Status?: AgentStatusReference | undefined;
  AvailableSlotsByChannel?: Partial<Record<Channel, number>> | undefined;
  MaxSlotsByChannel?: Partial<Record<Channel, number>> | undefined;
  ActiveSlotsByChannel?: Partial<Record<Channel, number>> | undefined;
  Contacts?: AgentContactReference[] | undefined;
  NextStatus?: string | undefined;
}
export interface GetCurrentUserDataResponse {
  NextToken?: string | undefined;
  UserDataList?: UserData[] | undefined;
  ApproximateTotalCount?: number | undefined;
}
export interface GetEffectiveHoursOfOperationsRequest {
  InstanceId: string | undefined;
  HoursOfOperationId: string | undefined;
  FromDate: string | undefined;
  ToDate: string | undefined;
}
export interface OperationalHour {
  Start?: OverrideTimeSlice | undefined;
  End?: OverrideTimeSlice | undefined;
}
export interface EffectiveHoursOfOperations {
  Date?: string | undefined;
  OperationalHours?: OperationalHour[] | undefined;
}
export interface GetEffectiveHoursOfOperationsResponse {
  EffectiveHoursOfOperationList?: EffectiveHoursOfOperations[] | undefined;
  TimeZone?: string | undefined;
}
export interface GetFederationTokenRequest {
  InstanceId: string | undefined;
}
export interface Credentials {
  AccessToken?: string | undefined;
  AccessTokenExpiration?: Date | undefined;
  RefreshToken?: string | undefined;
  RefreshTokenExpiration?: Date | undefined;
}
export interface GetFederationTokenResponse {
  Credentials?: Credentials | undefined;
  SignInUrl?: string | undefined;
  UserArn?: string | undefined;
  UserId?: string | undefined;
}
export declare class UserNotFoundException extends __BaseException {
  readonly name: "UserNotFoundException";
  readonly $fault: "client";
  Message?: string | undefined;
  constructor(
    opts: __ExceptionOptionType<UserNotFoundException, __BaseException>
  );
}
export interface GetFlowAssociationRequest {
  InstanceId: string | undefined;
  ResourceId: string | undefined;
  ResourceType: FlowAssociationResourceType | undefined;
}
export interface GetFlowAssociationResponse {
  ResourceId?: string | undefined;
  FlowId?: string | undefined;
  ResourceType?: FlowAssociationResourceType | undefined;
}
export declare const HistoricalMetricName: {
  readonly ABANDON_TIME: "ABANDON_TIME";
  readonly AFTER_CONTACT_WORK_TIME: "AFTER_CONTACT_WORK_TIME";
  readonly API_CONTACTS_HANDLED: "API_CONTACTS_HANDLED";
  readonly CALLBACK_CONTACTS_HANDLED: "CALLBACK_CONTACTS_HANDLED";
  readonly CONTACTS_ABANDONED: "CONTACTS_ABANDONED";
  readonly CONTACTS_AGENT_HUNG_UP_FIRST: "CONTACTS_AGENT_HUNG_UP_FIRST";
  readonly CONTACTS_CONSULTED: "CONTACTS_CONSULTED";
  readonly CONTACTS_HANDLED: "CONTACTS_HANDLED";
  readonly CONTACTS_HANDLED_INCOMING: "CONTACTS_HANDLED_INCOMING";
  readonly CONTACTS_HANDLED_OUTBOUND: "CONTACTS_HANDLED_OUTBOUND";
  readonly CONTACTS_HOLD_ABANDONS: "CONTACTS_HOLD_ABANDONS";
  readonly CONTACTS_MISSED: "CONTACTS_MISSED";
  readonly CONTACTS_QUEUED: "CONTACTS_QUEUED";
  readonly CONTACTS_TRANSFERRED_IN: "CONTACTS_TRANSFERRED_IN";
  readonly CONTACTS_TRANSFERRED_IN_FROM_QUEUE: "CONTACTS_TRANSFERRED_IN_FROM_QUEUE";
  readonly CONTACTS_TRANSFERRED_OUT: "CONTACTS_TRANSFERRED_OUT";
  readonly CONTACTS_TRANSFERRED_OUT_FROM_QUEUE: "CONTACTS_TRANSFERRED_OUT_FROM_QUEUE";
  readonly HANDLE_TIME: "HANDLE_TIME";
  readonly HOLD_TIME: "HOLD_TIME";
  readonly INTERACTION_AND_HOLD_TIME: "INTERACTION_AND_HOLD_TIME";
  readonly INTERACTION_TIME: "INTERACTION_TIME";
  readonly OCCUPANCY: "OCCUPANCY";
  readonly QUEUED_TIME: "QUEUED_TIME";
  readonly QUEUE_ANSWER_TIME: "QUEUE_ANSWER_TIME";
  readonly SERVICE_LEVEL: "SERVICE_LEVEL";
};
export type HistoricalMetricName =
  (typeof HistoricalMetricName)[keyof typeof HistoricalMetricName];
export declare const Statistic: {
  readonly AVG: "AVG";
  readonly MAX: "MAX";
  readonly SUM: "SUM";
};
export type Statistic = (typeof Statistic)[keyof typeof Statistic];
export declare const Comparison: {
  readonly LT: "LT";
};
export type Comparison = (typeof Comparison)[keyof typeof Comparison];
export interface Threshold {
  Comparison?: Comparison | undefined;
  ThresholdValue?: number | undefined;
}
export interface HistoricalMetric {
  Name?: HistoricalMetricName | undefined;
  Threshold?: Threshold | undefined;
  Statistic?: Statistic | undefined;
  Unit?: Unit | undefined;
}
export interface GetMetricDataRequest {
  InstanceId: string | undefined;
  StartTime: Date | undefined;
  EndTime: Date | undefined;
  Filters: Filters | undefined;
  Groupings?: Grouping[] | undefined;
  HistoricalMetrics: HistoricalMetric[] | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface HistoricalMetricData {
  Metric?: HistoricalMetric | undefined;
  Value?: number | undefined;
}
export interface HistoricalMetricResult {
  Dimensions?: Dimensions | undefined;
  Collections?: HistoricalMetricData[] | undefined;
}
export interface GetMetricDataResponse {
  NextToken?: string | undefined;
  MetricResults?: HistoricalMetricResult[] | undefined;
}
export interface FilterV2 {
  FilterKey?: string | undefined;
  FilterValues?: string[] | undefined;
}
export declare const IntervalPeriod: {
  readonly DAY: "DAY";
  readonly FIFTEEN_MIN: "FIFTEEN_MIN";
  readonly HOUR: "HOUR";
  readonly THIRTY_MIN: "THIRTY_MIN";
  readonly TOTAL: "TOTAL";
  readonly WEEK: "WEEK";
};
export type IntervalPeriod =
  (typeof IntervalPeriod)[keyof typeof IntervalPeriod];
export interface IntervalDetails {
  TimeZone?: string | undefined;
  IntervalPeriod?: IntervalPeriod | undefined;
}
export interface MetricFilterV2 {
  MetricFilterKey?: string | undefined;
  MetricFilterValues?: string[] | undefined;
  Negate?: boolean | undefined;
}
export interface ThresholdV2 {
  Comparison?: string | undefined;
  ThresholdValue?: number | undefined;
}
export interface MetricV2 {
  Name?: string | undefined;
  Threshold?: ThresholdV2[] | undefined;
  MetricFilters?: MetricFilterV2[] | undefined;
}
export interface GetMetricDataV2Request {
  ResourceArn: string | undefined;
  StartTime: Date | undefined;
  EndTime: Date | undefined;
  Interval?: IntervalDetails | undefined;
  Filters: FilterV2[] | undefined;
  Groupings?: string[] | undefined;
  Metrics: MetricV2[] | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface MetricDataV2 {
  Metric?: MetricV2 | undefined;
  Value?: number | undefined;
}
export interface MetricInterval {
  Interval?: IntervalPeriod | undefined;
  StartTime?: Date | undefined;
  EndTime?: Date | undefined;
}
export interface MetricResultV2 {
  Dimensions?: Record<string, string> | undefined;
  MetricInterval?: MetricInterval | undefined;
  Collections?: MetricDataV2[] | undefined;
}
export interface GetMetricDataV2Response {
  NextToken?: string | undefined;
  MetricResults?: MetricResultV2[] | undefined;
}
export interface GetPromptFileRequest {
  InstanceId: string | undefined;
  PromptId: string | undefined;
}
export interface GetPromptFileResponse {
  PromptPresignedUrl?: string | undefined;
  LastModifiedTime?: Date | undefined;
  LastModifiedRegion?: string | undefined;
}
export interface GetTaskTemplateRequest {
  InstanceId: string | undefined;
  TaskTemplateId: string | undefined;
  SnapshotVersion?: string | undefined;
}
export interface GetTaskTemplateResponse {
  InstanceId?: string | undefined;
  Id: string | undefined;
  Arn: string | undefined;
  Name: string | undefined;
  Description?: string | undefined;
  ContactFlowId?: string | undefined;
  SelfAssignFlowId?: string | undefined;
  Constraints?: TaskTemplateConstraints | undefined;
  Defaults?: TaskTemplateDefaults | undefined;
  Fields?: TaskTemplateField[] | undefined;
  Status?: TaskTemplateStatus | undefined;
  LastModifiedTime?: Date | undefined;
  CreatedTime?: Date | undefined;
  Tags?: Record<string, string> | undefined;
}
export interface GetTrafficDistributionRequest {
  Id: string | undefined;
}
export interface SignInDistribution {
  Region: string | undefined;
  Enabled: boolean | undefined;
}
export interface SignInConfig {
  Distributions: SignInDistribution[] | undefined;
}
export interface TelephonyConfig {
  Distributions: Distribution[] | undefined;
}
export interface GetTrafficDistributionResponse {
  TelephonyConfig?: TelephonyConfig | undefined;
  Id?: string | undefined;
  Arn?: string | undefined;
  SignInConfig?: SignInConfig | undefined;
  AgentConfig?: AgentConfig | undefined;
}
export interface ImportPhoneNumberRequest {
  InstanceId: string | undefined;
  SourcePhoneNumberArn: string | undefined;
  PhoneNumberDescription?: string | undefined;
  Tags?: Record<string, string> | undefined;
  ClientToken?: string | undefined;
}
export interface ImportPhoneNumberResponse {
  PhoneNumberId?: string | undefined;
  PhoneNumberArn?: string | undefined;
}
export interface ListAgentStatusRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
  AgentStatusTypes?: AgentStatusType[] | undefined;
}
export interface ListAgentStatusResponse {
  NextToken?: string | undefined;
  AgentStatusSummaryList?: AgentStatusSummary[] | undefined;
}
export interface ListAnalyticsDataAssociationsRequest {
  InstanceId: string | undefined;
  DataSetId?: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface ListAnalyticsDataAssociationsResponse {
  Results?: AnalyticsDataAssociationResult[] | undefined;
  NextToken?: string | undefined;
}
export interface ListAnalyticsDataLakeDataSetsRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface AnalyticsDataSetsResult {
  DataSetId?: string | undefined;
  DataSetName?: string | undefined;
}
export interface ListAnalyticsDataLakeDataSetsResponse {
  Results?: AnalyticsDataSetsResult[] | undefined;
  NextToken?: string | undefined;
}
export interface ListApprovedOriginsRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface ListApprovedOriginsResponse {
  Origins?: string[] | undefined;
  NextToken?: string | undefined;
}
export interface ListAssociatedContactsRequest {
  InstanceId: string | undefined;
  ContactId: string | undefined;
  MaxResults?: number | undefined;
  NextToken?: string | undefined;
}
export interface AssociatedContactSummary {
  ContactId?: string | undefined;
  ContactArn?: string | undefined;
  InitiationTimestamp?: Date | undefined;
  DisconnectTimestamp?: Date | undefined;
  InitialContactId?: string | undefined;
  PreviousContactId?: string | undefined;
  RelatedContactId?: string | undefined;
  InitiationMethod?: ContactInitiationMethod | undefined;
  Channel?: Channel | undefined;
}
export interface ListAssociatedContactsResponse {
  ContactSummaryList?: AssociatedContactSummary[] | undefined;
  NextToken?: string | undefined;
}
export interface ListAuthenticationProfilesRequest {
  InstanceId: string | undefined;
  MaxResults?: number | undefined;
  NextToken?: string | undefined;
}
export interface AuthenticationProfileSummary {
  Id?: string | undefined;
  Arn?: string | undefined;
  Name?: string | undefined;
  IsDefault?: boolean | undefined;
  LastModifiedTime?: Date | undefined;
  LastModifiedRegion?: string | undefined;
}
export interface ListAuthenticationProfilesResponse {
  AuthenticationProfileSummaryList?: AuthenticationProfileSummary[] | undefined;
  NextToken?: string | undefined;
}
export declare const LexVersion: {
  readonly V1: "V1";
  readonly V2: "V2";
};
export type LexVersion = (typeof LexVersion)[keyof typeof LexVersion];
export interface ListBotsRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
  LexVersion: LexVersion | undefined;
}
export interface LexBotConfig {
  LexBot?: LexBot | undefined;
  LexV2Bot?: LexV2Bot | undefined;
}
export interface ListBotsResponse {
  LexBots?: LexBotConfig[] | undefined;
  NextToken?: string | undefined;
}
export interface ListContactEvaluationsRequest {
  InstanceId: string | undefined;
  ContactId: string | undefined;
  NextToken?: string | undefined;
}
export interface EvaluationSummary {
  EvaluationId: string | undefined;
  EvaluationArn: string | undefined;
  EvaluationFormTitle: string | undefined;
  EvaluationFormId: string | undefined;
  Status: EvaluationStatus | undefined;
  EvaluatorArn: string | undefined;
  Score?: EvaluationScore | undefined;
  CreatedTime: Date | undefined;
  LastModifiedTime: Date | undefined;
}
export interface ListContactEvaluationsResponse {
  EvaluationSummaryList: EvaluationSummary[] | undefined;
  NextToken?: string | undefined;
}
export interface ListContactFlowModulesRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
  ContactFlowModuleState?: ContactFlowModuleState | undefined;
}
export interface ContactFlowModuleSummary {
  Id?: string | undefined;
  Arn?: string | undefined;
  Name?: string | undefined;
  State?: ContactFlowModuleState | undefined;
}
export interface ListContactFlowModulesResponse {
  ContactFlowModulesSummaryList?: ContactFlowModuleSummary[] | undefined;
  NextToken?: string | undefined;
}
export interface ListContactFlowsRequest {
  InstanceId: string | undefined;
  ContactFlowTypes?: ContactFlowType[] | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface ContactFlowSummary {
  Id?: string | undefined;
  Arn?: string | undefined;
  Name?: string | undefined;
  ContactFlowType?: ContactFlowType | undefined;
  ContactFlowState?: ContactFlowState | undefined;
  ContactFlowStatus?: ContactFlowStatus | undefined;
}
export interface ListContactFlowsResponse {
  ContactFlowSummaryList?: ContactFlowSummary[] | undefined;
  NextToken?: string | undefined;
}
export interface ListContactFlowVersionsRequest {
  InstanceId: string | undefined;
  ContactFlowId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface ContactFlowVersionSummary {
  Arn?: string | undefined;
  VersionDescription?: string | undefined;
  Version?: number | undefined;
}
export interface ListContactFlowVersionsResponse {
  ContactFlowVersionSummaryList?: ContactFlowVersionSummary[] | undefined;
  NextToken?: string | undefined;
}
export interface ListContactReferencesRequest {
  InstanceId: string | undefined;
  ContactId: string | undefined;
  ReferenceTypes: ReferenceType[] | undefined;
  NextToken?: string | undefined;
}
export interface AttachmentReference {
  Name?: string | undefined;
  Value?: string | undefined;
  Status?: ReferenceStatus | undefined;
  Arn?: string | undefined;
}
export interface DateReference {
  Name?: string | undefined;
  Value?: string | undefined;
}
export interface EmailReference {
  Name?: string | undefined;
  Value?: string | undefined;
}
export interface EmailMessageReference {
  Name?: string | undefined;
  Arn?: string | undefined;
}
export interface NumberReference {
  Name?: string | undefined;
  Value?: string | undefined;
}
export interface StringReference {
  Name?: string | undefined;
  Value?: string | undefined;
}
export interface UrlReference {
  Name?: string | undefined;
  Value?: string | undefined;
}
export type ReferenceSummary =
  | ReferenceSummary.AttachmentMember
  | ReferenceSummary.DateMember
  | ReferenceSummary.EmailMember
  | ReferenceSummary.EmailMessageMember
  | ReferenceSummary.NumberMember
  | ReferenceSummary.StringMember
  | ReferenceSummary.UrlMember
  | ReferenceSummary.$UnknownMember;
export declare namespace ReferenceSummary {
  interface UrlMember {
    Url: UrlReference;
    Attachment?: never;
    EmailMessage?: never;
    String?: never;
    Number?: never;
    Date?: never;
    Email?: never;
    $unknown?: never;
  }
  interface AttachmentMember {
    Url?: never;
    Attachment: AttachmentReference;
    EmailMessage?: never;
    String?: never;
    Number?: never;
    Date?: never;
    Email?: never;
    $unknown?: never;
  }
  interface EmailMessageMember {
    Url?: never;
    Attachment?: never;
    EmailMessage: EmailMessageReference;
    String?: never;
    Number?: never;
    Date?: never;
    Email?: never;
    $unknown?: never;
  }
  interface StringMember {
    Url?: never;
    Attachment?: never;
    EmailMessage?: never;
    String: StringReference;
    Number?: never;
    Date?: never;
    Email?: never;
    $unknown?: never;
  }
  interface NumberMember {
    Url?: never;
    Attachment?: never;
    EmailMessage?: never;
    String?: never;
    Number: NumberReference;
    Date?: never;
    Email?: never;
    $unknown?: never;
  }
  interface DateMember {
    Url?: never;
    Attachment?: never;
    EmailMessage?: never;
    String?: never;
    Number?: never;
    Date: DateReference;
    Email?: never;
    $unknown?: never;
  }
  interface EmailMember {
    Url?: never;
    Attachment?: never;
    EmailMessage?: never;
    String?: never;
    Number?: never;
    Date?: never;
    Email: EmailReference;
    $unknown?: never;
  }
  interface $UnknownMember {
    Url?: never;
    Attachment?: never;
    EmailMessage?: never;
    String?: never;
    Number?: never;
    Date?: never;
    Email?: never;
    $unknown: [string, any];
  }
  interface Visitor<T> {
    Url: (value: UrlReference) => T;
    Attachment: (value: AttachmentReference) => T;
    EmailMessage: (value: EmailMessageReference) => T;
    String: (value: StringReference) => T;
    Number: (value: NumberReference) => T;
    Date: (value: DateReference) => T;
    Email: (value: EmailReference) => T;
    _: (name: string, value: any) => T;
  }
  const visit: <T>(value: ReferenceSummary, visitor: Visitor<T>) => T;
}
export interface ListContactReferencesResponse {
  ReferenceSummaryList?: ReferenceSummary[] | undefined;
  NextToken?: string | undefined;
}
export interface ListDefaultVocabulariesRequest {
  InstanceId: string | undefined;
  LanguageCode?: VocabularyLanguageCode | undefined;
  MaxResults?: number | undefined;
  NextToken?: string | undefined;
}
export interface DefaultVocabulary {
  InstanceId: string | undefined;
  LanguageCode: VocabularyLanguageCode | undefined;
  VocabularyId: string | undefined;
  VocabularyName: string | undefined;
}
export interface ListDefaultVocabulariesResponse {
  DefaultVocabularyList: DefaultVocabulary[] | undefined;
  NextToken?: string | undefined;
}
export interface ListEvaluationFormsRequest {
  InstanceId: string | undefined;
  MaxResults?: number | undefined;
  NextToken?: string | undefined;
}
export interface EvaluationFormSummary {
  EvaluationFormId: string | undefined;
  EvaluationFormArn: string | undefined;
  Title: string | undefined;
  CreatedTime: Date | undefined;
  CreatedBy: string | undefined;
  LastModifiedTime: Date | undefined;
  LastModifiedBy: string | undefined;
  LastActivatedTime?: Date | undefined;
  LastActivatedBy?: string | undefined;
  LatestVersion: number | undefined;
  ActiveVersion?: number | undefined;
}
export interface ListEvaluationFormsResponse {
  EvaluationFormSummaryList: EvaluationFormSummary[] | undefined;
  NextToken?: string | undefined;
}
export interface ListEvaluationFormVersionsRequest {
  InstanceId: string | undefined;
  EvaluationFormId: string | undefined;
  MaxResults?: number | undefined;
  NextToken?: string | undefined;
}
export interface EvaluationFormVersionSummary {
  EvaluationFormArn: string | undefined;
  EvaluationFormId: string | undefined;
  EvaluationFormVersion: number | undefined;
  Locked: boolean | undefined;
  Status: EvaluationFormVersionStatus | undefined;
  CreatedTime: Date | undefined;
  CreatedBy: string | undefined;
  LastModifiedTime: Date | undefined;
  LastModifiedBy: string | undefined;
}
export interface ListEvaluationFormVersionsResponse {
  EvaluationFormVersionSummaryList: EvaluationFormVersionSummary[] | undefined;
  NextToken?: string | undefined;
}
export interface ListFlowAssociationsRequest {
  InstanceId: string | undefined;
  ResourceType?: ListFlowAssociationResourceType | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface ListFlowAssociationsResponse {
  FlowAssociationSummaryList?: FlowAssociationSummary[] | undefined;
  NextToken?: string | undefined;
}
export interface ListHoursOfOperationOverridesRequest {
  InstanceId: string | undefined;
  HoursOfOperationId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface ListHoursOfOperationOverridesResponse {
  NextToken?: string | undefined;
  HoursOfOperationOverrideList?: HoursOfOperationOverride[] | undefined;
  LastModifiedRegion?: string | undefined;
  LastModifiedTime?: Date | undefined;
}
export interface ListHoursOfOperationsRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface HoursOfOperationSummary {
  Id?: string | undefined;
  Arn?: string | undefined;
  Name?: string | undefined;
  LastModifiedTime?: Date | undefined;
  LastModifiedRegion?: string | undefined;
}
export interface ListHoursOfOperationsResponse {
  HoursOfOperationSummaryList?: HoursOfOperationSummary[] | undefined;
  NextToken?: string | undefined;
}
export interface ListInstanceAttributesRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface ListInstanceAttributesResponse {
  Attributes?: Attribute[] | undefined;
  NextToken?: string | undefined;
}
export interface ListInstancesRequest {
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface InstanceSummary {
  Id?: string | undefined;
  Arn?: string | undefined;
  IdentityManagementType?: DirectoryType | undefined;
  InstanceAlias?: string | undefined;
  CreatedTime?: Date | undefined;
  ServiceRole?: string | undefined;
  InstanceStatus?: InstanceStatus | undefined;
  InboundCallsEnabled?: boolean | undefined;
  OutboundCallsEnabled?: boolean | undefined;
  InstanceAccessUrl?: string | undefined;
}
export interface ListInstancesResponse {
  InstanceSummaryList?: InstanceSummary[] | undefined;
  NextToken?: string | undefined;
}
export interface ListInstanceStorageConfigsRequest {
  InstanceId: string | undefined;
  ResourceType: InstanceStorageResourceType | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface ListInstanceStorageConfigsResponse {
  StorageConfigs?: InstanceStorageConfig[] | undefined;
  NextToken?: string | undefined;
}
export interface ListIntegrationAssociationsRequest {
  InstanceId: string | undefined;
  IntegrationType?: IntegrationType | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
  IntegrationArn?: string | undefined;
}
export interface IntegrationAssociationSummary {
  IntegrationAssociationId?: string | undefined;
  IntegrationAssociationArn?: string | undefined;
  InstanceId?: string | undefined;
  IntegrationType?: IntegrationType | undefined;
  IntegrationArn?: string | undefined;
  SourceApplicationUrl?: string | undefined;
  SourceApplicationName?: string | undefined;
  SourceType?: SourceType | undefined;
}
export interface ListIntegrationAssociationsResponse {
  IntegrationAssociationSummaryList?:
    | IntegrationAssociationSummary[]
    | undefined;
  NextToken?: string | undefined;
}
export interface ListLambdaFunctionsRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface ListLambdaFunctionsResponse {
  LambdaFunctions?: string[] | undefined;
  NextToken?: string | undefined;
}
export interface ListLexBotsRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface ListLexBotsResponse {
  LexBots?: LexBot[] | undefined;
  NextToken?: string | undefined;
}
export interface ListPhoneNumbersRequest {
  InstanceId: string | undefined;
  PhoneNumberTypes?: PhoneNumberType[] | undefined;
  PhoneNumberCountryCodes?: PhoneNumberCountryCode[] | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface PhoneNumberSummary {
  Id?: string | undefined;
  Arn?: string | undefined;
  PhoneNumber?: string | undefined;
  PhoneNumberType?: PhoneNumberType | undefined;
  PhoneNumberCountryCode?: PhoneNumberCountryCode | undefined;
}
export interface ListPhoneNumbersResponse {
  PhoneNumberSummaryList?: PhoneNumberSummary[] | undefined;
  NextToken?: string | undefined;
}
export interface ListPhoneNumbersV2Request {
  TargetArn?: string | undefined;
  InstanceId?: string | undefined;
  MaxResults?: number | undefined;
  NextToken?: string | undefined;
  PhoneNumberCountryCodes?: PhoneNumberCountryCode[] | undefined;
  PhoneNumberTypes?: PhoneNumberType[] | undefined;
  PhoneNumberPrefix?: string | undefined;
}
export declare const DescribeEmailAddressResponseFilterSensitiveLog: (
  obj: DescribeEmailAddressResponse
) => any;
export declare const InstanceFilterSensitiveLog: (obj: Instance) => any;
export declare const DescribeInstanceResponseFilterSensitiveLog: (
  obj: DescribeInstanceResponse
) => any;
export declare const UserFilterSensitiveLog: (obj: User) => any;
export declare const DescribeUserResponseFilterSensitiveLog: (
  obj: DescribeUserResponse
) => any;
export declare const DescribeViewResponseFilterSensitiveLog: (
  obj: DescribeViewResponse
) => any;
export declare const CredentialsFilterSensitiveLog: (obj: Credentials) => any;
export declare const GetFederationTokenResponseFilterSensitiveLog: (
  obj: GetFederationTokenResponse
) => any;
export declare const InstanceSummaryFilterSensitiveLog: (
  obj: InstanceSummary
) => any;
export declare const ListInstancesResponseFilterSensitiveLog: (
  obj: ListInstancesResponse
) => any;
