import {
  AdditionalEmailRecipients,
  AgentAvailabilityTimer,
  AgentConfig,
  AgentInfo,
  AgentStatusSearchFilter,
  Application,
  Campaign,
  Channel,
  ContactFlowStatus,
  ContactFlowType,
  ContactInitiationMethod,
  Endpoint,
  EvaluationFormQuestion,
  EvaluationFormScoringStrategy,
  InitiateAs,
  MediaConcurrency,
  OutboundCallerConfig,
  OutboundEmailConfig,
  PredefinedAttributeValues,
  QuickConnectConfig,
  Reference,
  RoutingProfileQueueConfig,
  RuleAction,
  RulePublishStatus,
  StringCondition,
  TaskTemplateConstraints,
  TaskTemplateDefaults,
  TaskTemplateField,
  TaskTemplateStatus,
  UserIdentityInfo,
  UserInfo,
  UserPhoneConfig,
  UserProficiency,
  View,
  ViewInputContent,
  ViewStatus,
} from "./models_0";
import {
  AnsweringMachineDetectionStatus,
  AttributeCondition,
  ContactDetails,
  ContactEvaluation,
  ContactFlowModuleState,
  ContactFlowModuleStatus,
  ContactFlowState,
  Customer,
  CustomerVoiceActivity,
  DisconnectDetails,
  EndpointInfo,
  Evaluation,
  EvaluationFormVersionStatus,
  Expiry,
  QualityMetrics,
  QueueInfo,
  QueueStatus,
  RecordingInfo,
  RoutingCriteriaStepStatus,
  SignInConfig,
  TelephonyConfig,
  WisdomInfo,
} from "./models_1";
import {
  ChatMessage,
  ContactFlowModuleSearchFilter,
  ContactFlowSearchFilter,
  DateCondition,
  EmailAddressInfo,
  EmailAddressSearchFilter,
  EmailAttachment,
  HierarchyGroupCondition,
  HoursOfOperationSearchFilter,
  InboundAdditionalRecipients,
  InboundEmailContent,
  ListCondition,
  ParticipantDetails,
  PersistentChat,
  PromptSearchFilter,
  QueueInfoInput,
  QueueSearchFilter,
  QuickConnectSearchFilter,
  RoutingCriteriaInputStepExpiry,
  RoutingProfileSearchFilter,
  SearchableQueueType,
  SecurityProfilesSearchFilter,
  UserHierarchyGroupSearchFilter,
  UserSearchFilter,
} from "./models_2";
export interface UpdatePhoneNumberResponse {
  PhoneNumberId?: string | undefined;
  PhoneNumberArn?: string | undefined;
}
export interface UpdatePhoneNumberMetadataRequest {
  PhoneNumberId: string | undefined;
  PhoneNumberDescription?: string | undefined;
  ClientToken?: string | undefined;
}
export interface UpdatePredefinedAttributeRequest {
  InstanceId: string | undefined;
  Name: string | undefined;
  Values?: PredefinedAttributeValues | undefined;
}
export interface UpdatePromptRequest {
  InstanceId: string | undefined;
  PromptId: string | undefined;
  Name?: string | undefined;
  Description?: string | undefined;
  S3Uri?: string | undefined;
}
export interface UpdatePromptResponse {
  PromptARN?: string | undefined;
  PromptId?: string | undefined;
}
export interface UpdateQueueHoursOfOperationRequest {
  InstanceId: string | undefined;
  QueueId: string | undefined;
  HoursOfOperationId: string | undefined;
}
export interface UpdateQueueMaxContactsRequest {
  InstanceId: string | undefined;
  QueueId: string | undefined;
  MaxContacts?: number | undefined;
}
export interface UpdateQueueNameRequest {
  InstanceId: string | undefined;
  QueueId: string | undefined;
  Name?: string | undefined;
  Description?: string | undefined;
}
export interface UpdateQueueOutboundCallerConfigRequest {
  InstanceId: string | undefined;
  QueueId: string | undefined;
  OutboundCallerConfig: OutboundCallerConfig | undefined;
}
export interface UpdateQueueOutboundEmailConfigRequest {
  InstanceId: string | undefined;
  QueueId: string | undefined;
  OutboundEmailConfig: OutboundEmailConfig | undefined;
}
export interface UpdateQueueStatusRequest {
  InstanceId: string | undefined;
  QueueId: string | undefined;
  Status: QueueStatus | undefined;
}
export interface UpdateQuickConnectConfigRequest {
  InstanceId: string | undefined;
  QuickConnectId: string | undefined;
  QuickConnectConfig: QuickConnectConfig | undefined;
}
export interface UpdateQuickConnectNameRequest {
  InstanceId: string | undefined;
  QuickConnectId: string | undefined;
  Name?: string | undefined;
  Description?: string | undefined;
}
export interface UpdateRoutingProfileAgentAvailabilityTimerRequest {
  InstanceId: string | undefined;
  RoutingProfileId: string | undefined;
  AgentAvailabilityTimer: AgentAvailabilityTimer | undefined;
}
export interface UpdateRoutingProfileConcurrencyRequest {
  InstanceId: string | undefined;
  RoutingProfileId: string | undefined;
  MediaConcurrencies: MediaConcurrency[] | undefined;
}
export interface UpdateRoutingProfileDefaultOutboundQueueRequest {
  InstanceId: string | undefined;
  RoutingProfileId: string | undefined;
  DefaultOutboundQueueId: string | undefined;
}
export interface UpdateRoutingProfileNameRequest {
  InstanceId: string | undefined;
  RoutingProfileId: string | undefined;
  Name?: string | undefined;
  Description?: string | undefined;
}
export interface UpdateRoutingProfileQueuesRequest {
  InstanceId: string | undefined;
  RoutingProfileId: string | undefined;
  QueueConfigs: RoutingProfileQueueConfig[] | undefined;
}
export interface UpdateRuleRequest {
  RuleId: string | undefined;
  InstanceId: string | undefined;
  Name: string | undefined;
  Function: string | undefined;
  Actions: RuleAction[] | undefined;
  PublishStatus: RulePublishStatus | undefined;
}
export interface UpdateSecurityProfileRequest {
  Description?: string | undefined;
  Permissions?: string[] | undefined;
  SecurityProfileId: string | undefined;
  InstanceId: string | undefined;
  AllowedAccessControlTags?: Record<string, string> | undefined;
  TagRestrictedResources?: string[] | undefined;
  Applications?: Application[] | undefined;
  HierarchyRestrictedResources?: string[] | undefined;
  AllowedAccessControlHierarchyGroupId?: string | undefined;
}
export interface UpdateTaskTemplateRequest {
  TaskTemplateId: string | undefined;
  InstanceId: string | undefined;
  Name?: string | undefined;
  Description?: string | undefined;
  ContactFlowId?: string | undefined;
  SelfAssignFlowId?: string | undefined;
  Constraints?: TaskTemplateConstraints | undefined;
  Defaults?: TaskTemplateDefaults | undefined;
  Status?: TaskTemplateStatus | undefined;
  Fields?: TaskTemplateField[] | undefined;
}
export interface UpdateTaskTemplateResponse {
  InstanceId?: string | undefined;
  Id?: string | undefined;
  Arn?: string | undefined;
  Name?: string | undefined;
  Description?: string | undefined;
  ContactFlowId?: string | undefined;
  SelfAssignFlowId?: string | undefined;
  Constraints?: TaskTemplateConstraints | undefined;
  Defaults?: TaskTemplateDefaults | undefined;
  Fields?: TaskTemplateField[] | undefined;
  Status?: TaskTemplateStatus | undefined;
  LastModifiedTime?: Date | undefined;
  CreatedTime?: Date | undefined;
}
export interface UpdateTrafficDistributionRequest {
  Id: string | undefined;
  TelephonyConfig?: TelephonyConfig | undefined;
  SignInConfig?: SignInConfig | undefined;
  AgentConfig?: AgentConfig | undefined;
}
export interface UpdateTrafficDistributionResponse {}
export interface UpdateUserHierarchyRequest {
  HierarchyGroupId?: string | undefined;
  UserId: string | undefined;
  InstanceId: string | undefined;
}
export interface UpdateUserHierarchyGroupNameRequest {
  Name: string | undefined;
  HierarchyGroupId: string | undefined;
  InstanceId: string | undefined;
}
export interface HierarchyLevelUpdate {
  Name: string | undefined;
}
export interface HierarchyStructureUpdate {
  LevelOne?: HierarchyLevelUpdate | undefined;
  LevelTwo?: HierarchyLevelUpdate | undefined;
  LevelThree?: HierarchyLevelUpdate | undefined;
  LevelFour?: HierarchyLevelUpdate | undefined;
  LevelFive?: HierarchyLevelUpdate | undefined;
}
export interface UpdateUserHierarchyStructureRequest {
  HierarchyStructure: HierarchyStructureUpdate | undefined;
  InstanceId: string | undefined;
}
export interface UpdateUserIdentityInfoRequest {
  IdentityInfo: UserIdentityInfo | undefined;
  UserId: string | undefined;
  InstanceId: string | undefined;
}
export interface UpdateUserPhoneConfigRequest {
  PhoneConfig: UserPhoneConfig | undefined;
  UserId: string | undefined;
  InstanceId: string | undefined;
}
export interface UpdateUserProficienciesRequest {
  InstanceId: string | undefined;
  UserId: string | undefined;
  UserProficiencies: UserProficiency[] | undefined;
}
export interface UpdateUserRoutingProfileRequest {
  RoutingProfileId: string | undefined;
  UserId: string | undefined;
  InstanceId: string | undefined;
}
export interface UpdateUserSecurityProfilesRequest {
  SecurityProfileIds: string[] | undefined;
  UserId: string | undefined;
  InstanceId: string | undefined;
}
export interface UpdateViewContentRequest {
  InstanceId: string | undefined;
  ViewId: string | undefined;
  Status: ViewStatus | undefined;
  Content: ViewInputContent | undefined;
}
export interface UpdateViewContentResponse {
  View?: View | undefined;
}
export interface UpdateViewMetadataRequest {
  InstanceId: string | undefined;
  ViewId: string | undefined;
  Name?: string | undefined;
  Description?: string | undefined;
}
export interface UpdateViewMetadataResponse {}
export interface SegmentAttributeValue {
  ValueString?: string | undefined;
  ValueMap?: Record<string, SegmentAttributeValue> | undefined;
  ValueInteger?: number | undefined;
}
export type EvaluationFormItem =
  | EvaluationFormItem.QuestionMember
  | EvaluationFormItem.SectionMember
  | EvaluationFormItem.$UnknownMember;
export declare namespace EvaluationFormItem {
  interface SectionMember {
    Section: EvaluationFormSection;
    Question?: never;
    $unknown?: never;
  }
  interface QuestionMember {
    Section?: never;
    Question: EvaluationFormQuestion;
    $unknown?: never;
  }
  interface $UnknownMember {
    Section?: never;
    Question?: never;
    $unknown: [string, any];
  }
  interface Visitor<T> {
    Section: (value: EvaluationFormSection) => T;
    Question: (value: EvaluationFormQuestion) => T;
    _: (name: string, value: any) => T;
  }
  const visit: <T>(value: EvaluationFormItem, visitor: Visitor<T>) => T;
}
export interface EvaluationFormSection {
  Title: string | undefined;
  RefId: string | undefined;
  Instructions?: string | undefined;
  Items: EvaluationFormItem[] | undefined;
  Weight?: number | undefined;
}
export interface AgentStatusSearchCriteria {
  OrConditions?: AgentStatusSearchCriteria[] | undefined;
  AndConditions?: AgentStatusSearchCriteria[] | undefined;
  StringCondition?: StringCondition | undefined;
}
export interface ContactFlowModuleSearchCriteria {
  OrConditions?: ContactFlowModuleSearchCriteria[] | undefined;
  AndConditions?: ContactFlowModuleSearchCriteria[] | undefined;
  StringCondition?: StringCondition | undefined;
  StateCondition?: ContactFlowModuleState | undefined;
  StatusCondition?: ContactFlowModuleStatus | undefined;
}
export interface ContactFlowSearchCriteria {
  OrConditions?: ContactFlowSearchCriteria[] | undefined;
  AndConditions?: ContactFlowSearchCriteria[] | undefined;
  StringCondition?: StringCondition | undefined;
  TypeCondition?: ContactFlowType | undefined;
  StateCondition?: ContactFlowState | undefined;
  StatusCondition?: ContactFlowStatus | undefined;
}
export interface CreateContactRequest {
  InstanceId: string | undefined;
  ClientToken?: string | undefined;
  RelatedContactId?: string | undefined;
  Attributes?: Record<string, string> | undefined;
  References?: Record<string, Reference> | undefined;
  Channel: Channel | undefined;
  InitiationMethod: ContactInitiationMethod | undefined;
  ExpiryDurationInMinutes?: number | undefined;
  UserInfo?: UserInfo | undefined;
  InitiateAs?: InitiateAs | undefined;
  Name?: string | undefined;
  Description?: string | undefined;
  SegmentAttributes?: Record<string, SegmentAttributeValue> | undefined;
  PreviousContactId?: string | undefined;
}
export interface CreateEvaluationFormRequest {
  InstanceId: string | undefined;
  Title: string | undefined;
  Description?: string | undefined;
  Items: EvaluationFormItem[] | undefined;
  ScoringStrategy?: EvaluationFormScoringStrategy | undefined;
  ClientToken?: string | undefined;
}
export interface EmailAddressSearchCriteria {
  OrConditions?: EmailAddressSearchCriteria[] | undefined;
  AndConditions?: EmailAddressSearchCriteria[] | undefined;
  StringCondition?: StringCondition | undefined;
}
export interface EvaluationForm {
  EvaluationFormId: string | undefined;
  EvaluationFormVersion: number | undefined;
  Locked: boolean | undefined;
  EvaluationFormArn: string | undefined;
  Title: string | undefined;
  Description?: string | undefined;
  Status: EvaluationFormVersionStatus | undefined;
  Items: EvaluationFormItem[] | undefined;
  ScoringStrategy?: EvaluationFormScoringStrategy | undefined;
  CreatedTime: Date | undefined;
  CreatedBy: string | undefined;
  LastModifiedTime: Date | undefined;
  LastModifiedBy: string | undefined;
  Tags?: Record<string, string> | undefined;
}
export interface EvaluationFormContent {
  EvaluationFormVersion: number | undefined;
  EvaluationFormId: string | undefined;
  EvaluationFormArn: string | undefined;
  Title: string | undefined;
  Description?: string | undefined;
  Items: EvaluationFormItem[] | undefined;
  ScoringStrategy?: EvaluationFormScoringStrategy | undefined;
}
export interface Expression {
  AttributeCondition?: AttributeCondition | undefined;
  AndExpression?: Expression[] | undefined;
  OrExpression?: Expression[] | undefined;
  NotAttributeCondition?: AttributeCondition | undefined;
}
export interface HoursOfOperationOverrideSearchCriteria {
  OrConditions?: HoursOfOperationOverrideSearchCriteria[] | undefined;
  AndConditions?: HoursOfOperationOverrideSearchCriteria[] | undefined;
  StringCondition?: StringCondition | undefined;
  DateCondition?: DateCondition | undefined;
}
export interface HoursOfOperationSearchCriteria {
  OrConditions?: HoursOfOperationSearchCriteria[] | undefined;
  AndConditions?: HoursOfOperationSearchCriteria[] | undefined;
  StringCondition?: StringCondition | undefined;
}
export interface PredefinedAttributeSearchCriteria {
  OrConditions?: PredefinedAttributeSearchCriteria[] | undefined;
  AndConditions?: PredefinedAttributeSearchCriteria[] | undefined;
  StringCondition?: StringCondition | undefined;
}
export interface PromptSearchCriteria {
  OrConditions?: PromptSearchCriteria[] | undefined;
  AndConditions?: PromptSearchCriteria[] | undefined;
  StringCondition?: StringCondition | undefined;
}
export interface QueueSearchCriteria {
  OrConditions?: QueueSearchCriteria[] | undefined;
  AndConditions?: QueueSearchCriteria[] | undefined;
  StringCondition?: StringCondition | undefined;
  QueueTypeCondition?: SearchableQueueType | undefined;
}
export interface QuickConnectSearchCriteria {
  OrConditions?: QuickConnectSearchCriteria[] | undefined;
  AndConditions?: QuickConnectSearchCriteria[] | undefined;
  StringCondition?: StringCondition | undefined;
}
export interface RoutingProfileSearchCriteria {
  OrConditions?: RoutingProfileSearchCriteria[] | undefined;
  AndConditions?: RoutingProfileSearchCriteria[] | undefined;
  StringCondition?: StringCondition | undefined;
}
export interface SecurityProfileSearchCriteria {
  OrConditions?: SecurityProfileSearchCriteria[] | undefined;
  AndConditions?: SecurityProfileSearchCriteria[] | undefined;
  StringCondition?: StringCondition | undefined;
}
export interface StartChatContactRequest {
  InstanceId: string | undefined;
  ContactFlowId: string | undefined;
  Attributes?: Record<string, string> | undefined;
  ParticipantDetails: ParticipantDetails | undefined;
  InitialMessage?: ChatMessage | undefined;
  ClientToken?: string | undefined;
  ChatDurationInMinutes?: number | undefined;
  SupportedMessagingContentTypes?: string[] | undefined;
  PersistentChat?: PersistentChat | undefined;
  RelatedContactId?: string | undefined;
  SegmentAttributes?: Record<string, SegmentAttributeValue> | undefined;
  CustomerId?: string | undefined;
}
export interface StartEmailContactRequest {
  InstanceId: string | undefined;
  FromEmailAddress: EmailAddressInfo | undefined;
  DestinationEmailAddress: string | undefined;
  Description?: string | undefined;
  References?: Record<string, Reference> | undefined;
  Name?: string | undefined;
  EmailMessage: InboundEmailContent | undefined;
  AdditionalRecipients?: InboundAdditionalRecipients | undefined;
  Attachments?: EmailAttachment[] | undefined;
  ContactFlowId?: string | undefined;
  RelatedContactId?: string | undefined;
  Attributes?: Record<string, string> | undefined;
  SegmentAttributes?: Record<string, SegmentAttributeValue> | undefined;
  ClientToken?: string | undefined;
}
export interface StartOutboundChatContactRequest {
  SourceEndpoint: Endpoint | undefined;
  DestinationEndpoint: Endpoint | undefined;
  InstanceId: string | undefined;
  SegmentAttributes: Record<string, SegmentAttributeValue> | undefined;
  Attributes?: Record<string, string> | undefined;
  ContactFlowId: string | undefined;
  ChatDurationInMinutes?: number | undefined;
  ParticipantDetails?: ParticipantDetails | undefined;
  InitialSystemMessage?: ChatMessage | undefined;
  RelatedContactId?: string | undefined;
  SupportedMessagingContentTypes?: string[] | undefined;
  ClientToken?: string | undefined;
}
export interface StartTaskContactRequest {
  InstanceId: string | undefined;
  PreviousContactId?: string | undefined;
  ContactFlowId?: string | undefined;
  Attributes?: Record<string, string> | undefined;
  Name: string | undefined;
  References?: Record<string, Reference> | undefined;
  Description?: string | undefined;
  ClientToken?: string | undefined;
  ScheduledTime?: Date | undefined;
  TaskTemplateId?: string | undefined;
  QuickConnectId?: string | undefined;
  RelatedContactId?: string | undefined;
  SegmentAttributes?: Record<string, SegmentAttributeValue> | undefined;
}
export interface UpdateContactRequest {
  InstanceId: string | undefined;
  ContactId: string | undefined;
  Name?: string | undefined;
  Description?: string | undefined;
  References?: Record<string, Reference> | undefined;
  SegmentAttributes?: Record<string, SegmentAttributeValue> | undefined;
  QueueInfo?: QueueInfoInput | undefined;
  UserInfo?: UserInfo | undefined;
  CustomerEndpoint?: Endpoint | undefined;
  SystemEndpoint?: Endpoint | undefined;
}
export interface UpdateEvaluationFormRequest {
  InstanceId: string | undefined;
  EvaluationFormId: string | undefined;
  EvaluationFormVersion: number | undefined;
  CreateNewVersion?: boolean | undefined;
  Title: string | undefined;
  Description?: string | undefined;
  Items: EvaluationFormItem[] | undefined;
  ScoringStrategy?: EvaluationFormScoringStrategy | undefined;
  ClientToken?: string | undefined;
}
export interface UserHierarchyGroupSearchCriteria {
  OrConditions?: UserHierarchyGroupSearchCriteria[] | undefined;
  AndConditions?: UserHierarchyGroupSearchCriteria[] | undefined;
  StringCondition?: StringCondition | undefined;
}
export interface UserSearchCriteria {
  OrConditions?: UserSearchCriteria[] | undefined;
  AndConditions?: UserSearchCriteria[] | undefined;
  StringCondition?: StringCondition | undefined;
  ListCondition?: ListCondition | undefined;
  HierarchyGroupCondition?: HierarchyGroupCondition | undefined;
}
export interface DescribeContactEvaluationResponse {
  Evaluation: Evaluation | undefined;
  EvaluationForm: EvaluationFormContent | undefined;
}
export interface DescribeEvaluationFormResponse {
  EvaluationForm: EvaluationForm | undefined;
}
export interface RoutingCriteriaInputStep {
  Expiry?: RoutingCriteriaInputStepExpiry | undefined;
  Expression?: Expression | undefined;
}
export interface SearchAgentStatusesRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
  SearchFilter?: AgentStatusSearchFilter | undefined;
  SearchCriteria?: AgentStatusSearchCriteria | undefined;
}
export interface SearchContactFlowModulesRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
  SearchFilter?: ContactFlowModuleSearchFilter | undefined;
  SearchCriteria?: ContactFlowModuleSearchCriteria | undefined;
}
export interface SearchContactFlowsRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
  SearchFilter?: ContactFlowSearchFilter | undefined;
  SearchCriteria?: ContactFlowSearchCriteria | undefined;
}
export interface SearchEmailAddressesRequest {
  InstanceId: string | undefined;
  MaxResults?: number | undefined;
  NextToken?: string | undefined;
  SearchCriteria?: EmailAddressSearchCriteria | undefined;
  SearchFilter?: EmailAddressSearchFilter | undefined;
}
export interface SearchHoursOfOperationOverridesRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
  SearchFilter?: HoursOfOperationSearchFilter | undefined;
  SearchCriteria?: HoursOfOperationOverrideSearchCriteria | undefined;
}
export interface SearchHoursOfOperationsRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
  SearchFilter?: HoursOfOperationSearchFilter | undefined;
  SearchCriteria?: HoursOfOperationSearchCriteria | undefined;
}
export interface SearchPredefinedAttributesRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
  SearchCriteria?: PredefinedAttributeSearchCriteria | undefined;
}
export interface SearchPromptsRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
  SearchFilter?: PromptSearchFilter | undefined;
  SearchCriteria?: PromptSearchCriteria | undefined;
}
export interface SearchQueuesRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
  SearchFilter?: QueueSearchFilter | undefined;
  SearchCriteria?: QueueSearchCriteria | undefined;
}
export interface SearchQuickConnectsRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
  SearchFilter?: QuickConnectSearchFilter | undefined;
  SearchCriteria?: QuickConnectSearchCriteria | undefined;
}
export interface SearchRoutingProfilesRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
  SearchFilter?: RoutingProfileSearchFilter | undefined;
  SearchCriteria?: RoutingProfileSearchCriteria | undefined;
}
export interface SearchSecurityProfilesRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
  SearchCriteria?: SecurityProfileSearchCriteria | undefined;
  SearchFilter?: SecurityProfilesSearchFilter | undefined;
}
export interface SearchUserHierarchyGroupsRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
  SearchFilter?: UserHierarchyGroupSearchFilter | undefined;
  SearchCriteria?: UserHierarchyGroupSearchCriteria | undefined;
}
export interface SearchUsersRequest {
  InstanceId: string | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
  SearchFilter?: UserSearchFilter | undefined;
  SearchCriteria?: UserSearchCriteria | undefined;
}
export interface Step {
  Expiry?: Expiry | undefined;
  Expression?: Expression | undefined;
  Status?: RoutingCriteriaStepStatus | undefined;
}
export interface RoutingCriteria {
  Steps?: Step[] | undefined;
  ActivationTimestamp?: Date | undefined;
  Index?: number | undefined;
}
export interface RoutingCriteriaInput {
  Steps?: RoutingCriteriaInputStep[] | undefined;
}
export interface UpdateContactRoutingDataRequest {
  InstanceId: string | undefined;
  ContactId: string | undefined;
  QueueTimeAdjustmentSeconds?: number | undefined;
  QueuePriority?: number | undefined;
  RoutingCriteria?: RoutingCriteriaInput | undefined;
}
export interface Contact {
  Arn?: string | undefined;
  Id?: string | undefined;
  InitialContactId?: string | undefined;
  PreviousContactId?: string | undefined;
  ContactAssociationId?: string | undefined;
  InitiationMethod?: ContactInitiationMethod | undefined;
  Name?: string | undefined;
  Description?: string | undefined;
  Channel?: Channel | undefined;
  QueueInfo?: QueueInfo | undefined;
  AgentInfo?: AgentInfo | undefined;
  InitiationTimestamp?: Date | undefined;
  DisconnectTimestamp?: Date | undefined;
  LastUpdateTimestamp?: Date | undefined;
  LastPausedTimestamp?: Date | undefined;
  LastResumedTimestamp?: Date | undefined;
  TotalPauseCount?: number | undefined;
  TotalPauseDurationInSeconds?: number | undefined;
  ScheduledTimestamp?: Date | undefined;
  RelatedContactId?: string | undefined;
  WisdomInfo?: WisdomInfo | undefined;
  CustomerId?: string | undefined;
  CustomerEndpoint?: EndpointInfo | undefined;
  SystemEndpoint?: EndpointInfo | undefined;
  QueueTimeAdjustmentSeconds?: number | undefined;
  QueuePriority?: number | undefined;
  Tags?: Record<string, string> | undefined;
  ConnectedToSystemTimestamp?: Date | undefined;
  RoutingCriteria?: RoutingCriteria | undefined;
  Customer?: Customer | undefined;
  Campaign?: Campaign | undefined;
  AnsweringMachineDetectionStatus?: AnsweringMachineDetectionStatus | undefined;
  CustomerVoiceActivity?: CustomerVoiceActivity | undefined;
  QualityMetrics?: QualityMetrics | undefined;
  DisconnectDetails?: DisconnectDetails | undefined;
  AdditionalEmailRecipients?: AdditionalEmailRecipients | undefined;
  SegmentAttributes?: Record<string, SegmentAttributeValue> | undefined;
  Recordings?: RecordingInfo[] | undefined;
  DisconnectReason?: string | undefined;
  ContactEvaluations?: Record<string, ContactEvaluation> | undefined;
  ContactDetails?: ContactDetails | undefined;
  Attributes?: Record<string, string> | undefined;
}
export interface DescribeContactResponse {
  Contact?: Contact | undefined;
}
export declare const UpdateUserIdentityInfoRequestFilterSensitiveLog: (
  obj: UpdateUserIdentityInfoRequest
) => any;
export declare const UpdateViewContentRequestFilterSensitiveLog: (
  obj: UpdateViewContentRequest
) => any;
export declare const UpdateViewContentResponseFilterSensitiveLog: (
  obj: UpdateViewContentResponse
) => any;
export declare const UpdateViewMetadataRequestFilterSensitiveLog: (
  obj: UpdateViewMetadataRequest
) => any;
export declare const CreateContactRequestFilterSensitiveLog: (
  obj: CreateContactRequest
) => any;
export declare const StartChatContactRequestFilterSensitiveLog: (
  obj: StartChatContactRequest
) => any;
export declare const StartEmailContactRequestFilterSensitiveLog: (
  obj: StartEmailContactRequest
) => any;
export declare const StartTaskContactRequestFilterSensitiveLog: (
  obj: StartTaskContactRequest
) => any;
export declare const UpdateContactRequestFilterSensitiveLog: (
  obj: UpdateContactRequest
) => any;
export declare const ContactFilterSensitiveLog: (obj: Contact) => any;
export declare const DescribeContactResponseFilterSensitiveLog: (
  obj: DescribeContactResponse
) => any;
