import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  ActivateEvaluationFormCommandInput,
  ActivateEvaluationFormCommandOutput,
} from "../commands/ActivateEvaluationFormCommand";
import {
  AssociateAnalyticsDataSetCommandInput,
  AssociateAnalyticsDataSetCommandOutput,
} from "../commands/AssociateAnalyticsDataSetCommand";
import {
  AssociateApprovedOriginCommandInput,
  AssociateApprovedOriginCommandOutput,
} from "../commands/AssociateApprovedOriginCommand";
import {
  AssociateBotCommandInput,
  AssociateBotCommandOutput,
} from "../commands/AssociateBotCommand";
import {
  AssociateDefaultVocabularyCommandInput,
  AssociateDefaultVocabularyCommandOutput,
} from "../commands/AssociateDefaultVocabularyCommand";
import {
  AssociateFlowCommandInput,
  AssociateFlowCommandOutput,
} from "../commands/AssociateFlowCommand";
import {
  AssociateInstanceStorageConfigCommandInput,
  AssociateInstanceStorageConfigCommandOutput,
} from "../commands/AssociateInstanceStorageConfigCommand";
import {
  AssociateLambdaFunctionCommandInput,
  AssociateLambdaFunctionCommandOutput,
} from "../commands/AssociateLambdaFunctionCommand";
import {
  AssociateLexBotCommandInput,
  AssociateLexBotCommandOutput,
} from "../commands/AssociateLexBotCommand";
import {
  AssociatePhoneNumberContactFlowCommandInput,
  AssociatePhoneNumberContactFlowCommandOutput,
} from "../commands/AssociatePhoneNumberContactFlowCommand";
import {
  AssociateQueueQuickConnectsCommandInput,
  AssociateQueueQuickConnectsCommandOutput,
} from "../commands/AssociateQueueQuickConnectsCommand";
import {
  AssociateRoutingProfileQueuesCommandInput,
  AssociateRoutingProfileQueuesCommandOutput,
} from "../commands/AssociateRoutingProfileQueuesCommand";
import {
  AssociateSecurityKeyCommandInput,
  AssociateSecurityKeyCommandOutput,
} from "../commands/AssociateSecurityKeyCommand";
import {
  AssociateTrafficDistributionGroupUserCommandInput,
  AssociateTrafficDistributionGroupUserCommandOutput,
} from "../commands/AssociateTrafficDistributionGroupUserCommand";
import {
  AssociateUserProficienciesCommandInput,
  AssociateUserProficienciesCommandOutput,
} from "../commands/AssociateUserProficienciesCommand";
import {
  BatchAssociateAnalyticsDataSetCommandInput,
  BatchAssociateAnalyticsDataSetCommandOutput,
} from "../commands/BatchAssociateAnalyticsDataSetCommand";
import {
  BatchDisassociateAnalyticsDataSetCommandInput,
  BatchDisassociateAnalyticsDataSetCommandOutput,
} from "../commands/BatchDisassociateAnalyticsDataSetCommand";
import {
  BatchGetAttachedFileMetadataCommandInput,
  BatchGetAttachedFileMetadataCommandOutput,
} from "../commands/BatchGetAttachedFileMetadataCommand";
import {
  BatchGetFlowAssociationCommandInput,
  BatchGetFlowAssociationCommandOutput,
} from "../commands/BatchGetFlowAssociationCommand";
import {
  BatchPutContactCommandInput,
  BatchPutContactCommandOutput,
} from "../commands/BatchPutContactCommand";
import {
  ClaimPhoneNumberCommandInput,
  ClaimPhoneNumberCommandOutput,
} from "../commands/ClaimPhoneNumberCommand";
import {
  CompleteAttachedFileUploadCommandInput,
  CompleteAttachedFileUploadCommandOutput,
} from "../commands/CompleteAttachedFileUploadCommand";
import {
  CreateAgentStatusCommandInput,
  CreateAgentStatusCommandOutput,
} from "../commands/CreateAgentStatusCommand";
import {
  CreateContactCommandInput,
  CreateContactCommandOutput,
} from "../commands/CreateContactCommand";
import {
  CreateContactFlowCommandInput,
  CreateContactFlowCommandOutput,
} from "../commands/CreateContactFlowCommand";
import {
  CreateContactFlowModuleCommandInput,
  CreateContactFlowModuleCommandOutput,
} from "../commands/CreateContactFlowModuleCommand";
import {
  CreateContactFlowVersionCommandInput,
  CreateContactFlowVersionCommandOutput,
} from "../commands/CreateContactFlowVersionCommand";
import {
  CreateEmailAddressCommandInput,
  CreateEmailAddressCommandOutput,
} from "../commands/CreateEmailAddressCommand";
import {
  CreateEvaluationFormCommandInput,
  CreateEvaluationFormCommandOutput,
} from "../commands/CreateEvaluationFormCommand";
import {
  CreateHoursOfOperationCommandInput,
  CreateHoursOfOperationCommandOutput,
} from "../commands/CreateHoursOfOperationCommand";
import {
  CreateHoursOfOperationOverrideCommandInput,
  CreateHoursOfOperationOverrideCommandOutput,
} from "../commands/CreateHoursOfOperationOverrideCommand";
import {
  CreateInstanceCommandInput,
  CreateInstanceCommandOutput,
} from "../commands/CreateInstanceCommand";
import {
  CreateIntegrationAssociationCommandInput,
  CreateIntegrationAssociationCommandOutput,
} from "../commands/CreateIntegrationAssociationCommand";
import {
  CreateParticipantCommandInput,
  CreateParticipantCommandOutput,
} from "../commands/CreateParticipantCommand";
import {
  CreatePersistentContactAssociationCommandInput,
  CreatePersistentContactAssociationCommandOutput,
} from "../commands/CreatePersistentContactAssociationCommand";
import {
  CreatePredefinedAttributeCommandInput,
  CreatePredefinedAttributeCommandOutput,
} from "../commands/CreatePredefinedAttributeCommand";
import {
  CreatePromptCommandInput,
  CreatePromptCommandOutput,
} from "../commands/CreatePromptCommand";
import {
  CreatePushNotificationRegistrationCommandInput,
  CreatePushNotificationRegistrationCommandOutput,
} from "../commands/CreatePushNotificationRegistrationCommand";
import {
  CreateQueueCommandInput,
  CreateQueueCommandOutput,
} from "../commands/CreateQueueCommand";
import {
  CreateQuickConnectCommandInput,
  CreateQuickConnectCommandOutput,
} from "../commands/CreateQuickConnectCommand";
import {
  CreateRoutingProfileCommandInput,
  CreateRoutingProfileCommandOutput,
} from "../commands/CreateRoutingProfileCommand";
import {
  CreateRuleCommandInput,
  CreateRuleCommandOutput,
} from "../commands/CreateRuleCommand";
import {
  CreateSecurityProfileCommandInput,
  CreateSecurityProfileCommandOutput,
} from "../commands/CreateSecurityProfileCommand";
import {
  CreateTaskTemplateCommandInput,
  CreateTaskTemplateCommandOutput,
} from "../commands/CreateTaskTemplateCommand";
import {
  CreateTrafficDistributionGroupCommandInput,
  CreateTrafficDistributionGroupCommandOutput,
} from "../commands/CreateTrafficDistributionGroupCommand";
import {
  CreateUseCaseCommandInput,
  CreateUseCaseCommandOutput,
} from "../commands/CreateUseCaseCommand";
import {
  CreateUserCommandInput,
  CreateUserCommandOutput,
} from "../commands/CreateUserCommand";
import {
  CreateUserHierarchyGroupCommandInput,
  CreateUserHierarchyGroupCommandOutput,
} from "../commands/CreateUserHierarchyGroupCommand";
import {
  CreateViewCommandInput,
  CreateViewCommandOutput,
} from "../commands/CreateViewCommand";
import {
  CreateViewVersionCommandInput,
  CreateViewVersionCommandOutput,
} from "../commands/CreateViewVersionCommand";
import {
  CreateVocabularyCommandInput,
  CreateVocabularyCommandOutput,
} from "../commands/CreateVocabularyCommand";
import {
  DeactivateEvaluationFormCommandInput,
  DeactivateEvaluationFormCommandOutput,
} from "../commands/DeactivateEvaluationFormCommand";
import {
  DeleteAttachedFileCommandInput,
  DeleteAttachedFileCommandOutput,
} from "../commands/DeleteAttachedFileCommand";
import {
  DeleteContactEvaluationCommandInput,
  DeleteContactEvaluationCommandOutput,
} from "../commands/DeleteContactEvaluationCommand";
import {
  DeleteContactFlowCommandInput,
  DeleteContactFlowCommandOutput,
} from "../commands/DeleteContactFlowCommand";
import {
  DeleteContactFlowModuleCommandInput,
  DeleteContactFlowModuleCommandOutput,
} from "../commands/DeleteContactFlowModuleCommand";
import {
  DeleteContactFlowVersionCommandInput,
  DeleteContactFlowVersionCommandOutput,
} from "../commands/DeleteContactFlowVersionCommand";
import {
  DeleteEmailAddressCommandInput,
  DeleteEmailAddressCommandOutput,
} from "../commands/DeleteEmailAddressCommand";
import {
  DeleteEvaluationFormCommandInput,
  DeleteEvaluationFormCommandOutput,
} from "../commands/DeleteEvaluationFormCommand";
import {
  DeleteHoursOfOperationCommandInput,
  DeleteHoursOfOperationCommandOutput,
} from "../commands/DeleteHoursOfOperationCommand";
import {
  DeleteHoursOfOperationOverrideCommandInput,
  DeleteHoursOfOperationOverrideCommandOutput,
} from "../commands/DeleteHoursOfOperationOverrideCommand";
import {
  DeleteInstanceCommandInput,
  DeleteInstanceCommandOutput,
} from "../commands/DeleteInstanceCommand";
import {
  DeleteIntegrationAssociationCommandInput,
  DeleteIntegrationAssociationCommandOutput,
} from "../commands/DeleteIntegrationAssociationCommand";
import {
  DeletePredefinedAttributeCommandInput,
  DeletePredefinedAttributeCommandOutput,
} from "../commands/DeletePredefinedAttributeCommand";
import {
  DeletePromptCommandInput,
  DeletePromptCommandOutput,
} from "../commands/DeletePromptCommand";
import {
  DeletePushNotificationRegistrationCommandInput,
  DeletePushNotificationRegistrationCommandOutput,
} from "../commands/DeletePushNotificationRegistrationCommand";
import {
  DeleteQueueCommandInput,
  DeleteQueueCommandOutput,
} from "../commands/DeleteQueueCommand";
import {
  DeleteQuickConnectCommandInput,
  DeleteQuickConnectCommandOutput,
} from "../commands/DeleteQuickConnectCommand";
import {
  DeleteRoutingProfileCommandInput,
  DeleteRoutingProfileCommandOutput,
} from "../commands/DeleteRoutingProfileCommand";
import {
  DeleteRuleCommandInput,
  DeleteRuleCommandOutput,
} from "../commands/DeleteRuleCommand";
import {
  DeleteSecurityProfileCommandInput,
  DeleteSecurityProfileCommandOutput,
} from "../commands/DeleteSecurityProfileCommand";
import {
  DeleteTaskTemplateCommandInput,
  DeleteTaskTemplateCommandOutput,
} from "../commands/DeleteTaskTemplateCommand";
import {
  DeleteTrafficDistributionGroupCommandInput,
  DeleteTrafficDistributionGroupCommandOutput,
} from "../commands/DeleteTrafficDistributionGroupCommand";
import {
  DeleteUseCaseCommandInput,
  DeleteUseCaseCommandOutput,
} from "../commands/DeleteUseCaseCommand";
import {
  DeleteUserCommandInput,
  DeleteUserCommandOutput,
} from "../commands/DeleteUserCommand";
import {
  DeleteUserHierarchyGroupCommandInput,
  DeleteUserHierarchyGroupCommandOutput,
} from "../commands/DeleteUserHierarchyGroupCommand";
import {
  DeleteViewCommandInput,
  DeleteViewCommandOutput,
} from "../commands/DeleteViewCommand";
import {
  DeleteViewVersionCommandInput,
  DeleteViewVersionCommandOutput,
} from "../commands/DeleteViewVersionCommand";
import {
  DeleteVocabularyCommandInput,
  DeleteVocabularyCommandOutput,
} from "../commands/DeleteVocabularyCommand";
import {
  DescribeAgentStatusCommandInput,
  DescribeAgentStatusCommandOutput,
} from "../commands/DescribeAgentStatusCommand";
import {
  DescribeAuthenticationProfileCommandInput,
  DescribeAuthenticationProfileCommandOutput,
} from "../commands/DescribeAuthenticationProfileCommand";
import {
  DescribeContactCommandInput,
  DescribeContactCommandOutput,
} from "../commands/DescribeContactCommand";
import {
  DescribeContactEvaluationCommandInput,
  DescribeContactEvaluationCommandOutput,
} from "../commands/DescribeContactEvaluationCommand";
import {
  DescribeContactFlowCommandInput,
  DescribeContactFlowCommandOutput,
} from "../commands/DescribeContactFlowCommand";
import {
  DescribeContactFlowModuleCommandInput,
  DescribeContactFlowModuleCommandOutput,
} from "../commands/DescribeContactFlowModuleCommand";
import {
  DescribeEmailAddressCommandInput,
  DescribeEmailAddressCommandOutput,
} from "../commands/DescribeEmailAddressCommand";
import {
  DescribeEvaluationFormCommandInput,
  DescribeEvaluationFormCommandOutput,
} from "../commands/DescribeEvaluationFormCommand";
import {
  DescribeHoursOfOperationCommandInput,
  DescribeHoursOfOperationCommandOutput,
} from "../commands/DescribeHoursOfOperationCommand";
import {
  DescribeHoursOfOperationOverrideCommandInput,
  DescribeHoursOfOperationOverrideCommandOutput,
} from "../commands/DescribeHoursOfOperationOverrideCommand";
import {
  DescribeInstanceAttributeCommandInput,
  DescribeInstanceAttributeCommandOutput,
} from "../commands/DescribeInstanceAttributeCommand";
import {
  DescribeInstanceCommandInput,
  DescribeInstanceCommandOutput,
} from "../commands/DescribeInstanceCommand";
import {
  DescribeInstanceStorageConfigCommandInput,
  DescribeInstanceStorageConfigCommandOutput,
} from "../commands/DescribeInstanceStorageConfigCommand";
import {
  DescribePhoneNumberCommandInput,
  DescribePhoneNumberCommandOutput,
} from "../commands/DescribePhoneNumberCommand";
import {
  DescribePredefinedAttributeCommandInput,
  DescribePredefinedAttributeCommandOutput,
} from "../commands/DescribePredefinedAttributeCommand";
import {
  DescribePromptCommandInput,
  DescribePromptCommandOutput,
} from "../commands/DescribePromptCommand";
import {
  DescribeQueueCommandInput,
  DescribeQueueCommandOutput,
} from "../commands/DescribeQueueCommand";
import {
  DescribeQuickConnectCommandInput,
  DescribeQuickConnectCommandOutput,
} from "../commands/DescribeQuickConnectCommand";
import {
  DescribeRoutingProfileCommandInput,
  DescribeRoutingProfileCommandOutput,
} from "../commands/DescribeRoutingProfileCommand";
import {
  DescribeRuleCommandInput,
  DescribeRuleCommandOutput,
} from "../commands/DescribeRuleCommand";
import {
  DescribeSecurityProfileCommandInput,
  DescribeSecurityProfileCommandOutput,
} from "../commands/DescribeSecurityProfileCommand";
import {
  DescribeTrafficDistributionGroupCommandInput,
  DescribeTrafficDistributionGroupCommandOutput,
} from "../commands/DescribeTrafficDistributionGroupCommand";
import {
  DescribeUserCommandInput,
  DescribeUserCommandOutput,
} from "../commands/DescribeUserCommand";
import {
  DescribeUserHierarchyGroupCommandInput,
  DescribeUserHierarchyGroupCommandOutput,
} from "../commands/DescribeUserHierarchyGroupCommand";
import {
  DescribeUserHierarchyStructureCommandInput,
  DescribeUserHierarchyStructureCommandOutput,
} from "../commands/DescribeUserHierarchyStructureCommand";
import {
  DescribeViewCommandInput,
  DescribeViewCommandOutput,
} from "../commands/DescribeViewCommand";
import {
  DescribeVocabularyCommandInput,
  DescribeVocabularyCommandOutput,
} from "../commands/DescribeVocabularyCommand";
import {
  DisassociateAnalyticsDataSetCommandInput,
  DisassociateAnalyticsDataSetCommandOutput,
} from "../commands/DisassociateAnalyticsDataSetCommand";
import {
  DisassociateApprovedOriginCommandInput,
  DisassociateApprovedOriginCommandOutput,
} from "../commands/DisassociateApprovedOriginCommand";
import {
  DisassociateBotCommandInput,
  DisassociateBotCommandOutput,
} from "../commands/DisassociateBotCommand";
import {
  DisassociateFlowCommandInput,
  DisassociateFlowCommandOutput,
} from "../commands/DisassociateFlowCommand";
import {
  DisassociateInstanceStorageConfigCommandInput,
  DisassociateInstanceStorageConfigCommandOutput,
} from "../commands/DisassociateInstanceStorageConfigCommand";
import {
  DisassociateLambdaFunctionCommandInput,
  DisassociateLambdaFunctionCommandOutput,
} from "../commands/DisassociateLambdaFunctionCommand";
import {
  DisassociateLexBotCommandInput,
  DisassociateLexBotCommandOutput,
} from "../commands/DisassociateLexBotCommand";
import {
  DisassociatePhoneNumberContactFlowCommandInput,
  DisassociatePhoneNumberContactFlowCommandOutput,
} from "../commands/DisassociatePhoneNumberContactFlowCommand";
import {
  DisassociateQueueQuickConnectsCommandInput,
  DisassociateQueueQuickConnectsCommandOutput,
} from "../commands/DisassociateQueueQuickConnectsCommand";
import {
  DisassociateRoutingProfileQueuesCommandInput,
  DisassociateRoutingProfileQueuesCommandOutput,
} from "../commands/DisassociateRoutingProfileQueuesCommand";
import {
  DisassociateSecurityKeyCommandInput,
  DisassociateSecurityKeyCommandOutput,
} from "../commands/DisassociateSecurityKeyCommand";
import {
  DisassociateTrafficDistributionGroupUserCommandInput,
  DisassociateTrafficDistributionGroupUserCommandOutput,
} from "../commands/DisassociateTrafficDistributionGroupUserCommand";
import {
  DisassociateUserProficienciesCommandInput,
  DisassociateUserProficienciesCommandOutput,
} from "../commands/DisassociateUserProficienciesCommand";
import {
  DismissUserContactCommandInput,
  DismissUserContactCommandOutput,
} from "../commands/DismissUserContactCommand";
import {
  GetAttachedFileCommandInput,
  GetAttachedFileCommandOutput,
} from "../commands/GetAttachedFileCommand";
import {
  GetContactAttributesCommandInput,
  GetContactAttributesCommandOutput,
} from "../commands/GetContactAttributesCommand";
import {
  GetCurrentMetricDataCommandInput,
  GetCurrentMetricDataCommandOutput,
} from "../commands/GetCurrentMetricDataCommand";
import {
  GetCurrentUserDataCommandInput,
  GetCurrentUserDataCommandOutput,
} from "../commands/GetCurrentUserDataCommand";
import {
  GetEffectiveHoursOfOperationsCommandInput,
  GetEffectiveHoursOfOperationsCommandOutput,
} from "../commands/GetEffectiveHoursOfOperationsCommand";
import {
  GetFederationTokenCommandInput,
  GetFederationTokenCommandOutput,
} from "../commands/GetFederationTokenCommand";
import {
  GetFlowAssociationCommandInput,
  GetFlowAssociationCommandOutput,
} from "../commands/GetFlowAssociationCommand";
import {
  GetMetricDataCommandInput,
  GetMetricDataCommandOutput,
} from "../commands/GetMetricDataCommand";
import {
  GetMetricDataV2CommandInput,
  GetMetricDataV2CommandOutput,
} from "../commands/GetMetricDataV2Command";
import {
  GetPromptFileCommandInput,
  GetPromptFileCommandOutput,
} from "../commands/GetPromptFileCommand";
import {
  GetTaskTemplateCommandInput,
  GetTaskTemplateCommandOutput,
} from "../commands/GetTaskTemplateCommand";
import {
  GetTrafficDistributionCommandInput,
  GetTrafficDistributionCommandOutput,
} from "../commands/GetTrafficDistributionCommand";
import {
  ImportPhoneNumberCommandInput,
  ImportPhoneNumberCommandOutput,
} from "../commands/ImportPhoneNumberCommand";
import {
  ListAgentStatusesCommandInput,
  ListAgentStatusesCommandOutput,
} from "../commands/ListAgentStatusesCommand";
import {
  ListAnalyticsDataAssociationsCommandInput,
  ListAnalyticsDataAssociationsCommandOutput,
} from "../commands/ListAnalyticsDataAssociationsCommand";
import {
  ListAnalyticsDataLakeDataSetsCommandInput,
  ListAnalyticsDataLakeDataSetsCommandOutput,
} from "../commands/ListAnalyticsDataLakeDataSetsCommand";
import {
  ListApprovedOriginsCommandInput,
  ListApprovedOriginsCommandOutput,
} from "../commands/ListApprovedOriginsCommand";
import {
  ListAssociatedContactsCommandInput,
  ListAssociatedContactsCommandOutput,
} from "../commands/ListAssociatedContactsCommand";
import {
  ListAuthenticationProfilesCommandInput,
  ListAuthenticationProfilesCommandOutput,
} from "../commands/ListAuthenticationProfilesCommand";
import {
  ListBotsCommandInput,
  ListBotsCommandOutput,
} from "../commands/ListBotsCommand";
import {
  ListContactEvaluationsCommandInput,
  ListContactEvaluationsCommandOutput,
} from "../commands/ListContactEvaluationsCommand";
import {
  ListContactFlowModulesCommandInput,
  ListContactFlowModulesCommandOutput,
} from "../commands/ListContactFlowModulesCommand";
import {
  ListContactFlowsCommandInput,
  ListContactFlowsCommandOutput,
} from "../commands/ListContactFlowsCommand";
import {
  ListContactFlowVersionsCommandInput,
  ListContactFlowVersionsCommandOutput,
} from "../commands/ListContactFlowVersionsCommand";
import {
  ListContactReferencesCommandInput,
  ListContactReferencesCommandOutput,
} from "../commands/ListContactReferencesCommand";
import {
  ListDefaultVocabulariesCommandInput,
  ListDefaultVocabulariesCommandOutput,
} from "../commands/ListDefaultVocabulariesCommand";
import {
  ListEvaluationFormsCommandInput,
  ListEvaluationFormsCommandOutput,
} from "../commands/ListEvaluationFormsCommand";
import {
  ListEvaluationFormVersionsCommandInput,
  ListEvaluationFormVersionsCommandOutput,
} from "../commands/ListEvaluationFormVersionsCommand";
import {
  ListFlowAssociationsCommandInput,
  ListFlowAssociationsCommandOutput,
} from "../commands/ListFlowAssociationsCommand";
import {
  ListHoursOfOperationOverridesCommandInput,
  ListHoursOfOperationOverridesCommandOutput,
} from "../commands/ListHoursOfOperationOverridesCommand";
import {
  ListHoursOfOperationsCommandInput,
  ListHoursOfOperationsCommandOutput,
} from "../commands/ListHoursOfOperationsCommand";
import {
  ListInstanceAttributesCommandInput,
  ListInstanceAttributesCommandOutput,
} from "../commands/ListInstanceAttributesCommand";
import {
  ListInstancesCommandInput,
  ListInstancesCommandOutput,
} from "../commands/ListInstancesCommand";
import {
  ListInstanceStorageConfigsCommandInput,
  ListInstanceStorageConfigsCommandOutput,
} from "../commands/ListInstanceStorageConfigsCommand";
import {
  ListIntegrationAssociationsCommandInput,
  ListIntegrationAssociationsCommandOutput,
} from "../commands/ListIntegrationAssociationsCommand";
import {
  ListLambdaFunctionsCommandInput,
  ListLambdaFunctionsCommandOutput,
} from "../commands/ListLambdaFunctionsCommand";
import {
  ListLexBotsCommandInput,
  ListLexBotsCommandOutput,
} from "../commands/ListLexBotsCommand";
import {
  ListPhoneNumbersCommandInput,
  ListPhoneNumbersCommandOutput,
} from "../commands/ListPhoneNumbersCommand";
import {
  ListPhoneNumbersV2CommandInput,
  ListPhoneNumbersV2CommandOutput,
} from "../commands/ListPhoneNumbersV2Command";
import {
  ListPredefinedAttributesCommandInput,
  ListPredefinedAttributesCommandOutput,
} from "../commands/ListPredefinedAttributesCommand";
import {
  ListPromptsCommandInput,
  ListPromptsCommandOutput,
} from "../commands/ListPromptsCommand";
import {
  ListQueueQuickConnectsCommandInput,
  ListQueueQuickConnectsCommandOutput,
} from "../commands/ListQueueQuickConnectsCommand";
import {
  ListQueuesCommandInput,
  ListQueuesCommandOutput,
} from "../commands/ListQueuesCommand";
import {
  ListQuickConnectsCommandInput,
  ListQuickConnectsCommandOutput,
} from "../commands/ListQuickConnectsCommand";
import {
  ListRealtimeContactAnalysisSegmentsV2CommandInput,
  ListRealtimeContactAnalysisSegmentsV2CommandOutput,
} from "../commands/ListRealtimeContactAnalysisSegmentsV2Command";
import {
  ListRoutingProfileQueuesCommandInput,
  ListRoutingProfileQueuesCommandOutput,
} from "../commands/ListRoutingProfileQueuesCommand";
import {
  ListRoutingProfilesCommandInput,
  ListRoutingProfilesCommandOutput,
} from "../commands/ListRoutingProfilesCommand";
import {
  ListRulesCommandInput,
  ListRulesCommandOutput,
} from "../commands/ListRulesCommand";
import {
  ListSecurityKeysCommandInput,
  ListSecurityKeysCommandOutput,
} from "../commands/ListSecurityKeysCommand";
import {
  ListSecurityProfileApplicationsCommandInput,
  ListSecurityProfileApplicationsCommandOutput,
} from "../commands/ListSecurityProfileApplicationsCommand";
import {
  ListSecurityProfilePermissionsCommandInput,
  ListSecurityProfilePermissionsCommandOutput,
} from "../commands/ListSecurityProfilePermissionsCommand";
import {
  ListSecurityProfilesCommandInput,
  ListSecurityProfilesCommandOutput,
} from "../commands/ListSecurityProfilesCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  ListTaskTemplatesCommandInput,
  ListTaskTemplatesCommandOutput,
} from "../commands/ListTaskTemplatesCommand";
import {
  ListTrafficDistributionGroupsCommandInput,
  ListTrafficDistributionGroupsCommandOutput,
} from "../commands/ListTrafficDistributionGroupsCommand";
import {
  ListTrafficDistributionGroupUsersCommandInput,
  ListTrafficDistributionGroupUsersCommandOutput,
} from "../commands/ListTrafficDistributionGroupUsersCommand";
import {
  ListUseCasesCommandInput,
  ListUseCasesCommandOutput,
} from "../commands/ListUseCasesCommand";
import {
  ListUserHierarchyGroupsCommandInput,
  ListUserHierarchyGroupsCommandOutput,
} from "../commands/ListUserHierarchyGroupsCommand";
import {
  ListUserProficienciesCommandInput,
  ListUserProficienciesCommandOutput,
} from "../commands/ListUserProficienciesCommand";
import {
  ListUsersCommandInput,
  ListUsersCommandOutput,
} from "../commands/ListUsersCommand";
import {
  ListViewsCommandInput,
  ListViewsCommandOutput,
} from "../commands/ListViewsCommand";
import {
  ListViewVersionsCommandInput,
  ListViewVersionsCommandOutput,
} from "../commands/ListViewVersionsCommand";
import {
  MonitorContactCommandInput,
  MonitorContactCommandOutput,
} from "../commands/MonitorContactCommand";
import {
  PauseContactCommandInput,
  PauseContactCommandOutput,
} from "../commands/PauseContactCommand";
import {
  PutUserStatusCommandInput,
  PutUserStatusCommandOutput,
} from "../commands/PutUserStatusCommand";
import {
  ReleasePhoneNumberCommandInput,
  ReleasePhoneNumberCommandOutput,
} from "../commands/ReleasePhoneNumberCommand";
import {
  ReplicateInstanceCommandInput,
  ReplicateInstanceCommandOutput,
} from "../commands/ReplicateInstanceCommand";
import {
  ResumeContactCommandInput,
  ResumeContactCommandOutput,
} from "../commands/ResumeContactCommand";
import {
  ResumeContactRecordingCommandInput,
  ResumeContactRecordingCommandOutput,
} from "../commands/ResumeContactRecordingCommand";
import {
  SearchAgentStatusesCommandInput,
  SearchAgentStatusesCommandOutput,
} from "../commands/SearchAgentStatusesCommand";
import {
  SearchAvailablePhoneNumbersCommandInput,
  SearchAvailablePhoneNumbersCommandOutput,
} from "../commands/SearchAvailablePhoneNumbersCommand";
import {
  SearchContactFlowModulesCommandInput,
  SearchContactFlowModulesCommandOutput,
} from "../commands/SearchContactFlowModulesCommand";
import {
  SearchContactFlowsCommandInput,
  SearchContactFlowsCommandOutput,
} from "../commands/SearchContactFlowsCommand";
import {
  SearchContactsCommandInput,
  SearchContactsCommandOutput,
} from "../commands/SearchContactsCommand";
import {
  SearchEmailAddressesCommandInput,
  SearchEmailAddressesCommandOutput,
} from "../commands/SearchEmailAddressesCommand";
import {
  SearchHoursOfOperationOverridesCommandInput,
  SearchHoursOfOperationOverridesCommandOutput,
} from "../commands/SearchHoursOfOperationOverridesCommand";
import {
  SearchHoursOfOperationsCommandInput,
  SearchHoursOfOperationsCommandOutput,
} from "../commands/SearchHoursOfOperationsCommand";
import {
  SearchPredefinedAttributesCommandInput,
  SearchPredefinedAttributesCommandOutput,
} from "../commands/SearchPredefinedAttributesCommand";
import {
  SearchPromptsCommandInput,
  SearchPromptsCommandOutput,
} from "../commands/SearchPromptsCommand";
import {
  SearchQueuesCommandInput,
  SearchQueuesCommandOutput,
} from "../commands/SearchQueuesCommand";
import {
  SearchQuickConnectsCommandInput,
  SearchQuickConnectsCommandOutput,
} from "../commands/SearchQuickConnectsCommand";
import {
  SearchResourceTagsCommandInput,
  SearchResourceTagsCommandOutput,
} from "../commands/SearchResourceTagsCommand";
import {
  SearchRoutingProfilesCommandInput,
  SearchRoutingProfilesCommandOutput,
} from "../commands/SearchRoutingProfilesCommand";
import {
  SearchSecurityProfilesCommandInput,
  SearchSecurityProfilesCommandOutput,
} from "../commands/SearchSecurityProfilesCommand";
import {
  SearchUserHierarchyGroupsCommandInput,
  SearchUserHierarchyGroupsCommandOutput,
} from "../commands/SearchUserHierarchyGroupsCommand";
import {
  SearchUsersCommandInput,
  SearchUsersCommandOutput,
} from "../commands/SearchUsersCommand";
import {
  SearchVocabulariesCommandInput,
  SearchVocabulariesCommandOutput,
} from "../commands/SearchVocabulariesCommand";
import {
  SendChatIntegrationEventCommandInput,
  SendChatIntegrationEventCommandOutput,
} from "../commands/SendChatIntegrationEventCommand";
import {
  SendOutboundEmailCommandInput,
  SendOutboundEmailCommandOutput,
} from "../commands/SendOutboundEmailCommand";
import {
  StartAttachedFileUploadCommandInput,
  StartAttachedFileUploadCommandOutput,
} from "../commands/StartAttachedFileUploadCommand";
import {
  StartChatContactCommandInput,
  StartChatContactCommandOutput,
} from "../commands/StartChatContactCommand";
import {
  StartContactEvaluationCommandInput,
  StartContactEvaluationCommandOutput,
} from "../commands/StartContactEvaluationCommand";
import {
  StartContactRecordingCommandInput,
  StartContactRecordingCommandOutput,
} from "../commands/StartContactRecordingCommand";
import {
  StartContactStreamingCommandInput,
  StartContactStreamingCommandOutput,
} from "../commands/StartContactStreamingCommand";
import {
  StartEmailContactCommandInput,
  StartEmailContactCommandOutput,
} from "../commands/StartEmailContactCommand";
import {
  StartOutboundChatContactCommandInput,
  StartOutboundChatContactCommandOutput,
} from "../commands/StartOutboundChatContactCommand";
import {
  StartOutboundEmailContactCommandInput,
  StartOutboundEmailContactCommandOutput,
} from "../commands/StartOutboundEmailContactCommand";
import {
  StartOutboundVoiceContactCommandInput,
  StartOutboundVoiceContactCommandOutput,
} from "../commands/StartOutboundVoiceContactCommand";
import {
  StartScreenSharingCommandInput,
  StartScreenSharingCommandOutput,
} from "../commands/StartScreenSharingCommand";
import {
  StartTaskContactCommandInput,
  StartTaskContactCommandOutput,
} from "../commands/StartTaskContactCommand";
import {
  StartWebRTCContactCommandInput,
  StartWebRTCContactCommandOutput,
} from "../commands/StartWebRTCContactCommand";
import {
  StopContactCommandInput,
  StopContactCommandOutput,
} from "../commands/StopContactCommand";
import {
  StopContactRecordingCommandInput,
  StopContactRecordingCommandOutput,
} from "../commands/StopContactRecordingCommand";
import {
  StopContactStreamingCommandInput,
  StopContactStreamingCommandOutput,
} from "../commands/StopContactStreamingCommand";
import {
  SubmitContactEvaluationCommandInput,
  SubmitContactEvaluationCommandOutput,
} from "../commands/SubmitContactEvaluationCommand";
import {
  SuspendContactRecordingCommandInput,
  SuspendContactRecordingCommandOutput,
} from "../commands/SuspendContactRecordingCommand";
import {
  TagContactCommandInput,
  TagContactCommandOutput,
} from "../commands/TagContactCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  TransferContactCommandInput,
  TransferContactCommandOutput,
} from "../commands/TransferContactCommand";
import {
  UntagContactCommandInput,
  UntagContactCommandOutput,
} from "../commands/UntagContactCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateAgentStatusCommandInput,
  UpdateAgentStatusCommandOutput,
} from "../commands/UpdateAgentStatusCommand";
import {
  UpdateAuthenticationProfileCommandInput,
  UpdateAuthenticationProfileCommandOutput,
} from "../commands/UpdateAuthenticationProfileCommand";
import {
  UpdateContactAttributesCommandInput,
  UpdateContactAttributesCommandOutput,
} from "../commands/UpdateContactAttributesCommand";
import {
  UpdateContactCommandInput,
  UpdateContactCommandOutput,
} from "../commands/UpdateContactCommand";
import {
  UpdateContactEvaluationCommandInput,
  UpdateContactEvaluationCommandOutput,
} from "../commands/UpdateContactEvaluationCommand";
import {
  UpdateContactFlowContentCommandInput,
  UpdateContactFlowContentCommandOutput,
} from "../commands/UpdateContactFlowContentCommand";
import {
  UpdateContactFlowMetadataCommandInput,
  UpdateContactFlowMetadataCommandOutput,
} from "../commands/UpdateContactFlowMetadataCommand";
import {
  UpdateContactFlowModuleContentCommandInput,
  UpdateContactFlowModuleContentCommandOutput,
} from "../commands/UpdateContactFlowModuleContentCommand";
import {
  UpdateContactFlowModuleMetadataCommandInput,
  UpdateContactFlowModuleMetadataCommandOutput,
} from "../commands/UpdateContactFlowModuleMetadataCommand";
import {
  UpdateContactFlowNameCommandInput,
  UpdateContactFlowNameCommandOutput,
} from "../commands/UpdateContactFlowNameCommand";
import {
  UpdateContactRoutingDataCommandInput,
  UpdateContactRoutingDataCommandOutput,
} from "../commands/UpdateContactRoutingDataCommand";
import {
  UpdateContactScheduleCommandInput,
  UpdateContactScheduleCommandOutput,
} from "../commands/UpdateContactScheduleCommand";
import {
  UpdateEmailAddressMetadataCommandInput,
  UpdateEmailAddressMetadataCommandOutput,
} from "../commands/UpdateEmailAddressMetadataCommand";
import {
  UpdateEvaluationFormCommandInput,
  UpdateEvaluationFormCommandOutput,
} from "../commands/UpdateEvaluationFormCommand";
import {
  UpdateHoursOfOperationCommandInput,
  UpdateHoursOfOperationCommandOutput,
} from "../commands/UpdateHoursOfOperationCommand";
import {
  UpdateHoursOfOperationOverrideCommandInput,
  UpdateHoursOfOperationOverrideCommandOutput,
} from "../commands/UpdateHoursOfOperationOverrideCommand";
import {
  UpdateInstanceAttributeCommandInput,
  UpdateInstanceAttributeCommandOutput,
} from "../commands/UpdateInstanceAttributeCommand";
import {
  UpdateInstanceStorageConfigCommandInput,
  UpdateInstanceStorageConfigCommandOutput,
} from "../commands/UpdateInstanceStorageConfigCommand";
import {
  UpdateParticipantAuthenticationCommandInput,
  UpdateParticipantAuthenticationCommandOutput,
} from "../commands/UpdateParticipantAuthenticationCommand";
import {
  UpdateParticipantRoleConfigCommandInput,
  UpdateParticipantRoleConfigCommandOutput,
} from "../commands/UpdateParticipantRoleConfigCommand";
import {
  UpdatePhoneNumberCommandInput,
  UpdatePhoneNumberCommandOutput,
} from "../commands/UpdatePhoneNumberCommand";
import {
  UpdatePhoneNumberMetadataCommandInput,
  UpdatePhoneNumberMetadataCommandOutput,
} from "../commands/UpdatePhoneNumberMetadataCommand";
import {
  UpdatePredefinedAttributeCommandInput,
  UpdatePredefinedAttributeCommandOutput,
} from "../commands/UpdatePredefinedAttributeCommand";
import {
  UpdatePromptCommandInput,
  UpdatePromptCommandOutput,
} from "../commands/UpdatePromptCommand";
import {
  UpdateQueueHoursOfOperationCommandInput,
  UpdateQueueHoursOfOperationCommandOutput,
} from "../commands/UpdateQueueHoursOfOperationCommand";
import {
  UpdateQueueMaxContactsCommandInput,
  UpdateQueueMaxContactsCommandOutput,
} from "../commands/UpdateQueueMaxContactsCommand";
import {
  UpdateQueueNameCommandInput,
  UpdateQueueNameCommandOutput,
} from "../commands/UpdateQueueNameCommand";
import {
  UpdateQueueOutboundCallerConfigCommandInput,
  UpdateQueueOutboundCallerConfigCommandOutput,
} from "../commands/UpdateQueueOutboundCallerConfigCommand";
import {
  UpdateQueueOutboundEmailConfigCommandInput,
  UpdateQueueOutboundEmailConfigCommandOutput,
} from "../commands/UpdateQueueOutboundEmailConfigCommand";
import {
  UpdateQueueStatusCommandInput,
  UpdateQueueStatusCommandOutput,
} from "../commands/UpdateQueueStatusCommand";
import {
  UpdateQuickConnectConfigCommandInput,
  UpdateQuickConnectConfigCommandOutput,
} from "../commands/UpdateQuickConnectConfigCommand";
import {
  UpdateQuickConnectNameCommandInput,
  UpdateQuickConnectNameCommandOutput,
} from "../commands/UpdateQuickConnectNameCommand";
import {
  UpdateRoutingProfileAgentAvailabilityTimerCommandInput,
  UpdateRoutingProfileAgentAvailabilityTimerCommandOutput,
} from "../commands/UpdateRoutingProfileAgentAvailabilityTimerCommand";
import {
  UpdateRoutingProfileConcurrencyCommandInput,
  UpdateRoutingProfileConcurrencyCommandOutput,
} from "../commands/UpdateRoutingProfileConcurrencyCommand";
import {
  UpdateRoutingProfileDefaultOutboundQueueCommandInput,
  UpdateRoutingProfileDefaultOutboundQueueCommandOutput,
} from "../commands/UpdateRoutingProfileDefaultOutboundQueueCommand";
import {
  UpdateRoutingProfileNameCommandInput,
  UpdateRoutingProfileNameCommandOutput,
} from "../commands/UpdateRoutingProfileNameCommand";
import {
  UpdateRoutingProfileQueuesCommandInput,
  UpdateRoutingProfileQueuesCommandOutput,
} from "../commands/UpdateRoutingProfileQueuesCommand";
import {
  UpdateRuleCommandInput,
  UpdateRuleCommandOutput,
} from "../commands/UpdateRuleCommand";
import {
  UpdateSecurityProfileCommandInput,
  UpdateSecurityProfileCommandOutput,
} from "../commands/UpdateSecurityProfileCommand";
import {
  UpdateTaskTemplateCommandInput,
  UpdateTaskTemplateCommandOutput,
} from "../commands/UpdateTaskTemplateCommand";
import {
  UpdateTrafficDistributionCommandInput,
  UpdateTrafficDistributionCommandOutput,
} from "../commands/UpdateTrafficDistributionCommand";
import {
  UpdateUserHierarchyCommandInput,
  UpdateUserHierarchyCommandOutput,
} from "../commands/UpdateUserHierarchyCommand";
import {
  UpdateUserHierarchyGroupNameCommandInput,
  UpdateUserHierarchyGroupNameCommandOutput,
} from "../commands/UpdateUserHierarchyGroupNameCommand";
import {
  UpdateUserHierarchyStructureCommandInput,
  UpdateUserHierarchyStructureCommandOutput,
} from "../commands/UpdateUserHierarchyStructureCommand";
import {
  UpdateUserIdentityInfoCommandInput,
  UpdateUserIdentityInfoCommandOutput,
} from "../commands/UpdateUserIdentityInfoCommand";
import {
  UpdateUserPhoneConfigCommandInput,
  UpdateUserPhoneConfigCommandOutput,
} from "../commands/UpdateUserPhoneConfigCommand";
import {
  UpdateUserProficienciesCommandInput,
  UpdateUserProficienciesCommandOutput,
} from "../commands/UpdateUserProficienciesCommand";
import {
  UpdateUserRoutingProfileCommandInput,
  UpdateUserRoutingProfileCommandOutput,
} from "../commands/UpdateUserRoutingProfileCommand";
import {
  UpdateUserSecurityProfilesCommandInput,
  UpdateUserSecurityProfilesCommandOutput,
} from "../commands/UpdateUserSecurityProfilesCommand";
import {
  UpdateViewContentCommandInput,
  UpdateViewContentCommandOutput,
} from "../commands/UpdateViewContentCommand";
import {
  UpdateViewMetadataCommandInput,
  UpdateViewMetadataCommandOutput,
} from "../commands/UpdateViewMetadataCommand";
export declare const se_ActivateEvaluationFormCommand: (
  input: ActivateEvaluationFormCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociateAnalyticsDataSetCommand: (
  input: AssociateAnalyticsDataSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociateApprovedOriginCommand: (
  input: AssociateApprovedOriginCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociateBotCommand: (
  input: AssociateBotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociateDefaultVocabularyCommand: (
  input: AssociateDefaultVocabularyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociateFlowCommand: (
  input: AssociateFlowCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociateInstanceStorageConfigCommand: (
  input: AssociateInstanceStorageConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociateLambdaFunctionCommand: (
  input: AssociateLambdaFunctionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociateLexBotCommand: (
  input: AssociateLexBotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociatePhoneNumberContactFlowCommand: (
  input: AssociatePhoneNumberContactFlowCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociateQueueQuickConnectsCommand: (
  input: AssociateQueueQuickConnectsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociateRoutingProfileQueuesCommand: (
  input: AssociateRoutingProfileQueuesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociateSecurityKeyCommand: (
  input: AssociateSecurityKeyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociateTrafficDistributionGroupUserCommand: (
  input: AssociateTrafficDistributionGroupUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociateUserProficienciesCommand: (
  input: AssociateUserProficienciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchAssociateAnalyticsDataSetCommand: (
  input: BatchAssociateAnalyticsDataSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchDisassociateAnalyticsDataSetCommand: (
  input: BatchDisassociateAnalyticsDataSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchGetAttachedFileMetadataCommand: (
  input: BatchGetAttachedFileMetadataCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchGetFlowAssociationCommand: (
  input: BatchGetFlowAssociationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchPutContactCommand: (
  input: BatchPutContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ClaimPhoneNumberCommand: (
  input: ClaimPhoneNumberCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CompleteAttachedFileUploadCommand: (
  input: CompleteAttachedFileUploadCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateAgentStatusCommand: (
  input: CreateAgentStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateContactCommand: (
  input: CreateContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateContactFlowCommand: (
  input: CreateContactFlowCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateContactFlowModuleCommand: (
  input: CreateContactFlowModuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateContactFlowVersionCommand: (
  input: CreateContactFlowVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateEmailAddressCommand: (
  input: CreateEmailAddressCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateEvaluationFormCommand: (
  input: CreateEvaluationFormCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateHoursOfOperationCommand: (
  input: CreateHoursOfOperationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateHoursOfOperationOverrideCommand: (
  input: CreateHoursOfOperationOverrideCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateInstanceCommand: (
  input: CreateInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateIntegrationAssociationCommand: (
  input: CreateIntegrationAssociationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateParticipantCommand: (
  input: CreateParticipantCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreatePersistentContactAssociationCommand: (
  input: CreatePersistentContactAssociationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreatePredefinedAttributeCommand: (
  input: CreatePredefinedAttributeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreatePromptCommand: (
  input: CreatePromptCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreatePushNotificationRegistrationCommand: (
  input: CreatePushNotificationRegistrationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateQueueCommand: (
  input: CreateQueueCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateQuickConnectCommand: (
  input: CreateQuickConnectCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateRoutingProfileCommand: (
  input: CreateRoutingProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateRuleCommand: (
  input: CreateRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateSecurityProfileCommand: (
  input: CreateSecurityProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateTaskTemplateCommand: (
  input: CreateTaskTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateTrafficDistributionGroupCommand: (
  input: CreateTrafficDistributionGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateUseCaseCommand: (
  input: CreateUseCaseCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateUserCommand: (
  input: CreateUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateUserHierarchyGroupCommand: (
  input: CreateUserHierarchyGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateViewCommand: (
  input: CreateViewCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateViewVersionCommand: (
  input: CreateViewVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateVocabularyCommand: (
  input: CreateVocabularyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeactivateEvaluationFormCommand: (
  input: DeactivateEvaluationFormCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAttachedFileCommand: (
  input: DeleteAttachedFileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteContactEvaluationCommand: (
  input: DeleteContactEvaluationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteContactFlowCommand: (
  input: DeleteContactFlowCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteContactFlowModuleCommand: (
  input: DeleteContactFlowModuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteContactFlowVersionCommand: (
  input: DeleteContactFlowVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteEmailAddressCommand: (
  input: DeleteEmailAddressCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteEvaluationFormCommand: (
  input: DeleteEvaluationFormCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteHoursOfOperationCommand: (
  input: DeleteHoursOfOperationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteHoursOfOperationOverrideCommand: (
  input: DeleteHoursOfOperationOverrideCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteInstanceCommand: (
  input: DeleteInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteIntegrationAssociationCommand: (
  input: DeleteIntegrationAssociationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeletePredefinedAttributeCommand: (
  input: DeletePredefinedAttributeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeletePromptCommand: (
  input: DeletePromptCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeletePushNotificationRegistrationCommand: (
  input: DeletePushNotificationRegistrationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteQueueCommand: (
  input: DeleteQueueCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteQuickConnectCommand: (
  input: DeleteQuickConnectCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteRoutingProfileCommand: (
  input: DeleteRoutingProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteRuleCommand: (
  input: DeleteRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteSecurityProfileCommand: (
  input: DeleteSecurityProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteTaskTemplateCommand: (
  input: DeleteTaskTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteTrafficDistributionGroupCommand: (
  input: DeleteTrafficDistributionGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteUseCaseCommand: (
  input: DeleteUseCaseCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteUserCommand: (
  input: DeleteUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteUserHierarchyGroupCommand: (
  input: DeleteUserHierarchyGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteViewCommand: (
  input: DeleteViewCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteViewVersionCommand: (
  input: DeleteViewVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVocabularyCommand: (
  input: DeleteVocabularyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAgentStatusCommand: (
  input: DescribeAgentStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAuthenticationProfileCommand: (
  input: DescribeAuthenticationProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeContactCommand: (
  input: DescribeContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeContactEvaluationCommand: (
  input: DescribeContactEvaluationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeContactFlowCommand: (
  input: DescribeContactFlowCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeContactFlowModuleCommand: (
  input: DescribeContactFlowModuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeEmailAddressCommand: (
  input: DescribeEmailAddressCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeEvaluationFormCommand: (
  input: DescribeEvaluationFormCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeHoursOfOperationCommand: (
  input: DescribeHoursOfOperationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeHoursOfOperationOverrideCommand: (
  input: DescribeHoursOfOperationOverrideCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeInstanceCommand: (
  input: DescribeInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeInstanceAttributeCommand: (
  input: DescribeInstanceAttributeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeInstanceStorageConfigCommand: (
  input: DescribeInstanceStorageConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribePhoneNumberCommand: (
  input: DescribePhoneNumberCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribePredefinedAttributeCommand: (
  input: DescribePredefinedAttributeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribePromptCommand: (
  input: DescribePromptCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeQueueCommand: (
  input: DescribeQueueCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeQuickConnectCommand: (
  input: DescribeQuickConnectCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeRoutingProfileCommand: (
  input: DescribeRoutingProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeRuleCommand: (
  input: DescribeRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeSecurityProfileCommand: (
  input: DescribeSecurityProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeTrafficDistributionGroupCommand: (
  input: DescribeTrafficDistributionGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeUserCommand: (
  input: DescribeUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeUserHierarchyGroupCommand: (
  input: DescribeUserHierarchyGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeUserHierarchyStructureCommand: (
  input: DescribeUserHierarchyStructureCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeViewCommand: (
  input: DescribeViewCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeVocabularyCommand: (
  input: DescribeVocabularyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateAnalyticsDataSetCommand: (
  input: DisassociateAnalyticsDataSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateApprovedOriginCommand: (
  input: DisassociateApprovedOriginCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateBotCommand: (
  input: DisassociateBotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateFlowCommand: (
  input: DisassociateFlowCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateInstanceStorageConfigCommand: (
  input: DisassociateInstanceStorageConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateLambdaFunctionCommand: (
  input: DisassociateLambdaFunctionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateLexBotCommand: (
  input: DisassociateLexBotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociatePhoneNumberContactFlowCommand: (
  input: DisassociatePhoneNumberContactFlowCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateQueueQuickConnectsCommand: (
  input: DisassociateQueueQuickConnectsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateRoutingProfileQueuesCommand: (
  input: DisassociateRoutingProfileQueuesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateSecurityKeyCommand: (
  input: DisassociateSecurityKeyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateTrafficDistributionGroupUserCommand: (
  input: DisassociateTrafficDistributionGroupUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateUserProficienciesCommand: (
  input: DisassociateUserProficienciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DismissUserContactCommand: (
  input: DismissUserContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetAttachedFileCommand: (
  input: GetAttachedFileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetContactAttributesCommand: (
  input: GetContactAttributesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetCurrentMetricDataCommand: (
  input: GetCurrentMetricDataCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetCurrentUserDataCommand: (
  input: GetCurrentUserDataCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetEffectiveHoursOfOperationsCommand: (
  input: GetEffectiveHoursOfOperationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetFederationTokenCommand: (
  input: GetFederationTokenCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetFlowAssociationCommand: (
  input: GetFlowAssociationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetMetricDataCommand: (
  input: GetMetricDataCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetMetricDataV2Command: (
  input: GetMetricDataV2CommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPromptFileCommand: (
  input: GetPromptFileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetTaskTemplateCommand: (
  input: GetTaskTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetTrafficDistributionCommand: (
  input: GetTrafficDistributionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ImportPhoneNumberCommand: (
  input: ImportPhoneNumberCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAgentStatusesCommand: (
  input: ListAgentStatusesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAnalyticsDataAssociationsCommand: (
  input: ListAnalyticsDataAssociationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAnalyticsDataLakeDataSetsCommand: (
  input: ListAnalyticsDataLakeDataSetsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListApprovedOriginsCommand: (
  input: ListApprovedOriginsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAssociatedContactsCommand: (
  input: ListAssociatedContactsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAuthenticationProfilesCommand: (
  input: ListAuthenticationProfilesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListBotsCommand: (
  input: ListBotsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListContactEvaluationsCommand: (
  input: ListContactEvaluationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListContactFlowModulesCommand: (
  input: ListContactFlowModulesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListContactFlowsCommand: (
  input: ListContactFlowsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListContactFlowVersionsCommand: (
  input: ListContactFlowVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListContactReferencesCommand: (
  input: ListContactReferencesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDefaultVocabulariesCommand: (
  input: ListDefaultVocabulariesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListEvaluationFormsCommand: (
  input: ListEvaluationFormsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListEvaluationFormVersionsCommand: (
  input: ListEvaluationFormVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListFlowAssociationsCommand: (
  input: ListFlowAssociationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListHoursOfOperationOverridesCommand: (
  input: ListHoursOfOperationOverridesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListHoursOfOperationsCommand: (
  input: ListHoursOfOperationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListInstanceAttributesCommand: (
  input: ListInstanceAttributesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListInstancesCommand: (
  input: ListInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListInstanceStorageConfigsCommand: (
  input: ListInstanceStorageConfigsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListIntegrationAssociationsCommand: (
  input: ListIntegrationAssociationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListLambdaFunctionsCommand: (
  input: ListLambdaFunctionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListLexBotsCommand: (
  input: ListLexBotsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPhoneNumbersCommand: (
  input: ListPhoneNumbersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPhoneNumbersV2Command: (
  input: ListPhoneNumbersV2CommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPredefinedAttributesCommand: (
  input: ListPredefinedAttributesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPromptsCommand: (
  input: ListPromptsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListQueueQuickConnectsCommand: (
  input: ListQueueQuickConnectsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListQueuesCommand: (
  input: ListQueuesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListQuickConnectsCommand: (
  input: ListQuickConnectsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListRealtimeContactAnalysisSegmentsV2Command: (
  input: ListRealtimeContactAnalysisSegmentsV2CommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListRoutingProfileQueuesCommand: (
  input: ListRoutingProfileQueuesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListRoutingProfilesCommand: (
  input: ListRoutingProfilesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListRulesCommand: (
  input: ListRulesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSecurityKeysCommand: (
  input: ListSecurityKeysCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSecurityProfileApplicationsCommand: (
  input: ListSecurityProfileApplicationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSecurityProfilePermissionsCommand: (
  input: ListSecurityProfilePermissionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSecurityProfilesCommand: (
  input: ListSecurityProfilesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTaskTemplatesCommand: (
  input: ListTaskTemplatesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTrafficDistributionGroupsCommand: (
  input: ListTrafficDistributionGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTrafficDistributionGroupUsersCommand: (
  input: ListTrafficDistributionGroupUsersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListUseCasesCommand: (
  input: ListUseCasesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListUserHierarchyGroupsCommand: (
  input: ListUserHierarchyGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListUserProficienciesCommand: (
  input: ListUserProficienciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListUsersCommand: (
  input: ListUsersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListViewsCommand: (
  input: ListViewsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListViewVersionsCommand: (
  input: ListViewVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_MonitorContactCommand: (
  input: MonitorContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PauseContactCommand: (
  input: PauseContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutUserStatusCommand: (
  input: PutUserStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ReleasePhoneNumberCommand: (
  input: ReleasePhoneNumberCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ReplicateInstanceCommand: (
  input: ReplicateInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ResumeContactCommand: (
  input: ResumeContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ResumeContactRecordingCommand: (
  input: ResumeContactRecordingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchAgentStatusesCommand: (
  input: SearchAgentStatusesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchAvailablePhoneNumbersCommand: (
  input: SearchAvailablePhoneNumbersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchContactFlowModulesCommand: (
  input: SearchContactFlowModulesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchContactFlowsCommand: (
  input: SearchContactFlowsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchContactsCommand: (
  input: SearchContactsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchEmailAddressesCommand: (
  input: SearchEmailAddressesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchHoursOfOperationOverridesCommand: (
  input: SearchHoursOfOperationOverridesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchHoursOfOperationsCommand: (
  input: SearchHoursOfOperationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchPredefinedAttributesCommand: (
  input: SearchPredefinedAttributesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchPromptsCommand: (
  input: SearchPromptsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchQueuesCommand: (
  input: SearchQueuesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchQuickConnectsCommand: (
  input: SearchQuickConnectsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchResourceTagsCommand: (
  input: SearchResourceTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchRoutingProfilesCommand: (
  input: SearchRoutingProfilesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchSecurityProfilesCommand: (
  input: SearchSecurityProfilesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchUserHierarchyGroupsCommand: (
  input: SearchUserHierarchyGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchUsersCommand: (
  input: SearchUsersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchVocabulariesCommand: (
  input: SearchVocabulariesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SendChatIntegrationEventCommand: (
  input: SendChatIntegrationEventCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SendOutboundEmailCommand: (
  input: SendOutboundEmailCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartAttachedFileUploadCommand: (
  input: StartAttachedFileUploadCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartChatContactCommand: (
  input: StartChatContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartContactEvaluationCommand: (
  input: StartContactEvaluationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartContactRecordingCommand: (
  input: StartContactRecordingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartContactStreamingCommand: (
  input: StartContactStreamingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartEmailContactCommand: (
  input: StartEmailContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartOutboundChatContactCommand: (
  input: StartOutboundChatContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartOutboundEmailContactCommand: (
  input: StartOutboundEmailContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartOutboundVoiceContactCommand: (
  input: StartOutboundVoiceContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartScreenSharingCommand: (
  input: StartScreenSharingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartTaskContactCommand: (
  input: StartTaskContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartWebRTCContactCommand: (
  input: StartWebRTCContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StopContactCommand: (
  input: StopContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StopContactRecordingCommand: (
  input: StopContactRecordingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StopContactStreamingCommand: (
  input: StopContactStreamingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SubmitContactEvaluationCommand: (
  input: SubmitContactEvaluationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SuspendContactRecordingCommand: (
  input: SuspendContactRecordingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagContactCommand: (
  input: TagContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TransferContactCommand: (
  input: TransferContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagContactCommand: (
  input: UntagContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateAgentStatusCommand: (
  input: UpdateAgentStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateAuthenticationProfileCommand: (
  input: UpdateAuthenticationProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateContactCommand: (
  input: UpdateContactCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateContactAttributesCommand: (
  input: UpdateContactAttributesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateContactEvaluationCommand: (
  input: UpdateContactEvaluationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateContactFlowContentCommand: (
  input: UpdateContactFlowContentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateContactFlowMetadataCommand: (
  input: UpdateContactFlowMetadataCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateContactFlowModuleContentCommand: (
  input: UpdateContactFlowModuleContentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateContactFlowModuleMetadataCommand: (
  input: UpdateContactFlowModuleMetadataCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateContactFlowNameCommand: (
  input: UpdateContactFlowNameCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateContactRoutingDataCommand: (
  input: UpdateContactRoutingDataCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateContactScheduleCommand: (
  input: UpdateContactScheduleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateEmailAddressMetadataCommand: (
  input: UpdateEmailAddressMetadataCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateEvaluationFormCommand: (
  input: UpdateEvaluationFormCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateHoursOfOperationCommand: (
  input: UpdateHoursOfOperationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateHoursOfOperationOverrideCommand: (
  input: UpdateHoursOfOperationOverrideCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateInstanceAttributeCommand: (
  input: UpdateInstanceAttributeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateInstanceStorageConfigCommand: (
  input: UpdateInstanceStorageConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateParticipantAuthenticationCommand: (
  input: UpdateParticipantAuthenticationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateParticipantRoleConfigCommand: (
  input: UpdateParticipantRoleConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdatePhoneNumberCommand: (
  input: UpdatePhoneNumberCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdatePhoneNumberMetadataCommand: (
  input: UpdatePhoneNumberMetadataCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdatePredefinedAttributeCommand: (
  input: UpdatePredefinedAttributeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdatePromptCommand: (
  input: UpdatePromptCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateQueueHoursOfOperationCommand: (
  input: UpdateQueueHoursOfOperationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateQueueMaxContactsCommand: (
  input: UpdateQueueMaxContactsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateQueueNameCommand: (
  input: UpdateQueueNameCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateQueueOutboundCallerConfigCommand: (
  input: UpdateQueueOutboundCallerConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateQueueOutboundEmailConfigCommand: (
  input: UpdateQueueOutboundEmailConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateQueueStatusCommand: (
  input: UpdateQueueStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateQuickConnectConfigCommand: (
  input: UpdateQuickConnectConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateQuickConnectNameCommand: (
  input: UpdateQuickConnectNameCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateRoutingProfileAgentAvailabilityTimerCommand: (
  input: UpdateRoutingProfileAgentAvailabilityTimerCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateRoutingProfileConcurrencyCommand: (
  input: UpdateRoutingProfileConcurrencyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateRoutingProfileDefaultOutboundQueueCommand: (
  input: UpdateRoutingProfileDefaultOutboundQueueCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateRoutingProfileNameCommand: (
  input: UpdateRoutingProfileNameCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateRoutingProfileQueuesCommand: (
  input: UpdateRoutingProfileQueuesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateRuleCommand: (
  input: UpdateRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateSecurityProfileCommand: (
  input: UpdateSecurityProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateTaskTemplateCommand: (
  input: UpdateTaskTemplateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateTrafficDistributionCommand: (
  input: UpdateTrafficDistributionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateUserHierarchyCommand: (
  input: UpdateUserHierarchyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateUserHierarchyGroupNameCommand: (
  input: UpdateUserHierarchyGroupNameCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateUserHierarchyStructureCommand: (
  input: UpdateUserHierarchyStructureCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateUserIdentityInfoCommand: (
  input: UpdateUserIdentityInfoCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateUserPhoneConfigCommand: (
  input: UpdateUserPhoneConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateUserProficienciesCommand: (
  input: UpdateUserProficienciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateUserRoutingProfileCommand: (
  input: UpdateUserRoutingProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateUserSecurityProfilesCommand: (
  input: UpdateUserSecurityProfilesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateViewContentCommand: (
  input: UpdateViewContentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateViewMetadataCommand: (
  input: UpdateViewMetadataCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_ActivateEvaluationFormCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ActivateEvaluationFormCommandOutput>;
export declare const de_AssociateAnalyticsDataSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateAnalyticsDataSetCommandOutput>;
export declare const de_AssociateApprovedOriginCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateApprovedOriginCommandOutput>;
export declare const de_AssociateBotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateBotCommandOutput>;
export declare const de_AssociateDefaultVocabularyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateDefaultVocabularyCommandOutput>;
export declare const de_AssociateFlowCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateFlowCommandOutput>;
export declare const de_AssociateInstanceStorageConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateInstanceStorageConfigCommandOutput>;
export declare const de_AssociateLambdaFunctionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateLambdaFunctionCommandOutput>;
export declare const de_AssociateLexBotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateLexBotCommandOutput>;
export declare const de_AssociatePhoneNumberContactFlowCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociatePhoneNumberContactFlowCommandOutput>;
export declare const de_AssociateQueueQuickConnectsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateQueueQuickConnectsCommandOutput>;
export declare const de_AssociateRoutingProfileQueuesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateRoutingProfileQueuesCommandOutput>;
export declare const de_AssociateSecurityKeyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateSecurityKeyCommandOutput>;
export declare const de_AssociateTrafficDistributionGroupUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateTrafficDistributionGroupUserCommandOutput>;
export declare const de_AssociateUserProficienciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateUserProficienciesCommandOutput>;
export declare const de_BatchAssociateAnalyticsDataSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchAssociateAnalyticsDataSetCommandOutput>;
export declare const de_BatchDisassociateAnalyticsDataSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchDisassociateAnalyticsDataSetCommandOutput>;
export declare const de_BatchGetAttachedFileMetadataCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchGetAttachedFileMetadataCommandOutput>;
export declare const de_BatchGetFlowAssociationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchGetFlowAssociationCommandOutput>;
export declare const de_BatchPutContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchPutContactCommandOutput>;
export declare const de_ClaimPhoneNumberCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ClaimPhoneNumberCommandOutput>;
export declare const de_CompleteAttachedFileUploadCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CompleteAttachedFileUploadCommandOutput>;
export declare const de_CreateAgentStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAgentStatusCommandOutput>;
export declare const de_CreateContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateContactCommandOutput>;
export declare const de_CreateContactFlowCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateContactFlowCommandOutput>;
export declare const de_CreateContactFlowModuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateContactFlowModuleCommandOutput>;
export declare const de_CreateContactFlowVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateContactFlowVersionCommandOutput>;
export declare const de_CreateEmailAddressCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateEmailAddressCommandOutput>;
export declare const de_CreateEvaluationFormCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateEvaluationFormCommandOutput>;
export declare const de_CreateHoursOfOperationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateHoursOfOperationCommandOutput>;
export declare const de_CreateHoursOfOperationOverrideCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateHoursOfOperationOverrideCommandOutput>;
export declare const de_CreateInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateInstanceCommandOutput>;
export declare const de_CreateIntegrationAssociationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateIntegrationAssociationCommandOutput>;
export declare const de_CreateParticipantCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateParticipantCommandOutput>;
export declare const de_CreatePersistentContactAssociationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreatePersistentContactAssociationCommandOutput>;
export declare const de_CreatePredefinedAttributeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreatePredefinedAttributeCommandOutput>;
export declare const de_CreatePromptCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreatePromptCommandOutput>;
export declare const de_CreatePushNotificationRegistrationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreatePushNotificationRegistrationCommandOutput>;
export declare const de_CreateQueueCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateQueueCommandOutput>;
export declare const de_CreateQuickConnectCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateQuickConnectCommandOutput>;
export declare const de_CreateRoutingProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateRoutingProfileCommandOutput>;
export declare const de_CreateRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateRuleCommandOutput>;
export declare const de_CreateSecurityProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateSecurityProfileCommandOutput>;
export declare const de_CreateTaskTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateTaskTemplateCommandOutput>;
export declare const de_CreateTrafficDistributionGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateTrafficDistributionGroupCommandOutput>;
export declare const de_CreateUseCaseCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateUseCaseCommandOutput>;
export declare const de_CreateUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateUserCommandOutput>;
export declare const de_CreateUserHierarchyGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateUserHierarchyGroupCommandOutput>;
export declare const de_CreateViewCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateViewCommandOutput>;
export declare const de_CreateViewVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateViewVersionCommandOutput>;
export declare const de_CreateVocabularyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateVocabularyCommandOutput>;
export declare const de_DeactivateEvaluationFormCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeactivateEvaluationFormCommandOutput>;
export declare const de_DeleteAttachedFileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAttachedFileCommandOutput>;
export declare const de_DeleteContactEvaluationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteContactEvaluationCommandOutput>;
export declare const de_DeleteContactFlowCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteContactFlowCommandOutput>;
export declare const de_DeleteContactFlowModuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteContactFlowModuleCommandOutput>;
export declare const de_DeleteContactFlowVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteContactFlowVersionCommandOutput>;
export declare const de_DeleteEmailAddressCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteEmailAddressCommandOutput>;
export declare const de_DeleteEvaluationFormCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteEvaluationFormCommandOutput>;
export declare const de_DeleteHoursOfOperationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteHoursOfOperationCommandOutput>;
export declare const de_DeleteHoursOfOperationOverrideCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteHoursOfOperationOverrideCommandOutput>;
export declare const de_DeleteInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteInstanceCommandOutput>;
export declare const de_DeleteIntegrationAssociationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteIntegrationAssociationCommandOutput>;
export declare const de_DeletePredefinedAttributeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePredefinedAttributeCommandOutput>;
export declare const de_DeletePromptCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePromptCommandOutput>;
export declare const de_DeletePushNotificationRegistrationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePushNotificationRegistrationCommandOutput>;
export declare const de_DeleteQueueCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteQueueCommandOutput>;
export declare const de_DeleteQuickConnectCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteQuickConnectCommandOutput>;
export declare const de_DeleteRoutingProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteRoutingProfileCommandOutput>;
export declare const de_DeleteRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteRuleCommandOutput>;
export declare const de_DeleteSecurityProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteSecurityProfileCommandOutput>;
export declare const de_DeleteTaskTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteTaskTemplateCommandOutput>;
export declare const de_DeleteTrafficDistributionGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteTrafficDistributionGroupCommandOutput>;
export declare const de_DeleteUseCaseCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteUseCaseCommandOutput>;
export declare const de_DeleteUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteUserCommandOutput>;
export declare const de_DeleteUserHierarchyGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteUserHierarchyGroupCommandOutput>;
export declare const de_DeleteViewCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteViewCommandOutput>;
export declare const de_DeleteViewVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteViewVersionCommandOutput>;
export declare const de_DeleteVocabularyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVocabularyCommandOutput>;
export declare const de_DescribeAgentStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAgentStatusCommandOutput>;
export declare const de_DescribeAuthenticationProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAuthenticationProfileCommandOutput>;
export declare const de_DescribeContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeContactCommandOutput>;
export declare const de_DescribeContactEvaluationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeContactEvaluationCommandOutput>;
export declare const de_DescribeContactFlowCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeContactFlowCommandOutput>;
export declare const de_DescribeContactFlowModuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeContactFlowModuleCommandOutput>;
export declare const de_DescribeEmailAddressCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeEmailAddressCommandOutput>;
export declare const de_DescribeEvaluationFormCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeEvaluationFormCommandOutput>;
export declare const de_DescribeHoursOfOperationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeHoursOfOperationCommandOutput>;
export declare const de_DescribeHoursOfOperationOverrideCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeHoursOfOperationOverrideCommandOutput>;
export declare const de_DescribeInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeInstanceCommandOutput>;
export declare const de_DescribeInstanceAttributeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeInstanceAttributeCommandOutput>;
export declare const de_DescribeInstanceStorageConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeInstanceStorageConfigCommandOutput>;
export declare const de_DescribePhoneNumberCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribePhoneNumberCommandOutput>;
export declare const de_DescribePredefinedAttributeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribePredefinedAttributeCommandOutput>;
export declare const de_DescribePromptCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribePromptCommandOutput>;
export declare const de_DescribeQueueCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeQueueCommandOutput>;
export declare const de_DescribeQuickConnectCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeQuickConnectCommandOutput>;
export declare const de_DescribeRoutingProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeRoutingProfileCommandOutput>;
export declare const de_DescribeRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeRuleCommandOutput>;
export declare const de_DescribeSecurityProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeSecurityProfileCommandOutput>;
export declare const de_DescribeTrafficDistributionGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeTrafficDistributionGroupCommandOutput>;
export declare const de_DescribeUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeUserCommandOutput>;
export declare const de_DescribeUserHierarchyGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeUserHierarchyGroupCommandOutput>;
export declare const de_DescribeUserHierarchyStructureCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeUserHierarchyStructureCommandOutput>;
export declare const de_DescribeViewCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeViewCommandOutput>;
export declare const de_DescribeVocabularyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeVocabularyCommandOutput>;
export declare const de_DisassociateAnalyticsDataSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateAnalyticsDataSetCommandOutput>;
export declare const de_DisassociateApprovedOriginCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateApprovedOriginCommandOutput>;
export declare const de_DisassociateBotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateBotCommandOutput>;
export declare const de_DisassociateFlowCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateFlowCommandOutput>;
export declare const de_DisassociateInstanceStorageConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateInstanceStorageConfigCommandOutput>;
export declare const de_DisassociateLambdaFunctionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateLambdaFunctionCommandOutput>;
export declare const de_DisassociateLexBotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateLexBotCommandOutput>;
export declare const de_DisassociatePhoneNumberContactFlowCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociatePhoneNumberContactFlowCommandOutput>;
export declare const de_DisassociateQueueQuickConnectsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateQueueQuickConnectsCommandOutput>;
export declare const de_DisassociateRoutingProfileQueuesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateRoutingProfileQueuesCommandOutput>;
export declare const de_DisassociateSecurityKeyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateSecurityKeyCommandOutput>;
export declare const de_DisassociateTrafficDistributionGroupUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateTrafficDistributionGroupUserCommandOutput>;
export declare const de_DisassociateUserProficienciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateUserProficienciesCommandOutput>;
export declare const de_DismissUserContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DismissUserContactCommandOutput>;
export declare const de_GetAttachedFileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAttachedFileCommandOutput>;
export declare const de_GetContactAttributesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetContactAttributesCommandOutput>;
export declare const de_GetCurrentMetricDataCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCurrentMetricDataCommandOutput>;
export declare const de_GetCurrentUserDataCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCurrentUserDataCommandOutput>;
export declare const de_GetEffectiveHoursOfOperationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetEffectiveHoursOfOperationsCommandOutput>;
export declare const de_GetFederationTokenCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetFederationTokenCommandOutput>;
export declare const de_GetFlowAssociationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetFlowAssociationCommandOutput>;
export declare const de_GetMetricDataCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetMetricDataCommandOutput>;
export declare const de_GetMetricDataV2Command: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetMetricDataV2CommandOutput>;
export declare const de_GetPromptFileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPromptFileCommandOutput>;
export declare const de_GetTaskTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetTaskTemplateCommandOutput>;
export declare const de_GetTrafficDistributionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetTrafficDistributionCommandOutput>;
export declare const de_ImportPhoneNumberCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ImportPhoneNumberCommandOutput>;
export declare const de_ListAgentStatusesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAgentStatusesCommandOutput>;
export declare const de_ListAnalyticsDataAssociationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAnalyticsDataAssociationsCommandOutput>;
export declare const de_ListAnalyticsDataLakeDataSetsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAnalyticsDataLakeDataSetsCommandOutput>;
export declare const de_ListApprovedOriginsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListApprovedOriginsCommandOutput>;
export declare const de_ListAssociatedContactsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAssociatedContactsCommandOutput>;
export declare const de_ListAuthenticationProfilesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAuthenticationProfilesCommandOutput>;
export declare const de_ListBotsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListBotsCommandOutput>;
export declare const de_ListContactEvaluationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListContactEvaluationsCommandOutput>;
export declare const de_ListContactFlowModulesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListContactFlowModulesCommandOutput>;
export declare const de_ListContactFlowsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListContactFlowsCommandOutput>;
export declare const de_ListContactFlowVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListContactFlowVersionsCommandOutput>;
export declare const de_ListContactReferencesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListContactReferencesCommandOutput>;
export declare const de_ListDefaultVocabulariesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDefaultVocabulariesCommandOutput>;
export declare const de_ListEvaluationFormsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListEvaluationFormsCommandOutput>;
export declare const de_ListEvaluationFormVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListEvaluationFormVersionsCommandOutput>;
export declare const de_ListFlowAssociationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListFlowAssociationsCommandOutput>;
export declare const de_ListHoursOfOperationOverridesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListHoursOfOperationOverridesCommandOutput>;
export declare const de_ListHoursOfOperationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListHoursOfOperationsCommandOutput>;
export declare const de_ListInstanceAttributesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListInstanceAttributesCommandOutput>;
export declare const de_ListInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListInstancesCommandOutput>;
export declare const de_ListInstanceStorageConfigsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListInstanceStorageConfigsCommandOutput>;
export declare const de_ListIntegrationAssociationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListIntegrationAssociationsCommandOutput>;
export declare const de_ListLambdaFunctionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListLambdaFunctionsCommandOutput>;
export declare const de_ListLexBotsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListLexBotsCommandOutput>;
export declare const de_ListPhoneNumbersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPhoneNumbersCommandOutput>;
export declare const de_ListPhoneNumbersV2Command: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPhoneNumbersV2CommandOutput>;
export declare const de_ListPredefinedAttributesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPredefinedAttributesCommandOutput>;
export declare const de_ListPromptsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPromptsCommandOutput>;
export declare const de_ListQueueQuickConnectsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListQueueQuickConnectsCommandOutput>;
export declare const de_ListQueuesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListQueuesCommandOutput>;
export declare const de_ListQuickConnectsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListQuickConnectsCommandOutput>;
export declare const de_ListRealtimeContactAnalysisSegmentsV2Command: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRealtimeContactAnalysisSegmentsV2CommandOutput>;
export declare const de_ListRoutingProfileQueuesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRoutingProfileQueuesCommandOutput>;
export declare const de_ListRoutingProfilesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRoutingProfilesCommandOutput>;
export declare const de_ListRulesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRulesCommandOutput>;
export declare const de_ListSecurityKeysCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSecurityKeysCommandOutput>;
export declare const de_ListSecurityProfileApplicationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSecurityProfileApplicationsCommandOutput>;
export declare const de_ListSecurityProfilePermissionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSecurityProfilePermissionsCommandOutput>;
export declare const de_ListSecurityProfilesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSecurityProfilesCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_ListTaskTemplatesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTaskTemplatesCommandOutput>;
export declare const de_ListTrafficDistributionGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTrafficDistributionGroupsCommandOutput>;
export declare const de_ListTrafficDistributionGroupUsersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTrafficDistributionGroupUsersCommandOutput>;
export declare const de_ListUseCasesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListUseCasesCommandOutput>;
export declare const de_ListUserHierarchyGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListUserHierarchyGroupsCommandOutput>;
export declare const de_ListUserProficienciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListUserProficienciesCommandOutput>;
export declare const de_ListUsersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListUsersCommandOutput>;
export declare const de_ListViewsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListViewsCommandOutput>;
export declare const de_ListViewVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListViewVersionsCommandOutput>;
export declare const de_MonitorContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<MonitorContactCommandOutput>;
export declare const de_PauseContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PauseContactCommandOutput>;
export declare const de_PutUserStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutUserStatusCommandOutput>;
export declare const de_ReleasePhoneNumberCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ReleasePhoneNumberCommandOutput>;
export declare const de_ReplicateInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ReplicateInstanceCommandOutput>;
export declare const de_ResumeContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ResumeContactCommandOutput>;
export declare const de_ResumeContactRecordingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ResumeContactRecordingCommandOutput>;
export declare const de_SearchAgentStatusesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchAgentStatusesCommandOutput>;
export declare const de_SearchAvailablePhoneNumbersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchAvailablePhoneNumbersCommandOutput>;
export declare const de_SearchContactFlowModulesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchContactFlowModulesCommandOutput>;
export declare const de_SearchContactFlowsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchContactFlowsCommandOutput>;
export declare const de_SearchContactsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchContactsCommandOutput>;
export declare const de_SearchEmailAddressesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchEmailAddressesCommandOutput>;
export declare const de_SearchHoursOfOperationOverridesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchHoursOfOperationOverridesCommandOutput>;
export declare const de_SearchHoursOfOperationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchHoursOfOperationsCommandOutput>;
export declare const de_SearchPredefinedAttributesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchPredefinedAttributesCommandOutput>;
export declare const de_SearchPromptsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchPromptsCommandOutput>;
export declare const de_SearchQueuesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchQueuesCommandOutput>;
export declare const de_SearchQuickConnectsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchQuickConnectsCommandOutput>;
export declare const de_SearchResourceTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchResourceTagsCommandOutput>;
export declare const de_SearchRoutingProfilesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchRoutingProfilesCommandOutput>;
export declare const de_SearchSecurityProfilesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchSecurityProfilesCommandOutput>;
export declare const de_SearchUserHierarchyGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchUserHierarchyGroupsCommandOutput>;
export declare const de_SearchUsersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchUsersCommandOutput>;
export declare const de_SearchVocabulariesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchVocabulariesCommandOutput>;
export declare const de_SendChatIntegrationEventCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SendChatIntegrationEventCommandOutput>;
export declare const de_SendOutboundEmailCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SendOutboundEmailCommandOutput>;
export declare const de_StartAttachedFileUploadCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartAttachedFileUploadCommandOutput>;
export declare const de_StartChatContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartChatContactCommandOutput>;
export declare const de_StartContactEvaluationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartContactEvaluationCommandOutput>;
export declare const de_StartContactRecordingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartContactRecordingCommandOutput>;
export declare const de_StartContactStreamingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartContactStreamingCommandOutput>;
export declare const de_StartEmailContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartEmailContactCommandOutput>;
export declare const de_StartOutboundChatContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartOutboundChatContactCommandOutput>;
export declare const de_StartOutboundEmailContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartOutboundEmailContactCommandOutput>;
export declare const de_StartOutboundVoiceContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartOutboundVoiceContactCommandOutput>;
export declare const de_StartScreenSharingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartScreenSharingCommandOutput>;
export declare const de_StartTaskContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartTaskContactCommandOutput>;
export declare const de_StartWebRTCContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartWebRTCContactCommandOutput>;
export declare const de_StopContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopContactCommandOutput>;
export declare const de_StopContactRecordingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopContactRecordingCommandOutput>;
export declare const de_StopContactStreamingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopContactStreamingCommandOutput>;
export declare const de_SubmitContactEvaluationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SubmitContactEvaluationCommandOutput>;
export declare const de_SuspendContactRecordingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SuspendContactRecordingCommandOutput>;
export declare const de_TagContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagContactCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_TransferContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TransferContactCommandOutput>;
export declare const de_UntagContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagContactCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const de_UpdateAgentStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAgentStatusCommandOutput>;
export declare const de_UpdateAuthenticationProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAuthenticationProfileCommandOutput>;
export declare const de_UpdateContactCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateContactCommandOutput>;
export declare const de_UpdateContactAttributesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateContactAttributesCommandOutput>;
export declare const de_UpdateContactEvaluationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateContactEvaluationCommandOutput>;
export declare const de_UpdateContactFlowContentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateContactFlowContentCommandOutput>;
export declare const de_UpdateContactFlowMetadataCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateContactFlowMetadataCommandOutput>;
export declare const de_UpdateContactFlowModuleContentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateContactFlowModuleContentCommandOutput>;
export declare const de_UpdateContactFlowModuleMetadataCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateContactFlowModuleMetadataCommandOutput>;
export declare const de_UpdateContactFlowNameCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateContactFlowNameCommandOutput>;
export declare const de_UpdateContactRoutingDataCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateContactRoutingDataCommandOutput>;
export declare const de_UpdateContactScheduleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateContactScheduleCommandOutput>;
export declare const de_UpdateEmailAddressMetadataCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateEmailAddressMetadataCommandOutput>;
export declare const de_UpdateEvaluationFormCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateEvaluationFormCommandOutput>;
export declare const de_UpdateHoursOfOperationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateHoursOfOperationCommandOutput>;
export declare const de_UpdateHoursOfOperationOverrideCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateHoursOfOperationOverrideCommandOutput>;
export declare const de_UpdateInstanceAttributeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateInstanceAttributeCommandOutput>;
export declare const de_UpdateInstanceStorageConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateInstanceStorageConfigCommandOutput>;
export declare const de_UpdateParticipantAuthenticationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateParticipantAuthenticationCommandOutput>;
export declare const de_UpdateParticipantRoleConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateParticipantRoleConfigCommandOutput>;
export declare const de_UpdatePhoneNumberCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdatePhoneNumberCommandOutput>;
export declare const de_UpdatePhoneNumberMetadataCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdatePhoneNumberMetadataCommandOutput>;
export declare const de_UpdatePredefinedAttributeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdatePredefinedAttributeCommandOutput>;
export declare const de_UpdatePromptCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdatePromptCommandOutput>;
export declare const de_UpdateQueueHoursOfOperationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateQueueHoursOfOperationCommandOutput>;
export declare const de_UpdateQueueMaxContactsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateQueueMaxContactsCommandOutput>;
export declare const de_UpdateQueueNameCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateQueueNameCommandOutput>;
export declare const de_UpdateQueueOutboundCallerConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateQueueOutboundCallerConfigCommandOutput>;
export declare const de_UpdateQueueOutboundEmailConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateQueueOutboundEmailConfigCommandOutput>;
export declare const de_UpdateQueueStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateQueueStatusCommandOutput>;
export declare const de_UpdateQuickConnectConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateQuickConnectConfigCommandOutput>;
export declare const de_UpdateQuickConnectNameCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateQuickConnectNameCommandOutput>;
export declare const de_UpdateRoutingProfileAgentAvailabilityTimerCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateRoutingProfileAgentAvailabilityTimerCommandOutput>;
export declare const de_UpdateRoutingProfileConcurrencyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateRoutingProfileConcurrencyCommandOutput>;
export declare const de_UpdateRoutingProfileDefaultOutboundQueueCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateRoutingProfileDefaultOutboundQueueCommandOutput>;
export declare const de_UpdateRoutingProfileNameCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateRoutingProfileNameCommandOutput>;
export declare const de_UpdateRoutingProfileQueuesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateRoutingProfileQueuesCommandOutput>;
export declare const de_UpdateRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateRuleCommandOutput>;
export declare const de_UpdateSecurityProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateSecurityProfileCommandOutput>;
export declare const de_UpdateTaskTemplateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateTaskTemplateCommandOutput>;
export declare const de_UpdateTrafficDistributionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateTrafficDistributionCommandOutput>;
export declare const de_UpdateUserHierarchyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateUserHierarchyCommandOutput>;
export declare const de_UpdateUserHierarchyGroupNameCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateUserHierarchyGroupNameCommandOutput>;
export declare const de_UpdateUserHierarchyStructureCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateUserHierarchyStructureCommandOutput>;
export declare const de_UpdateUserIdentityInfoCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateUserIdentityInfoCommandOutput>;
export declare const de_UpdateUserPhoneConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateUserPhoneConfigCommandOutput>;
export declare const de_UpdateUserProficienciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateUserProficienciesCommandOutput>;
export declare const de_UpdateUserRoutingProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateUserRoutingProfileCommandOutput>;
export declare const de_UpdateUserSecurityProfilesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateUserSecurityProfilesCommandOutput>;
export declare const de_UpdateViewContentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateViewContentCommandOutput>;
export declare const de_UpdateViewMetadataCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateViewMetadataCommandOutput>;
