import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { GetLexiconOutputFilterSensitiveLog } from "../models/models_0";
import { de_GetLexiconCommand, se_GetLexiconCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class GetLexiconCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("Parrot_v1", "GetLexicon", {})
    .n("PollyClient", "GetLexiconCommand")
    .f(void 0, GetLexiconOutputFilterSensitiveLog)
    .ser(se_GetLexiconCommand)
    .de(de_GetLexiconCommand)
    .build() {
}
