import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { PutLexiconInputFilterSensitiveLog } from "../models/models_0";
import { de_PutLexiconCommand, se_PutLexiconCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class PutLexiconCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("Parrot_v1", "PutLexicon", {})
    .n("PollyClient", "PutLexiconCommand")
    .f(PutLexiconInputFilterSensitiveLog, void 0)
    .ser(se_PutLexiconCommand)
    .de(de_PutLexiconCommand)
    .build() {
}
