import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_StartSpeechSynthesisTaskCommand, se_StartSpeechSynthesisTaskCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class StartSpeechSynthesisTaskCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("Parrot_v1", "StartSpeechSynthesisTask", {})
    .n("PollyClient", "StartSpeechSynthesisTaskCommand")
    .f(void 0, void 0)
    .ser(se_StartSpeechSynthesisTaskCommand)
    .de(de_StartSpeechSynthesisTaskCommand)
    .build() {
}
